2003-06-08 Jim Pick  <jim@kaffe.org>

	* Makefile.am:
	New dist-hook target to build rt-precompiled.jar during
	"make dist".

	* libraries/javalib/Makefile.am.in:
	Small fix for installing precompiled rt.jar.

	* configure.in:
	If rt-precompiled.jar exists, default to using
	--with-rt-jar=libraries/javalib/rt-precompiled.jar.
	So our distributed tarball will default to using
	the precompiled version of rt.jar instead of
	regenerating it.  Passing --with-rt-jar=no to
	configure will still recompile the rt.jar.

	* developers/autogen.sh,
	libltdl/config-h.in:
	Touch libltdl/config-h.in so timestamps are
	set right.

	* Makefile.in,
	configure,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in:
	Regenerated.

2003-06-08 Dalibor Topic <robilad@yahoo.com>

	* kaffe/scripts/kaffe.in:
	(DDD) fixed DDD recognition and invocation.

	Reported by: Michael Franz <mvfranz@yahoo.com>

2003-06-08 Milos Negovanovic <milosn@xtra.co.nz>

	* libraries/javalib/Makefile.am.in:
	fixed class library build on NetBSD.
	
2003-06-07 Mark Wielaard <mark@klomp.org>

	* libraries/javalib/java/io/BufferedInputStream.java:
	(_read) don't block on underlying InputStream if nothing is
	available for reading.

2003-06-06  Jim Pick  <jim@kaffe.org>

	* developers/autogen.sh:
	Second phase of upgrade - now regenerates libtool bits
	as well.

	* developers/patch-config.sub-superh.diff,
	developers/patch-libtool-amiga.diff,
	developers/patch-libtool-openbsd.diff,
	developers/patch-libtool-realloc.diff:
	Patches to apply against libtool/autoconf/automake, when
	running developers/autogen.sh

	* developers/update-class-list,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.am.in:
	Modified update-class-list so that it regenerates
	libraries/javalib/Makefile.am from a Makefile.am.in template
	(instead of from Makefile.am)

	* depcomp,
	install-sh,
	missing:
	Updated.

	* ltconfig:
	Removed, we don't support automake 1.4 anymore.

	* Makefile.am:
	"make dist" fixes.

	* Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	libraries/javalib/Makefile.in:
	Regenerated.
	
2003-06-06 Dalibor Topic <robilad@yahoo.com>

	* Makefile.am:
	(EXTRA_DIST) added FAQ/FAQ.cross-compiling.

	* libraries/extensions/Makefile.am:
	(DIST_SUBDIRS) new variable.

	* Makefile.in, scripts/Makefile.in,
	scripts/compat/Makefile.in,
	libraries/extensions/Makefile.in:
	regenerated.

2003-06-05 Tim Stack <stack@cs.utah.edu>

	* libraries/javalib/bootstrap.classlist,
	libraries/javalib/Klasses.jar.bootstrap:
	Added java/util/AbstractList$2.class,
	java/security/AllPermission.class,
	java/security/PermissionCollection.class, and
	java/security/ProtectionDomain.class.

2003-06-04  Ito Kazumitsu <kaz@maczuka.gcd.org>

	* libltdl/ltdl.c
	changed LT_DLREALLOC to use lt_dlrealloc

2003-06-04  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(jthread_sleep): added missing method

	* libraries/javalib/java/util/ResourceBundle.java:
	(getBundle): don't forget to search the default locale
	if necessary
	(getSpecificBundle): moved caching of ResourceBundles to here
	
	* libraries/javalib/java/math/BigInteger.java:
	(intValue, longValue): fixed my broken patch

	* kaffe/scripts/kaffe.in: allow prepending stuff to BOOTCLASSPATH
	
2003-06-04 Kiyo Inaba <inaba@src.ricoh.co.jp>

	* config.sub, libltdl/config.sub:
	added superh to known sh platforms.

2003-06-04  Dalibor Topic <robilad@yahoo.com>

	* FAQ/FAQ.automake:
	updated autotools version information.

	* FAQ/FAQ.unicode:
	rewritten to just say that kaffe uses Classpath's implementation.

	* FAQ/FAQ.awt:
	Added Troubleshooting and Projects section. Added Qtopia to list
	of Qt platforms the AWT impementation should run on.

2003-06-04 Kiyo Inaba <inaba@src.ricoh.co.jp>

	* FAQ/FAQ.cross-compiling: new file
	
2003-06-03  Dalibor Topic <robilad@yahoo.com>

	* gwqt.m4:
	Added detection of Qtopia, which means new libs are added to the
	linker flags, and a new macro QPE is defined for conditional
	compilation of Qtopia specific bits.
	
	* aclocal.m4, configure: regenerated.

2003-06-03 Jim Huang <jserv@mdk.linux.org.tw>	

	Adapted Kaffe's Qt based AWT to compile under Qtopia.
	
	* libraries/clib/awt/qt/clr.cc,
	libraries/clib/awt/qt/evt.cc,
	libraries/clib/awt/qt/tlk.cc,
	libraries/clib/awt/qt/wnd.cc:
	Use QPEApplication instead of QApplication. Include appropriate
	headers.

	* libraries/clib/awt/qt/fnt.cc:
	Use unifont under QPE.

	* libraries/clib/awt/qt/img.cc:
	Ifdef-ed out createShmXImage and destroyShmXImage.
	Replaced a fprintf by a DBG.

2003-06-03  Ito Kazumitsu <kaz@maczuka.gcd.org>

	* kaffe/kaffevm/external.c
	added new function kdlrealloc() to be used as lt_dlrealloc by ltdl.c

2003-06-02  Helmer Kraemer  <hkraemer@freenet.de>

	* libraries/javalib/java/lang/Double.java
	(compareTo) corrected comparison of two negative doubles

	* libraries/javalib/java/lang/Float.java
	(compareTo) corrected comparison of two negative floats

	* libraries/javalib/java/lang/Integer.java
	(getInteger) return null if name is null or empty

	* libraries/javalib/java/lang/reflect/Method.java
	(invoke) don't crash if non primitive arg is null

	* libraries/javalib/java/lang/reflect/Modifier.java
	(toString) fix order of modifiers in the generated string

	* libraries/javalib/java/text/DecimalFormat.java
	(format) properly round the value if necessary
	(applyPattern) default maximum number of fraction digits to 0

	* libraries/javalib/java/math/BigInteger.java
	(intValue, longValue): use the analogous of narrowing primitive
	conversion as per spec

	* libraries/javalib/java/io/File.java
	(File): remove trailing seperatorChars from path
	(listFiles): return all files in the directory if filter is
	null

	* libraries/javalib/java/io/FilePermissions.java:
	(equals, implies): minor tweak to make it working

	* libraries/javalib/java/util/jar/Manifest.java:
	(read): accept manifests with a 0x00 at the end

	* libraries/javalib/java/util/Vector.java:
	(ensureCapacity): grow size as defined by spec
	(equals): don't crash if element is null
	(lastIndexOf): don't crash if element is null
	(removeAll): corrected return value
	(retainAll): new method
	(setSize): throw ArrayIndexOutOfBounds if new size is < 0
	(toArray): don't set all unused array elements to null
	(trimToSize): don't increment modCount
	(removeRange): new method, taken from Classpath

	* libraries/javalib/java/security/Signature.java:
	properly handle classes that are derived from SignatureSpi
	but not from Signature

	* developers/mauve-html-gen.pl: tweaked so it catches
	all PASSes and all FAILs

	* libraries/javalib/profiles/allatonce/all.files:
	added java/security/Policy.java
	
2003-06-02  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/thread.c
	(createInitialThread): properly initialize the context class
	loader of the initial thread

	* kaffe/kaffevm/mem/gc-mem.h: added some docs
	
	* kaffe/kaffevm/mem/gc-mem.c
	(gc_heap_malloc, gc_heap_free): use new gc_heap_lock to
	protect data structures for heap management

	* kaffe/kaffevm/locks.c: added gc_heap_lock to the
	array of special locks

2003-06-01  Jim Pick  <jim@kaffe.org>

	* configure.in:
	Make --enable-debug the default.  Fix some quoting
	in the help texts.
	
	* developers/autogen.sh:
	In my last checkin, autoconf was never being run
	because I was using "set -e".  So, ignore automake
	warnings, and remove preexisting configure script
	(and friends) so that failure is obvious.
	
	* configure:
	Regenerated.

2003-06-01  Jim Pick  <jim@kaffe.org>

	* developers/autogen.sh:
	Added checks for version of automake/autoconf

	* developers/update-class-list:
	I had some problems with the generated Makefile.am,
	so I made some changes.

	* Makefile.am, 
	config/Makefile.am,
	include/Makefile.am,
	libraries/clib/awt/qt/Makefile.am,
	libraries/clib/net/Makefile.am,
	libraries/javalib/Makefile.am,
	test/regression/Makefile.am:
	Various "make dist" fixes.

	* Makefile.in,
	config/Makefile.in,
	include/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/javalib/Makefile.in,
	test/regression/Makefile.in:
	Regenerated.

2003-05-31  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	fix compilation when debugging is turned off 

	Reported by: Nicolas Le Sommer <Nicolas.Le-Sommer@univ-ubs.fr>

2003-05-31  Helmer Kraemer  <hkraemer@freenet.de>

	* libraries/javalib/kaffe/net/www/protocol/file/FileURLConnection.java: 
	(getPermission): new method
	(connect): construct appropriate permission object for the connected
	file
	
2003-05-30 Tim Stack <stack@cs.utah.edu>

	* include/system.h:
	Change kaffe_version to the "jdk" version, 1.2.  Move KAFFEVERSION
	to kaffe_vm_version.

	* kaffe/kaffe/main.c:
	Don't use the AppClassLoader for kaffe.jar.ExecJar.

	* libraries/clib/net/PlainSocketImpl.c:
	SO_LINGER is set using a struct, not an int.

	* libraries/javalib/Makefile.am:
	Add gnu/java/security/provider/DefaultPolicy.java and
	java/security/Policy.java.

	* libraries/javalib/essential.files:
	Add Permissions.java, AllPermission.java, and
	EmptyEnumeration.java.

	* libraries/javalib/gnu/java/security/provider/DefaultPolicy.java:
	Borrowed from classpath.
	
	* libraries/javalib/java/net/URLConnection.java:
	Add getPermission().

	* libraries/javalib/java/security/Policy.java:
	Borrowed from classpath.

	* libraries/javalib/kaffe/jar/ExecJar.java,
	libraries/javalib/kaffe/jar/ExecJarName.java:
	Update to take advantage of AppClassLoader.

	* libraries/javalib/kaffe/lang/AppClassLoader.java:
	Some cleanup, added addSource method so ExecJar could add its jar
	files to the path.

	* libraries/javalib/kaffe/net/www/protocol/files/FileURLConnection.java:
	Handle directories.

	* libraries/javalib/profiles/default/core.files:
	Add gnu/java/security/provider/DefaultPolicy.java and
	java/security/Policy.java.  Moved AllPermission.java and
	EmptyEnumeration.java to essential.files.

2003-05-30 Kiyo Inaba <inaba@src.ricoh.co.jp>

	* config/config-mem.h:
	Include <sys/types.h> to find ssize_t on Linux 2.0
	systems.

2003-05-30  Dalibor Topic <robilad@yahoo.com>

	* libltdl/acinclude.m4
 	Replaced by updated libtool.m4 from top directory.

	* aclocal.m4,
 	configure,
 	kaffe/scripts/Makefile.in,
 	kaffe/scripts/compat/Makefile.in,
 	libltdl/aclocal.m4,
 	libltdl/configure:
 	regenerated.

2003-05-30 Tony Wyatt <wyattaw@optushome.com.au>
	
	* libtool.m4:
 	Remove parentheses around finish_eval part which
	broke on amigaos pdksh.

2003-05-29  Dalibor Topic <robilad@yahoo.com>

	* configure.in:
	Added check for mktemp.

	* kaffe/scripts/kaffe.in:
	use MKTEMP.

	* FAQ/FAQ.requiredlibraries:
	Added information on mktemp.

2003-05-29  Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Makefile.in:
	regenerated.
	
2003-05-28  Ito Kazumitsu <kaz@maczuka.gcd.org>
	* libraries/javalib/Makefile.in:
	add new java/nio files to java_nio_SRCS

2003-05-28  Dalibor Topic <robilad@yahoo.com>

        * developers/autogen.sh:
        uncommented class file list updating since it works again on
        Mandrake 9.1.

        * libraries/javalib/gnu/java/nio/ByteBufferImpl.java,
        libraries/javalib/gnu/java/nio/CharBufferImpl.java,
        libraries/javalib/gnu/java/nio/DoubleBufferImpl.java,
        libraries/javalib/gnu/java/nio/FloatBufferImpl.java,
        libraries/javalib/gnu/java/nio/IntBufferImpl.java,
        libraries/javalib/gnu/java/nio/LongBufferImpl.java,
        libraries/javalib/gnu/java/nio/ShortBufferImpl.java:
        removed.
        
        * libraries/javalib/Makefile.am:
        libraries/javalib/profiles/allatonce/all.files,
        libraries/javalib/profiles/default/nio.files,
        updated to reflect class library changes.
        
        * kaffe/scripts/compat/Makefile.in,
        kaffe/scripts/Makefile.in,
        libraries/javalib/Makefile.in:
        regenerated.

2003-05-28  Ito Kazumitsu <kaz@maczuka.gcd.org>
	* libraries/javalib/Makefile.in:
	added gnu_classpath_SRCS required for compiling java/nio/*
	and gnu/java/nio/*.java

	* java/nio/Buffer.java,
	java/nio/ByteBuffer.java,
	java/nio/CharBuffer.java,
	java/nio/DoubleBuffer.java,
	java/nio/FloatBuffer.java,
	java/nio/IntBuffer.java,
	java/nio/LongBuffer.java,
	java/nio/ShortBuffer.java,
	gnu/java/nio/SelectionKeyImpl.java,
	gnu/java/nio/SocketChannelImpl.java
	Resynced with GNU Classpath.

	* java/nio/ByteBufferImpl.java,
	java/nio/CharBufferImpl.java,
	java/nio/CharViewBufferImpl.java,
	java/nio/DirectByteBufferImpl.java,
	java/nio/DoubleBufferImpl.java,
	java/nio/DoubleViewBufferImpl.java,
	java/nio/FloatBufferImpl.java,
	java/nio/FloatViewBufferImpl.java,
	java/nio/IntBufferImpl.java,
	java/nio/IntViewBufferImpl.java,
	java/nio/LongBufferImpl.java,
	java/nio/LongViewBufferImpl.java,
	java/nio/ShortBufferImpl.java,
	java/nio/ShortViewBufferImpl.java
	New files copied from GNU Classpath

2003-05-27  Helmer Kraemer  <hkraemer@freenet.de>

	* libraries/javalib/kaffe/lang/PrimordialClassLoader.java: 
	(getPackage, getPackages, getProtectionDomain, findResource): new
	methods so Class and ClassLoader can delegate calls to the primordial
	class loader
	
	* libraries/javalib/java/lang/ClassLoader.java: 
	(loadClass, getResource, getResources, getPackage, getPackages):
	delegate call to PrimordialClassLoader if parent is null
	
	* libraries/javalib/java/lang/Class.java: 
	(getPackage, getProtectionDomain): delegate to PrimordialClassLoader
	if class loader is null	
	
	* libraries/javalib/kaffe/lang/AppClassLoader.java 
	(findResources, findClass): don't delegate call to the primordial
	class loader, since ClassLoader already does this
	(findResource): new method to search for only one resource

	* test/regression/ProhibitedClass.java,
	test/regression/ProcessClassInst.java,
	test/regression/ProcessClassStop.java: 
	adjusted line numbers in stack traces
	
2003-05-27  Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/kaffe/lang/AppClassLoader.java
	(JarSource.findClass): properly handle jar files without manifest

2003-05-27 Tim Stack <stack@cs.utah.edu>

	* aclocal.m4, configure, libtool.m4:
	Set need_version to yes for OpenBSD.

	* libraries/javalib/Makefile.am:
	Set BOOTCLASSPATH for the pure-java Jar command.
	
2003-05-27  Helmer Kraemer  <hkraemer@freenet.de>

	* configure.in:
	added new option --with-extensions to select the
	extensions that are to be compiled

	* libraries/extensions/Makefile.am:
	only compile extensions selected via configure

	* configure, Makefile.in, config/Makefile.in,
	include/Makefile.in, kaffe/Makefile.in, kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in, kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in, kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in, kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/man/Makefile.in, kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in, kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in, libraries/Makefile.in,
	libraries/clib/Makefile.in, libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/zip/Makefile.in, libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/extensions/sound/Makefile.in,
	libraries/extensions/sound/alsa/Makefile.in,
	libraries/extensions/sound/common/Makefile.in,
	libraries/extensions/sound/esd/Makefile.in,
	libraries/javalib/Makefile.in, replace/Makefile.in,
	test/Makefile.in, test/internal/Makefile.in,
	test/regression/Makefile.in:
	regenerated

2003-05-27  Helmer Kraemer  <hkraemer@freenet.de>

	* libraries/clib/net/PlainSocketImpl.c:
	(java_net_PlainSocketImpl_socketAccept) create an appropriate
	InetAddress instance for the accepted socket.

2003-05-27 Dalibor Topic <robilad@yahoo.com>

	* FAQ/FAQ.mauve: added new documentation from Mark Wielaard.
	* developers/mauve-html-gen-pl: new file, taken from Japhar (LGPLd
	virtual machine).
	* developers/mauve-results.sh: new file.
	* developers/README: updated
	
2003-05-27 Mark Wielaard <mark@klomp.org>

	* developers/mauve-kaffe: new file.

2003-05-26 Jim Pick <jim@kaffe.org>

	* libraries/javalib/java/util/zip/ZipFile.java:
	(getImportStream) Fixed "out of memory" bug that
	occurred when using a ZipEntry that was created
	from a String.

2003-05-26 Ito Kazumitsu <kaz@maczuka.gcd.org>

	* libraries/javalib/java/lang/Boolean.java:
	Added new static method valueOf(boolean)

2003-05-27 Dalibor Topic <robilad@yahoo.com>

	* kaffe/kaffe/main.c:
	fixed crash in classpath parsing.

2003-05-26  Helmer Kraemer  <hkraemer@freenet.de>

	* libraries/javalib/java/util/ResourceBundle.java
	(getLocale): added missing method
	(getBundle, getBundleWithLocale): properly set locale
	of returned bundle; tweaked to match behaviour of
	jdk 1.4
	
	* kaffe/kaffevm/systems/oskit-pthreads/jthread.h: 
	don't include thread.h; fixes compilation for oskit

	Reported by: Martin Pohlack <mp26@os.inf.tu-dresden.de>

2003-05-26  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.h: 
	moved everything into thread-internal.h; include that
	file.

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h: 
	now contains all definitions of the unix-pthreads thread
	system, even some docs. 
	
	* kaffe/kaffevm/systems/unix-pthreads/jthread.h: 
	include thread-internal.h to fix compilation errors.

	* kaffe/kaffevm/systems/unix-pthreads/lock-impl.h,
	kaffe/kaffevm/systems/unix-pthreads/lock-impl.c,
	kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	cleaned up and adapted to modified structure
	
2003-05-26 Dan MacMahill <mcmahill@mtl.mit.edu>

	* kaffe/kaffevm/exception.c,
	kaffe/kaffevm/kaffe.def,
	kaffe/kaffevm/intrp/machine.c,
	kaffe/kaffevm/mem/gc-mem.c,
	kaffe/kaffevm/systems/unix-jthreads/jthread.h,
	libraries/clib/net/PlainDatagramSocketImpl.c:
	fix format strings for 64 bit architectures.
	
2003-05-25 Jim Pick <jim@kaffe.org>

	* kaffe/kaffe/main.c,
	kaffe/kaffevm/classMethod.c:
	Implement "-vmdebug VMCLASSLOADER" flag to show what class loader
	is being used to load classes.	

2003-05-24 Tim Stack <stack@cs.utah.edu>

	* include/Makefile.am:
	Remove java_lang_SecurityManager.h.  
	Move kaffe_lang_SystemClassLoader.h to
	kaffe_lang_PrimordialClassLoader.
	Add kaffe_lang_ThreadStack.h.

	* kaffe/kaffe/main.c:
	Load the main class into the AppClassLoader.

	* kaffe/kaffeh/support.c:
	Change to the prototype for setupClass.

	* kaffe/kaffevm/baseClasses.h,
	kaffe/kaffevm/baseClasses.c:
	Add javaLangException class (used to detect types throwable types
	in classMethod.c).

	* kaffe/kaffevm/classMethod.h,
	kaffe/kaffevm/classMethod.c:
	Loading fixes that should bring it closer to jdk1.3's behavior.
	Fixes include better class circularity detection, better handling
	of errors while loading, etc...

	* kaffe/kaffevm/classPool.c:
	Added some more functions to better handle loading semantics.

	* kaffe/kaffevm/findInJar.c:
	Minor tweaks to make the functions post the proper exceptions.

	* kaffe/kaffevm/itypes.c,
	kaffe/kaffevm/jit3/machine.c:
	Update for change in classEntry structure.

	* kaffe/kaffevm/lookup.c:
	(getClass) Convert ClassNotFoundExceptions from loadClass to
	NoClassDefFoundErrors since thats what the verifier/jitter/etc
	expect.

	* kaffe/kaffevm/verify.c:
	Tweak to fix compilation when debugging is turned on.

	* libraries/clib/native/Application.c:
	Change java_lang_SecurityManager_getClassContext0() to
	kaffe_lang_ThreadStack_getClassStack().

	* libraries/clib/native/Class.c:
	Revert to the native impl of forName.

	* libraries/clib/native/ClassLoader.c:
	Remove loadArray, its handled by the native Class.forName() now.
	Simplify define class and move some functionality into
	classMethod.c.

	* libraries/clib/native/Makefile.am:
	Move SystemClassLoader.c to PrimordialClassLoader.c.  Move
	SecurityManager.c to ThreadStack.c.

	* libraries/clib/native/ObjectStreamClassImpl.c:
	Use lookupArray instead of lookupClass.

	* libraries/clib/native/PrimordialClassLoader.c:
	Moved from SystemClassLoader.c.

	* libraries/clib/native/SecurityManager.c:
	Moved to ThreadStack.c.

	* libraries/clib/native/SystemClassLoader.c:
	Move to PrimordialClassLoader.c.

	* libraries/clib/native/ThreadStack.c:
	Moved from SecurityManager.c.

	* libraries/javalib/Klasses.jar.bootstrap:
	Recompiled with added classes.

	* libraries/javalib/Makefile.am:
	Added kaffe/lang/AppClassLoader.java and
	kaffe/lang/ThreadStack.java.  Moved
	kaffe/lang/SystemClassLoader.java to
	kaffe/lang/PrimordialClassLoader.java.

	* libraries/javalib/bootstrap.classlist:
	Added java/security/CodeSource.class,
	java/security/SecureClassLoader.class,
	java/util/AbstractList$1.class, kaffe/lang/AppClassLoader.class,
	kaffe/lang/AppClassLoader$Source.class,
	kaffe/lang/AppClassLoader$DirSource.class,
	kaffe/lang/AppClassLoader$JarSource.class, and
	kaffe/lang/ThreadStack.class.  Moved
	kaffe/lang/SystemClassLoader.class to
	kaffe/lang/PrimordialClassLoader.class.

	* libraries/javalib/essential.files:
	Added kaffe/lang/AppClassLoader.java and
	kaffe/lang/ThreadStack.java.  Moved
	kaffe/lang/SystemClassLoader.java to
	kaffe/lang/PrimordialClassLoader.java.

	* libraries/javalib/java/io/ObjectInputStream.java:
	(resolveClassInternal) Call forName() with the first class loader
	encountered while going up the stack.

	* libraries/javalib/java/lang/Class.java:
	Revert to the native forName() implementation since it will
	properly implement any synchronization stuff.

	* libraries/javalib/java/lang/ClassLoader.java:
	(loadClass) A null parent loader should use the
	PrimordialClassLoader and not the value of
	getSystemClassLoader().
	(findSystemClass) Should use loadClass() instead of findClass(),
	otherwise it might redefine a class.

	* libraries/javalib/java/lang/Package.java:
	Use the PrimordialClassLoader if the null loader is encountered.

	* libraries/javalib/java/lang/SecurityManager.java:
	Use the kaffe.lang.ThreadStack class.

	* libraries/javalib/java/lang/Thread.java:
	(countStackFrames) Just return zero.

	* libraries/javalib/java/net/InetSocketAddress.java:
	Set the hostName in ANY_ADDRESS to avoid a lookup.

	* libraries/javalib/kaffe/lang/AppClassLoader.java:
	ClassLoader used to load things from CLASSPATH.

	* libraries/javalib/kaffe/lang/PrimordialClassLoader.java:
	Moved from SystemClassLoader.java.

	* libraries/javalib/kaffe/lang/SystemClassLoader.java:
	Moved to PrimordialClassLoader.java.

	* libraries/javalib/kaffe/lang/ThreadStack.java:
	Moved functionality from java.lang.SecurityManager.

	* test/regression/CLTest.java:
	Update for changes in exception messages.

	* test/regression/CharCvt.java,
	test/regression/sysdepCallMethod.java:
	Add 'unsafe' directive since it accesses kaffe private classes.

	* test/regression/KaffeInternal.java:
	Check whether a user level class can load kaffe private classes.

	* test/regression/Makefile.am:
	Add ProhibitedClass.java and KaffeInternal.java.

	* test/regression/ProcessClassInst.java,
	test/regression/ProcessClassStop.java,
	test/regression/ProcessClassTest.java:
	Reflect changes in loading.

	* test/regression/ProhibitedClass.java:
	Check whether a user level loader can define classes in the java
	package.

	* test/regression/TestScript.in:
	Fix small problem with tests that were supposed to be skipped.
	Added 'unsafe' directive so tests could muck around with kaffe
	internal classes.

2003-05-23  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffeh/support.c:
	(addField) store name and type of field as Utf8Const*, not
	indices into the constant pool to fix warnings on NetBSD/alpha
	(setFieldValue) cleaned up and adapted to changes in addField

	Reported by: Dan McMahill <mcmahill@mtl.mit.edu>
	
	* kaffe/kaffevm/itypes.c:
	(initPrimClass) made primitive classes final

	* libraries/javalib/java/lang/StringBuffer.java: 
	(append) added missing method to append a StringBuffer

	Reported by: Greg Wooledge <greg@wooledge.org>
	
	* libraries/javalib/java/beans/PropertyChangeSupport.java: 
	(firePropertyChange) added missing firePropertyChange variants
	
2003-05-23 Helmer Kraemer  <hkraemer@freenet.de>

	* libraries/javalib/Makefile.am:
	(compile-classes) Abort compilation as soon as compiling a part of
	a profile fails.
	
2003-05-23 Kiyo Inaba <inaba@src.ricoh.co.jp>

	* FAQ/FAQ.Known-Bugs:
	Added information on configure script problems.

2003-05-23 Dalibor Topic <robilad@yahoo.com>

	* Makefile.am:
	(EXTRA_DIST) FAQ.mauve added.

	* Makefile.in: regenrated.
	
	* FAQ/FAQ.mauve: new file.

2003-05-23 Dalibor Topic <robilad@yahoo.com>

	* Makefile.am:
	(EXTRA_DIST) Added THIRDPARTY.

	* kaffe-patched/kaffe/kaffe/Makefile.am,
	kaffe-patched/kaffe/kaffeh/Makefile.am,
	kaffe-patched/kaffe/kaffevm/gcj/Makefile.am,
	kaffe-patched/kaffe/kaffevm/intrp/Makefile.am,
	kaffe-patched/kaffe/kaffevm/jit/Makefile.am,
	kaffe-patched/kaffe/kaffevm/jit3/Makefile.am,
	kaffe-patched/kaffe/kaffevm/Makefile.am,
	kaffe-patched/kaffe/kaffevm/systems/beos-native/Makefile.am,
	kaffe-patched/kaffe/kaffevm/systems/oskit-pthreads/Makefile.am,
	kaffe-patched/kaffe/kaffevm/systems/unix-jthreads/Makefile.am,
	kaffe-patched/kaffe/kaffevm/systems/unix-pthreads/Makefile.am,
	kaffe-patched/kaffe/xprof/Makefile.am,
	kaffe-patched/libraries/clib/net/Makefile.am,
	kaffe-patched/Makefile.am,
	kaffe-patched/replace/Makefile.am,
	kaffe-patched/test/internal/Makefile.am:
	(INCLUDES) replaced by AM_CPPFLAGS.
	
	* kaffe-patched/kaffe/kaffe/Makefile.in,
	kaffe-patched/kaffe/kaffeh/Makefile.in,
	kaffe-patched/kaffe/kaffevm/gcj/Makefile.in,
	kaffe-patched/kaffe/kaffevm/intrp/Makefile.in,
	kaffe-patched/kaffe/kaffevm/jit/Makefile.in,
	kaffe-patched/kaffe/kaffevm/jit3/Makefile.in,
	kaffe-patched/kaffe/kaffevm/Makefile.in,
	kaffe-patched/kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe-patched/kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe-patched/kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe-patched/kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe-patched/kaffe/xprof/Makefile.in,
	kaffe-patched/libraries/clib/net/Makefile.in,
	kaffe-patched/Makefile.in,
	kaffe-patched/replace/Makefile.in,
	kaffe-patched/test/internal/Makefile.in:
	regenerated.
	
2003-05-22 Dalibor Topic <robilad@yahoo.com>

	Regenerated *.in files using automake 1.7.5 and autoconf 2.57.

	* test/regression/Makefile.am:
	Added ArraysTest.java.
	
2003-05-22  Daniel Bonniot  <bonniot@users.sourceforge.net>

	* libraries/javalib/java/util/Arrays: 
	(equals(Object[], Object[])) fixed handling of null elements.

2003-05-21 Dalibor Topic <robilad@yahoo.com>

	Regenerated *.in files using automake 1.7.5 and autoconf 2.57.

	* test/regression/Makefile.am:
	Added SubListTest.java.
	
2003-05-21  Daniel Bonniot  <bonniot@users.sourceforge.net>

	* libraries/javalib/java/util/LinkedListIterator: 
	(LinkedListIterator) make the iteration really take into account
	the starting index.

	* test/regression/SubListTest.java:
	new test.
	
2003-05-21 Dalibor Topic <robilad@yahoo.com>

	Merged in java/lang/reflect/Proxy implementation from GNU Classpath.
	
	* libraries/javalib/gnu/java/lang/reflect/TypeSignature.java:
	new file, taken from GNU Classpath.
	
	* libraries/javalib/java/lang/reflect/Modifier.java:
	(SUPER) new package scoped constant.
	
	* libraries/javalib/java/lang/reflect/Proxy.java:
	replaced by implementation from GNU CLasspath.
	
	* libraries/javalib/java/net/URLClassLoader.java:
	(URLClassLoader) use internalAddURL.
	(addURL) use internalAddURL.
	(internalAddURL) new method, to avoid crashes due to constructor
	using an overwritten addURL method as in JBoss 3.2.4.

	* libraries/javalib/profiles/default/core.files,
	libraries/javalib/profiles/allatonce/all.files:
	added gnu/java/lang/reflect/TypeSignature.java

	* WHATSNEW, README: updated

	* THIRDPARTY: new file on third party sources used in kaffe.
	
2003-05-21  Gwenole Beauchesne  <gbeauchesne@mandrakesoft.com>

        * config/ia64/sysdepCallMethod.h (sysdepCallMethod): Fix to really
        match register passing conventions. Only the first eigth parameter
        slots are passed in registers. This concerns both integer and
        floating-point values.

        * config/ia64/linux/md.h (COMPARE_AND_EXCHANGE): Move to...
        * config/ia64/common.h: ... here.

        The Intel Itanium Processor-specific ABI defines
        __sync_bool_compare_and_swap primitive (7.4.3).

        * config/config-setjmp.h (JTHREAD_DECLARE_JMPBUF,
        JTHREAD_ACCESS_JMPBUF): Kill.
        * kaffe/kaffevm/exception.c (dispatchException): Likewise.
        * kaffe/kaffevm/exception.h (vmExcept_jumpToHandler): Likewise.
        * kaffe/kaffevm/jni.c (BEGIN_EXCEPTION_HANDLING*): Likewise.
        
        Instead, the jthread struct containing a jmp_buf must be aligned
        once it is allocated. Other occurrences were already aligned per
        natural alignment requirements in stack.

        * config/ia64/linux/md.c (IA64_context_*): Update to match current
        state-threads v1.4 code from SGI.

        * config/ia64/sysdepCallMethod.h (sysdepCallMethod): Really match
        calling conventions. We now can deal with a mix of ints, longs,
        floats and doubles correctly. Reindent.

        * kaffe/kaffevm/systems/unix-jthreads/jthread.c
        (JTHREAD_CONTEXT_SAVE, JTHREAD_CONTEXT_RESTORE): New macros
        specific to context switches.
        (newThreadCtx): Align jthread struct on 16-byte boundaries for
        jmp_buf. Move down stack adjusting.

2003-05-21 Dalibor Topic <robilad@yahoo.com>

	Fixed alpha-netbsd1 port.
	
	* config/alpha/netbsd1/config.frag:
	(CFLAGS) added -mieee to enforce IEEE floating point.

	* config/alpha/netbsd1/md.c:
	removed bad includes.

	* config/alpha/netbsd1/md.h:
	(SP_OFFSET) defined.

	* config/alpha/threads.h:
	(SP_OFFSET) undefined.

	* kaffe/kaffevm/stringParsing.c:
	(parseString_script_values) allocate and free va_list instead of
	passing a NULL pointer. On alpha-netbsd1, va_list is a struct, so
	the compilation failed.

2003-05-19  Helmer Kraemer  <hkraemer@freenet.de>

	* libraries/javalib/java/net/URLClassLoader.java: 
	(findResources) remove leading slash from resource name if
	necessary
	
	* libraries/clib/native/ClassLoader.c:
	(java_lang_ClassLoader_loadArrayClass) convert VerifyErrors and
	NoClassDefFoundErrors into ClassNotFoundExceptions, ensure the
	passed class name is valid utf8 before passing it to utf8ConstNew

2003-05-19  Gwenole Beauchesne  <gbeauchesne@mandrakesoft.com>

        Add support for Linux/AMD64.
        * config/x86_64/common.h: New file.
        * config/x86_64/threads.h: New file.
        * config/x86_64/sysdepCallMethod.h: New file.
        * config/x86_64/linux/config.frag: New file.
        * config/x86_64/linux/md.c: New file.
        * config/x86_64/linux/md.h: New file.

        * config/Makefile.am: Update to add AMD64 files.
        * config/Makefile.in: Likewise.

2003-05-19 Dalibor Topic <robilad@yahoo.com>

	* configure.in:
	(kaffeh_TRANSF) new variable.
	(AC_OUTPUT) added kaffe/scripts/javah.
	
	* kaffe/scripts/Makefile.am:
	(SCRIPTFILES_SUN) added javah.
	
	* Makefile.in,
        config/Makefile.in,
        configure,
        include/Makefile.in,
        kaffe/Makefile.in,
        kaffe/kaffe/Makefile.in,
        kaffe/kaffeh/Makefile.in,
        kaffe/kaffevm/Makefile.in,
        kaffe/kaffevm/gcj/Makefile.in,
        kaffe/kaffevm/intrp/Makefile.in,
        kaffe/kaffevm/jit/Makefile.in,
        kaffe/kaffevm/jit3/Makefile.in,
        kaffe/kaffevm/systems/Makefile.in,
        kaffe/kaffevm/systems/beos-native/Makefile.in,
        kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
        kaffe/man/Makefile.in,
        kaffe/scripts/Makefile.in,
        kaffe/scripts/bat/Makefile.in,
        kaffe/scripts/compat/Makefile.in,
        kaffe/xprof/Makefile.in,
        libraries/Makefile.in,
        libraries/clib/Makefile.in,
        libraries/clib/awt/Makefile.in,
        libraries/clib/awt/X/Makefile.in,
        libraries/clib/awt/qt/Makefile.in,
        libraries/clib/io/Makefile.in,
        libraries/clib/management/Makefile.in,
        libraries/clib/math/Makefile.in,
        libraries/clib/native/Makefile.in,
        libraries/clib/net/Makefile.in,
        libraries/clib/security/Makefile.in,
        libraries/clib/zip/Makefile.in,
        libraries/extensions/Makefile.in,
        libraries/extensions/comm/Makefile.in,
        libraries/extensions/comm/javalib/Makefile.in,
        libraries/extensions/microsoft/Makefile.in,
        libraries/extensions/microsoft/clib/Makefile.in,
        libraries/extensions/microsoft/javalib/Makefile.in,
        libraries/extensions/pjava/Makefile.in,
        libraries/extensions/pjava/javalib/Makefile.in,
        libraries/extensions/servlet/Makefile.in,
        libraries/extensions/servlet/javalib/Makefile.in,
        libraries/extensions/sound/Makefile.in,
        libraries/extensions/sound/alsa/Makefile.in,
        libraries/extensions/sound/common/Makefile.in,
        libraries/extensions/sound/esd/Makefile.in,
        libraries/javalib/Makefile.in,
        replace/Makefile.in,
        test/Makefile.in,
        test/internal/Makefile.in,
        test/regression/Makefile.in:
	regenerated.

2003-05-19 Benja Fallenstein <b.fallenstein@gmx.de>
        
	* kaffe/scripts/javah.in:
	new wrapper script around kaffeh.
	
2003-05-18 Tim Stack <stack@cs.utah.edu>

	* Makefile.am:
	(BUILD_ENVIRONMENT-make) Separate variables sets and 'export's
	with semi-colons.

	* kaffe/kaffevm/jit/Makefile.frag:
	Fix ENGINE_INCLUDES variable so that it works in any build
	directory.

	* libraries/javalib/rebuildLib.in:
	Fix classpath problem in jikes branch.

	* test/internal/Makefile.am:
	Update to work with BOOTCLASSPATH changes.

	* test/internal/jitBasic.c:
	Fix includes so that it works with the jit engine.

	* test/internal/jit_stub.c:
	Update for BOOTCLASSPATH changes and small fix to work with jit
	engine.

2003-05-18  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffe/main.c:
	(main) initialize vmargs.bootClasspath using the BOOTCLASSPATH
	environment variable, fixed parsing of -classpath option
	
	* Makefile.am:
	(BUILD_ENVIRONMENT-make) add BOOTCLASSPATH variable to 
	BUILD_ENVIRONMENT script

	* Makfile.in:
	regenerated
	
	* include/jni.h:
	(JavaVMInitArgs) added a field bootClasspath to contain the
	boot classpath

	* kaffe/kaffevm/jni.c: 
	(Kaffe_JavaVMInitArgs) set default boot classpath to "."

	* kaffe/kaffevm/findInJar.c:
	(realBootClassPath) new variable containing the boot classpath
	(initClasspath) use boot classpath instead of application
	classpath
	
	* kaffe/scripts/kaffe.in:
	put contents of jre/lib and lib/ into BOOTCLASSPATH variable
	
	* libraries/javalib/rebuildlib.in:
	updated to handle new BOOTCLASSPATH variable 
	
	* libraries/javalib/essential.files:
	Add java/io/BufferedWriter.java, java/io/FilterReader.java,
	java/io/InputStreamReader.java, java/io/PushbackReader.java,
	java/security/SecureClassLoader.java,
	java/security/SignatureException.java,
	java/security/InvalidKeyException.java,
	java/security/NoSuchProviderException.java,
	java/security/NoSuchAlgorithmException.java,
	java/security/cert/Certificate.java,
	java/security/cert/CertificateException.java,
	java/security/cert/CertificateEncodingException.java,
	java/util/jar/Attributes.java, java/util/jar/JarEntry.java,
	java/util/jar/JarException.java, java/util/jar/JarFile.java
	java/util/jar/Manifest.java

	* libraries/clib/native/System.c:
	(java_lang_System_initProperties) define a property called
	sun.boot.class.path that contains the boot classpath

	* libraries/clib/native/ClassLoader.c:
	(java_lang_ClassLoader_loadArrayClass) new method

	* libraries/javalib/java/lang/ClassLoader.java: 
	(loadArrayClass) new method
	(loadClass, getResources, getPackage, getPackages) delegate call
	to SystemClassLoader if necessary
	
	* libraries/javalib/java/lang/Class.java: 
	(forName) load arrays using the new loadArrayClass method
	(getProtectionDomain) use SystemClassLoader if getClassLoader()
	returns null
	
	* libraries/javalib/java/lang/System.java:
	(static initializer) remove initialization of SystemClassLoader 

	* libraries/javalib/kaffe/lang/SystemClassLoader.java: 
	(Source, DirSource, JarSource) new inner classes to handle
	application classpath
	(SystemClassLoader) parse application classpath
	(findResources, findClass) search in boot classpath and
	application classpath
	
2003-05-18  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c:
	don't undef HAVE_FORK and HAVE_WAITPID since UNIXProcess.java
	starts a dedicated thread that starts the new process and waits
	until it is completed
	(jthreadedAccept) use SO_RCVTIMEO if available

	* kaffe/kaffevm/classMethod.c:
	(loadClass) corrected calling user defined class loaders,
	made the debug messages more verbose

	* libraries/javalib/java/beans/PropertyChangeSupport.java: 
	(firePropertyChange) properly handle the case that there are no
	listeners for the specific property, but listeners for all
	properties

	* libraries/javalib/java/lang/reflect/Method.java: 
	(invoke) only check whether obj parameter is valid when
	method is not static
	
	* libraries/javalib/java/net/URLClassLoader.java: 
	(findClass) corrected the URL of the CodeSource,
	changed type of certificates to java.security.cert.Certificate
	(definePackage) use main attributes of manifest if
	it doesn't contain an entry for the package to be defined
	
	* libraries/javalib/java/security/Permission.java: 
	(newPermissionCollection) implemented 
	
	* libraries/javalib/java/security/PermissionCollection.java: 
	(add) new method declaration
	
	* libraries/javalib/java/security/Permissions.java: 
	new file
	
	* libraries/javalib/java/security/CodeSource.java: 
	changed type of certificates to java.security.cert.Certificate
	
	* libraries/javalib/java/util/jar/JarEntry.java: 
	(getCertificates) dummy implementation
	
	* libraries/javalib/kaffe/lang/PackageHelper.java: 
	(getPackageName) correctly extract package name
	
2003-05-17 Benja Fallenstein <b.fallenstein@gmx.de>

	* libraries/javalib/java/awt/Color.java,
	libraries/javalib/java/awt/Dialog.java,
	libraries/javalib/java/awt/Frame.java,
	libraries/javalib/java/awt/NativeGraphics.java,
	libraries/javalib/java/awt/Window.java,
	libraries/javalib/java/awt/win32/Frame.java,
	libraries/javalib/java/awt/win32/NativeComponent.java,
	libraries/javalib/java/awt/win32/NativeContainer.java,
	libraries/javalib/java/awt/win32/NativeGraphics.java,
	libraries/javalib/java/awt/win32/Window.java:
	Replaced Kaffe's java.awt.Color by the 1.2-compliant one from GNU 
	Classpath, adding support for 'nativeValue' to it.

2003-05-17 Benja Fallenstein <b.fallenstein@gmx.de>

	* libraries/javalib/java/awt/Dimension.java:
	extend and implement java.awt.geom.Dimension2D.
	
2003-05-17 Benja Fallenstein <b.fallenstein@gmx.de>

	* libraries/javalib/java/awt/event/MouseEvent.java:
	(MOUSE_WHEEL) new constant.
	(MOUSE_LAST) increased to make space for MOUSE_WHEEL.

2003-05-17 Tim Stack <stack@cs.utah.edu>

	* config/Makefile.am,
	include/Makefile.am,
	kaffe/kaffe/Makefile.am,
	kaffe/kaffevm/Makefile.am,
	kaffe/kaffevm/jit3/Makefile.am,
	kaffe/kaffevm/systems/Makefile.am,
	kaffe/scripts/Makefile.am,
	libraries/clib/awt/Makefile.am,
	test/regression/SerializationCompatibility.java:
	Fixes for distclean that satisfy distcheck.

2003-05-17 Tim Stack <stack@cs.utah.edu>

	* config/i386/freebsd2/md.h:
	Remove xprof stuff, they were moved to xprofile-md.h

	* kaffe/xprof/Makefile.am:
	change AM_CFLAGS back to CFLAGS, we need to override CFLAGS so that
	-pg isn't set.
	
2003-05-15 Tim Stack <stack@cs.utah.edu>

	* configure,
	configure.in:
	Update AC_INIT to include program name, version number, and
	maintainer address.

	* libraries/javalib/Makefile.am:
	Get rid of duplicate .ser listings and fix the zip commands used
	to generate the JAR so that it doesn't create the file in the
	source directory.

	* test/regression/TestScript.in:
	Remove the copied file when working on a *.class.save test file.

2003-05-15 Tim Stack <stack@cs.utah.edu>

	* Makefile.am:
	Add DNSJAVA_JAR to the BUILD_ENVIRONMENT.

	* configure.in:
	Add --with-dnsjava option that lets the user specify a dnsjava Jar
	file from www.xbill.org/dnsjava.

	* FAQ/FAQ.dns:
	Explanation of DNS stuff in kaffe.

	* include/Arrays.h:
	Add more unhand_*_array() macros.

	* include/Makefile.am:
	Add java_net_NativeInetAddressImpl.h and
	java_net_NetworkInterfaceImpl.h.

	* include/errors.h:
	Add JAVA_NET() macro.
	
	* libraries/clib/net/InetAddressImpl.c: 
	Rewrite to use getaddrinfo()/getnameinfo() and support the new
	InetAddressImpl API.

	* libraries/clib/net/Makefile.am:
	Change NetworkInterface.c to NetworkInterfaceImpl.c.

	* libraries/clib/net/NetworkInterface.c:
	Renamed to NetworkInterfaceImpl.c.
	
	* libraries/clib/net/NetworkInterfaceImpl.c:
	Name change and add support for IPv6 addresses.

	* libraries/javalib/Makefile.am:
	Add support for pure java DNS.  Add Inet4Address/Inet6Address from
	classpath.  Add NetworkInterfaceImpl.java.

	* libraries/javalib/bootstrap.classlist:
	Add java/net/NativeInetAddressImpl.class and
	java/net/NetworkInterfaceImpl.class.

	* libraries/javalib/essential.files,
	libraries/javalib/profiles/alltatonce/all.files,
	libraries/javalib/profiles/default/core.files:
	Add java/net/NativeInetAddressImpl.java.
	
	* libraries/javalib/rebuildLib.in:
	Test for zero arguments and exit with zero.  Use the
	BUILD_ENVIRONMENT for jikes too.

	* libraries/javalib/java/lang/IllegalArgumentException.java:  
	Add exception chaining.

	* libraries/javalib/java/net/DNSJavaInetAddressImpl.java:
	InetAddressImpl that uses dnsjava from xbill.org.

	* libraries/javalib/java/net/Inet4Address.java,
	libraries/javalib/java/net/Inet6Address.java:
	Merged from GNU classpath and fixed.

	* libraries/javalib/java/net/InetAddress.java:
	Add support for IPv6 addresses and multiple implementations.

	* libraries/javalib/java/net/InetAddressImpl.java:
	Changes to support IPv6 and multiple implementations.

	* libraries/javalib/java/net/NativeInetAddressImpl.java:
	Default native InetAddressImpl.

	* libraries/javalib/java/net/NetworkInterface.java:
	Move implementation details to NetworkInterfaceImpl.java and
	detection is now done on every call instead of once at startup.

	* libraries/javalib/java/net/NetworkInterfaceImpl.java:
	Implementation details for NetworkInterface.java.

	* libraries/javalib/java/net/UnknownHostException.java:
	Add exception chaining.

	* test/regression/InetAddressTest.java:
	Simple test for InetAddresses.

	* test/regression/Makefile.am:
	Add InetAddressTest.java.

2003-05-15 Dalibor Topic <robilad@yahoo.com>
	
        * libtool.m4:
	Updated to version from libltdl directory. I.e. copied over
	libltdl/acinclude.m4 to libtool.m4.
	
        * Makefile.am:
	(EXTRA_DIST) Added FAQ/FAQ.benchmarking.

	* configure.in:
	Fixed check for X11/extensions/XShm.h.

	Reported by: Justin Dearing <jdearing@cuthbeat.com>

        * Makefile.in,
        aclocal.m4,
        config/Makefile.in,
        configure,
        include/Makefile.in,
        kaffe/Makefile.in,
        kaffe/kaffe/Makefile.in,
        kaffe/kaffeh/Makefile.in,
        kaffe/kaffevm/Makefile.in,
        kaffe/kaffevm/gcj/Makefile.in,
        kaffe/kaffevm/intrp/Makefile.in,
        kaffe/kaffevm/jit/Makefile.in,
        kaffe/kaffevm/jit3/Makefile.in,
        kaffe/kaffevm/systems/Makefile.in,
        kaffe/kaffevm/systems/beos-native/Makefile.in,
        kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
        kaffe/man/Makefile.in,
        kaffe/scripts/Makefile.in,
        kaffe/scripts/bat/Makefile.in,
        kaffe/scripts/compat/Makefile.in,
        kaffe/xprof/Makefile.in,
        libraries/Makefile.in,
        libraries/clib/Makefile.in,
        libraries/clib/awt/Makefile.in,
        libraries/clib/awt/X/Makefile.in,
        libraries/clib/awt/qt/Makefile.in,
        libraries/clib/io/Makefile.in,
        libraries/clib/management/Makefile.in,
        libraries/clib/math/Makefile.in,
        libraries/clib/native/Makefile.in,
        libraries/clib/net/Makefile.in,
        libraries/clib/security/Makefile.in,
        libraries/clib/zip/Makefile.in,
        libraries/extensions/Makefile.in,
        libraries/extensions/comm/Makefile.in,
        libraries/extensions/comm/javalib/Makefile.in,
        libraries/extensions/microsoft/Makefile.in,
        libraries/extensions/microsoft/clib/Makefile.in,
        libraries/extensions/microsoft/javalib/Makefile.in,
        libraries/extensions/pjava/Makefile.in,
        libraries/extensions/pjava/javalib/Makefile.in,
        libraries/extensions/servlet/Makefile.in,
        libraries/extensions/servlet/javalib/Makefile.in,
        libraries/extensions/sound/Makefile.in,
        libraries/extensions/sound/alsa/Makefile.in,
        libraries/extensions/sound/common/Makefile.in,
        libraries/extensions/sound/esd/Makefile.in,
        libraries/javalib/Makefile.in,
        replace/Makefile.in,
        test/Makefile.in,
        test/internal/Makefile.in,
        test/regression/Makefile.in:
	regenerated.
	
2003-05-15 Dalibor Topic <robilad@yahoo.com>

	* FAQ/FAQ.benchmarking:
	new file. Entry on benchmarking kaffe using Volanomark written by
	Dan Kegel <dank@kegel.com>.
	
2003-05-15 Dalibor Topic <robilad@yahoo.com>

	* kaffe/kaffevm/systems/unix-pthread/thread-impl.c:
	(jthread_createfirst) added missing semicolon, hopefully fixing
	compilation on hppa-linux with pthreads.
	
2003-05-15 Dalibor Topic <robilad@yahoo.com>

	Started to merge in the Collection classes implementation from GNU
	Classpath, replacing kaffe's implementation.
	
        * libraries/javalib/java/util/AbstractCollection.java,
        libraries/javalib/java/util/AbstractList.java,
        libraries/javalib/java/util/Collection.java,
        libraries/javalib/java/util/Comparator.java,
        libraries/javalib/java/util/Enumeration.java,
        libraries/javalib/java/util/EventListener.java,
        libraries/javalib/java/util/Iterator.java,
        libraries/javalib/java/util/List.java,
        libraries/javalib/java/util/ListIterator.java,
        libraries/javalib/java/util/Map.java,
        libraries/javalib/java/util/Observer.java,
        libraries/javalib/java/util/Set.java,
        libraries/javalib/java/util/SortedMap.java,
        libraries/javalib/java/util/SortedSet.java:
	replaced by implementation from GNU Classpath.

2003-05-14 Dalibor Topic <robilad@yahoo.com>

	Resynced with GNU Classpath.

	* libraries/javalib/gnu/classpath/Configuration.java,
	libraries/javalib/gnu/classpath/RawData.java,
	libraries/javalib/java/awt/datatransfer/SystemFlavorMap.java,
	libraries/javalib/java/awt/dnd/DnDEventMulticaster.java,
	libraries/javalib/java/awt/event/InputMethodEvent.java,
	libraries/javalib/java/awt/event/InputMethodListener.java,
	libraries/javalib/java/awt/font/FontRenderContext.java,
	libraries/javalib/java/awt/font/GlyphJustificationInfo.java,
	libraries/javalib/java/awt/font/GlyphMetrics.java,
	libraries/javalib/java/awt/font/GlyphVector.java:
	new files, taken from GNU Classpath.

	* libraries/javalib/java/awt/AWTEventMulticaster.java,
	libraries/javalib/java/awt/datatransfer/DataFlavor.java:
	replaced by more up-to-date implementation from GNU Classpath.
	
	* libraries/javalib/gnu/java/nio/ByteBufferImpl.java,
	libraries/javalib/gnu/java/nio/CharBufferImpl.java,
	libraries/javalib/gnu/java/nio/DatagramChannelImpl.java,
	libraries/javalib/gnu/java/nio/DoubleBufferImpl.java,
	libraries/javalib/gnu/java/nio/FileChannelImpl.java,
	libraries/javalib/gnu/java/nio/FloatBufferImpl.java,
	libraries/javalib/gnu/java/nio/IntBufferImpl.java,
	libraries/javalib/gnu/java/nio/LongBufferImpl.java,
	libraries/javalib/gnu/java/nio/MappedByteFileBuffer.java,
	libraries/javalib/gnu/java/nio/MappedCharFileBuffer.java,
	libraries/javalib/gnu/java/nio/MappedDoubleFileBuffer.java,
	libraries/javalib/gnu/java/nio/MappedFloatFileBuffer.java,
	libraries/javalib/gnu/java/nio/MappedIntFileBuffer.java,
	libraries/javalib/gnu/java/nio/MappedLongFileBuffer.java,
	libraries/javalib/gnu/java/nio/MappedShortFileBuffer.java,
	libraries/javalib/gnu/java/nio/SelectionKeyImpl.java,
	libraries/javalib/gnu/java/nio/SelectorProviderImpl.java,
	libraries/javalib/gnu/java/nio/ServerSocketChannelImpl.java,
	libraries/javalib/gnu/java/nio/ShortBufferImpl.java,
	libraries/javalib/gnu/java/nio/SocketChannelImpl.java,
	libraries/javalib/java/awt/EventQueue.java,
	libraries/javalib/java/awt/FocusTraversalPolicy.java,
	libraries/javalib/java/awt/Graphics2D.java,
	libraries/javalib/java/awt/ScrollPaneAdjustable.java,
	libraries/javalib/java/awt/Toolkit.java,
	libraries/javalib/java/awt/color/ICC_ColorSpace.java,
	libraries/javalib/java/awt/dnd/DragSource.java,
	libraries/javalib/java/awt/dnd/DragSourceContext.java,
	libraries/javalib/java/awt/dnd/DragSourceDragEvent.java,
	libraries/javalib/java/awt/dnd/DragSourceDropEvent.java,
	libraries/javalib/java/awt/dnd/DragSourceEvent.java,
	libraries/javalib/java/awt/dnd/DropTarget.java,
	libraries/javalib/java/awt/dnd/DropTargetContext.java,
	libraries/javalib/java/awt/dnd/DropTargetDragEvent.java,
	libraries/javalib/java/awt/dnd/DropTargetDropEvent.java,
	libraries/javalib/java/awt/dnd/DropTargetListener.java,
	libraries/javalib/java/awt/dnd/MouseDragGestureRecognizer.java,
	libraries/javalib/java/awt/dnd/peer/DragSourceContextPeer.java,
	libraries/javalib/java/awt/dnd/peer/DropTargetContextPeer.java,
	libraries/javalib/java/awt/font/TextHitInfo.java,
	libraries/javalib/java/awt/image/BufferedImage.java,
	libraries/javalib/java/awt/print/Paper.java,
	libraries/javalib/java/awt/print/PrinterJob.java,
	libraries/javalib/java/beans/beancontext/BeanContextChild.java,
	libraries/javalib/java/beans/beancontext/BeanContextChildSupport.java,
	libraries/javalib/java/beans/beancontext/BeanContextEvent.java,
	libraries/javalib/java/beans/beancontext/BeanContextServices.java,
	libraries/javalib/java/io/FilePermission.java,
	libraries/javalib/java/io/SerializablePermission.java,
	libraries/javalib/java/lang/Character.java,
	libraries/javalib/java/lang/StrictMath.java,
	libraries/javalib/java/nio/Buffer.java,
	libraries/javalib/java/nio/ByteBuffer.java,
	libraries/javalib/java/nio/ByteOrder.java,
	libraries/javalib/java/nio/CharBuffer.java,
	libraries/javalib/java/nio/DoubleBuffer.java,
	libraries/javalib/java/nio/FloatBuffer.java,
	libraries/javalib/java/nio/IntBuffer.java,
	libraries/javalib/java/nio/LongBuffer.java,
	libraries/javalib/java/nio/MappedByteBuffer.java,
	libraries/javalib/java/nio/ShortBuffer.java,
	libraries/javalib/java/nio/channels/Channels.java,
	libraries/javalib/java/nio/channels/DatagramChannel.java,
	libraries/javalib/java/nio/channels/FileChannel.java,
	libraries/javalib/java/nio/channels/spi/SelectorProvider.java,
	libraries/javalib/java/nio/charset/Charset.java,
	libraries/javalib/java/nio/charset/CharsetEncoder.java,
	libraries/javalib/java/nio/charset/IllegalCharsetNameException.java,
	libraries/javalib/java/nio/charset/UnsupportedCharsetException.java,
	libraries/javalib/java/security/SignedObject.java,
	libraries/javalib/java/sql/Date.java,
	libraries/javalib/java/sql/DriverManager.java,
	libraries/javalib/java/sql/Time.java,
	libraries/javalib/java/sql/Timestamp.java,
	libraries/javalib/java/util/PropertyPermission.java,
	libraries/javalib/java/util/logging/FileHandler.java,
	libraries/javalib/java/util/logging/Level.java,
	libraries/javalib/java/util/logging/LogRecord.java,
	libraries/javalib/java/util/prefs/AbstractPreferences.java,
	libraries/javalib/java/util/prefs/NodeChangeEvent.java,
	libraries/javalib/java/util/prefs/PreferenceChangeEvent.java,
	libraries/javalib/java/util/prefs/PreferenceChangeListener.java,
	libraries/javalib/javax/accessibility/AccessibleContext.java,
	libraries/javalib/javax/sql/ConnectionEvent.java,
	libraries/javalib/javax/swing/text/BadLocationException.java,
	libraries/javalib/pure-java/math/java/math/BigDecimal.java,
	libraries/javalib/pure-java/math/java/math/BigInteger.java:
	Resynced with GNU Classpath.

	* libraries/javalib/profiles/allatonce/all.files,
	libraries/javalib/profiles/default/awt.files,
	libraries/javalib/profiles/default/core.files,
	libraries/javalib/profiles/default/coreawt.files,
	libraries/javalib/profiles/default/moreawt.files,
	libraries/javalib/profiles/default/nio.files,
	libraries/javalib/profiles/default/profile,
	libraries/javalib/profiles/default/rest.files:
	Updated profile information accordingly.

2003-05-14 Seong Beom Kim <sbkim@mail.marusys.com>

	* libraries/clib/awt/qt/keysyms.h:
	(QFKeyCode) Added missing dead keys.
	
2003-05-14 Ito Kazumitsu <kaz@maczuka.gcd.org>

	* libraries/javalib/java/awt/image/ColorModel.java:
	(ColorModel) Use sRGB color space.
	
2003-05-13 Benja Fallenstein <b.fallenstein@gmx.de>

	* libraries/javalib/java/security/MessageDigest.java:
	Fixed problems with classes extending MessageDigestSpi instead of
	MessageDigest.

	* FAQ/FAQ.classlibrary-compile:
	Added FAQ entry on detecting compilation errors.

2003-05-12  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/jit3/slots.c,
	kaffe/kaffevm/jit3/slots.h,
	kaffe/kaffevm/jit3/seq.h,
	kaffe/kaffevm/jit3/seq.c,
	kaffe/kaffevm/jit3/registers.h,
	kaffe/kaffevm/jit3/registers.c,
	kaffe/kaffevm/jit3/basecode.h,
	kaffe/kaffevm/jit3/constpool.h,
	kaffe/kaffevm/jit3/labels.h,
	kaffe/kaffevm/jit3/machine.c:
	added some docs

2003-05-11 Marc Kleine-Budde <kleine-budde@gmx.de>

	* libraries/clib/net/PlainSocketImpl.c:
	(java_net_PlainSocketImpl_socketAccept) the port is not properly
	convertet to host order, see attached diff.
	
2003-05-11 Dalibor Topic <robilad@yahoo.com>

	* kaffe/kaffevm/readClass.h:
	(MAJOR_VERSION_1_2, MINOR_VERSION_1_2, MAJOR_VERSION_1_3,
	MINOR_VERSION_1_3) new constants.

	* kaffe/kaffevm/readClass.c:
	(readClass) Added checks for more class file versions.
	
2003-05-11 Benja Fallenstein <b.fallenstein@gmx.de>

	* libraries/javalib/java/lang/Class.java,
	libraries/javalib/java/lang/ClassLoader.java:
	Merged in assertion handling code from GNU Classpath.
	
2003-05-11 Tony Wyatt <wyattaw@optushome.com.au>

	* config/m68k/jit3-m68k.def:
	Deleted the "restore registers" instruction from the "eprolog"
	instruction sequence. This sequence was only executed during an
	exception, and caused havoc when it "restored" rubbish into
	perfectly good registers, some with return addresses in them. The
	"restoration" was unnecessary anyway, so I have deleted it
	altogether. JIT3 now runs as well as JIT1 on both the Amiga and
	Debian running natively on my m68k platform.
	
2003-05-11 Ito Kazumitsu <kaz@maczuka.gcd.org>

	* libraries/javalib/java/net/URL.java:
	(openConnection) Don't call connect for http connections, giving
	the user time to set its options up.

	* libraries/javalib/kaffe/net/www/protocol/http/HttpURLConnection.java:
	Added support for getOutputStream.
	
2003-05-11 Tony Wyatt <wyattaw@optushome.com.au>

	* configure.in:
	A patch for configure to improve the testing of "long modulo" and
	"long long modulo". These are now flagged as broken if they do not
	give the correct result.

2003-05-11 Dalibor Topic <robilad@yahoo.com>

        * Makefile.am:
	(EXTRA_DIST) added ChangeLog.4, *.m4 macros, and
	developers/check-classpath-merge-status.
	
        * config/Makefile.am:
	(EXTRA_DIST) added arm-riscos files. added m68k-amiga README
	file. added superh files.

	* include/Makefile.am:
	Don't distribute derived headers.
	
	* kaffe/kaffeh/Makefile.am:
	Don't distribute generated sources.
	(dist-hook) commented out.

	* libraries/javalib/Makefile.am:
	(EXTRA_DIST) removed jrelib_DATA.
	Klasses.jar.bootstrap should depend only on bootstrap classlist,
	but the bootstrap target on rt.jar. That avoids rebuild of rt.jar
	for a make dist.
	
        * Makefile.in,
        config/Makefile.in,
        include/Makefile.in,
        kaffe/kaffeh/Makefile.in,
        libraries/javalib/Makefile.in:
	regenerated.

2003-05-09 Dalibor Topic <robilad@yahoo.com>

	Various fixes to get make dist to work again.

	* configure.in:
	Don't substitute ALSA_DIR and ESD_DIR and move handling of
	sound backends into subdirectories using conditionals. Don't
	substitute java_math_files and NATIVE_MATH_DIR. Move handling of
	math backends into subdirectories using a conditional.
	
	(COND_SOUND_ALSA, COND_SOUND_ESD, COND_PURE_JAVA_MATH) new
	conditionals.
	
	* libraries/clib/Makefile.am:
	Let automake automatically add math subdirectory to distribution
	by using a conditional.
	(SUBDIRS) Use MAYBE_NATIVE_MATH.

	* libraries/clib/awt/qt/Makefile.am:
	(libawt_la_SOURCES) take mocced sources out.
	(nodist_libawt_la_SOURCES) put mocced sources here.
	
	* libraries/extensions/sound/Makefile.am:
	Let automake automatically add math subdirectory to distribution
	by using conditionals.
	(SUBDIRS) Use COND_SOUND_ALSA and COND_SOUND_ESD.
	
	* libraries/extensions/sound/esd/Makefile.am:
	(libtritonusesd_la_SOURCES) common.h added.
	
	* libraries/javalib/Makefile.am:
	Use COND_PURE_JAVA_MATH to pick math backend.
	(EXTRA_DIST) Added pure_java_math.files and
	native_java_math.files.
	Use JAVA_MATH_FILES during library compilation.
	(all-am) add rebuildLib.
	
	* test/internal/Makefile.am:
	(EXTRA_DIST) removed tests.
	
	* Makefile.in,
	config/Makefile.in,
	configure,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libltdl/config-h.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/extensions/sound/Makefile.in,
	libraries/extensions/sound/alsa/Makefile.in,
	libraries/extensions/sound/common/Makefile.in,
	libraries/extensions/sound/esd/Makefile.in,
	libraries/javalib/Makefile.in,
	replace/Makefile.in,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/regression/Makefile.in:
	regenerated.
	
2003-05-07 Mark Wielaard <mark@klomp.org>

	* libraries/javalib/java/lang/Runtime.java:
	(addShutdownHook) don't throw an exception, but print warning
	about method not being implemented.
	
2003-05-07 Dalibor Topic <robilad@yahoo.com>
	* WHATSNEW:
	Added information about native2ascii.
	
        * kaffe/scripts/native2ascii.in:
	Use kaffe's own implementation.

	* libraries/javalib/profiles/allatonce/all.files,
        libraries/javalib/profiles/default/rmi.files:
	Added kaffe.tools.native2ascii.Native2ASCII.java.

        * libltdl/config.guess,
        libltdl/config.sub,
        libltdl/configure.ac,
        libltdl/install-sh,
        libltdl/ltmain.sh,
        libltdl/missing,
        libltdl/mkinstalldirs,
        test/internal/Makefile.in:
	Added files I forgot from last automake/libtool update.
	
2003-05-07 Ito Kazumitsu <kaz@maczuka.gcd.org>

	* libraries/javalib/kaffe/tools/native2ascii/Native2ASCII.java:
	new file.
	
2003-05-07 Dalibor Topic <robilad@yahoo.com>

	* FAQ/FAQ.awt:
	Added information on third party AWT backends.

	Reported by: Kiyo Inaba <inaba@src.ricoh.co.jp>
	
2003-05-07 Dalibor Topic <robilad@yahoo.com>

	* test/regression/FileTest.java:
	Removed broken test.
	
2003-05-07 Ito Kazumitsu <ito.kazumitsu@hitachi-cable.co.jp>

	* libraries/javalib/java/net/URI.java:
	(URI_REGEXP) updated to contain scheme specific part.
	(SCHEME_SPEC_PART_GROUP) new constant.
	(AUTHORITY_GROUP, PATH_GROUP, QUERY_GROUP, FRAGMENT_GROUP) updated
	to make room for SCHEME_SPEC_PART_GROUP.
	(parseURI) parse scheme specific part.
	(resolve, isAbsolute, isOpaque, getRawSchemeSpecificPart,
	getSchemeSpecificPart, getAuthority, getUserInfo, getPath,
	getQuery, getFragment) implemented.

	* libraries/javalib/java/io/File.java:
	(File) implemented URI constructor.
	
2003-05-07 Dalibor Topic <robilad@yahoo.com>

	developers/autogen.sh,
	configure.in:

	Updated for automake 1.7.4 and autoconf 2.57.

	Makefile.am:
	(DIST_SUBDIRS) added replace.
	(EXTRA_DIST) added missing FAQs.
	
	kaffe/xprof/Makefile.am,
	libraries/clib/awt/X/Makefile.am,
	libraries/clib/awt/qt/Makefile.am:
	(CFLAGS) replaced by AM_CFLAGS.

	libltdl/Makefile.am,
	libltdl/Makefile.in,
	libltdl/README,
	libltdl/acinclude.m4,
	libltdl/aclocal.m4,
	libltdl/config-h.in,
	libltdl/config.guess,
	libltdl/config.sub,
	libltdl/configure,
	libltdl/configure.ac,
	libltdl/install-sh,
	libltdl/ltdl.c,
	libltdl/ltmain.sh,
	libltdl/missing,
	libltdl/mkinstalldirs,
	libtool.m4,
	ltmain.sh:
	Updated to libtool 1.5.

	Makefile.in,
	aclocal.m4,
	config.guess,
	config.sub,
	config/Makefile.in,
	config/config.h.in,
	configure,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/extensions/sound/Makefile.in,
	libraries/extensions/sound/alsa/Makefile.in,
	libraries/extensions/sound/common/Makefile.in,
	libraries/extensions/sound/esd/Makefile.in,
	libraries/javalib/Makefile.in,
	replace/Makefile.in,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/regression/Makefile.in:
	Regenerated.

2003-05-06 Ito Kazumitsu <ito.kazumitsu@hitachi-cable.co.jp>

	* libraries/clib/native/ByteToCharIconv.c,
	libraries/clib/native/CharToByteIconv.c:
	Avoid doing a KMALLOC(0) during conversion.

	* test/regression/CharCvt.java:
	Test for zero-length arguments to ByteToCharIconv and
	CharToByteIconv.

2003-04-25 Tim Stack <stack@cs.utah.edu>

	* configure.in:
	Add test/internal/Makefile as an output file.

	* FAQ/FAQ.debugging:
	Add a blurb about the test/internal directory.

	* config/i386/jit3-i386.def:
	Wrap profiling debugging message in an 'if(profFlag)'.

	* kaffe/kaffevm/Makefile.am,
	kaffe/kaffevm/stringParsing.c,
	kaffe/kaffevm/stringParsing.h:
	Added string parsing utility function from the JanosVM.

	* test/Makefile.am:
	Add the 'internal' directory to the list of SUBDIRS, but only if
	HAVE_JIKES is true.

	* test/internal/ConstMathMethods.java,
	test/internal/ConstMethods.java,
	test/internal/ControlFlowMethods.java,
	test/internal/Makefile.am,
	test/internal/MethodOptimizations.java,
	test/internal/ObjectFields.java,
	test/internal/ParameterizedBitwiseMethods.java,
	test/internal/ParameterizedLogicalMethods.java,
	test/internal/ParameterizedMathMethods.java,
	test/internal/ParameterizedMethods.java,
	test/internal/PrimitiveArrays.java,
	test/internal/StaticFields.java,
	test/internal/StaticMethodCall.java,
	test/internal/TypeConversion.java,
	test/internal/jitBasic.c,
	test/internal/jit_stub.c:
	Basic tests for the jitter.
	
2003-04-24 Dalibor Topic <robilad@yahoo.com>

	* configure.in:
	Don't compile AWT support when no AWT backend is specified, and X
	can not be found.

	Reported by: Kiyo Inaba  <inaba@src.ricoh.co.jp>

	* configure, include/Makefile.in: regenerated.
	
2003-04-24 Kapil Vaswani <kapil@csa.iisc.ernet.in>

	* kaffe/kaffevm/external.c:
	(loadNativeLibrary2) Fixed compilation problems on alpha-osf1 by
	using an unsafe replacement for snprintf if it can't be found.

2003-04-24 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Makefile.am:
	Break class library compilation if compilation of a profile file
	fails.

	* libraries/javalib/Makefile.in:
	regenerated.

2003-04-23 Dalibor Topic <robilad@yahoo.com>

	* FAQ/FAQ.classlibrary-compile:
	Added information on using prebuilt rt.jar, and debugging
	class library compilation crashes.

	Reported by: Kevin D. Kissell <kevink@mips.com>
	
2003-04-23 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/essential.files,
	libraries/javalib/profiles/default/core.files:
	moved java.io.SerializedPermission to essential files. It's
	needed by ObjectStreamConstants.	
	
2003-04-22 Tim Stack <stack@cs.utah.edu>

	* FAQ/FAQ.xdebugging:
	Update to mention '-Xxdebug' and the 'xdb' macro.

	* kaffe/kaffe/main.c:
	Add '-Xxdebug' argument to make it easier to turn on xdebugging.

	* developers/gdbinit:
	Add 'xdb' macro to make it easier to load xdebugging information
	into gdb.

2003-04-18 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/io/ObjectStreamConstants.java:
	Replaced by more correct and complete version from GNU Classpath.

	Reported by: Herve Roussain <Herve.Roussain@univ-ubs.fr>
	
2003-04-18 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/io/ObjectInputStream.java:
        (resolveClass) use resolveClassInternal.
        (resolveClassInternal) removed brokenness comment.

	* libraries/javalib/java/io/ObjectStreamClass.java:
        (getClass) improved exception reporting.
        (readObject) call resolveClass after reading an Object in
        order to read in eventual annotations.

2003-04-18 Daniel Bonniot <Daniel.Bonniot@inria.fr>

	* kaffe/scripts/kaffe.in:
        Always prepend kaffe's own rt.jar to CLASSPATH.

2003-04-17 Tim Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/classMethod.c:
	Handle declared_exceptions in expandMethods storing a reference
	back to the interface method.

	* kaffe/kaffevm/classMethod.h:
	Make Method.declared_exceptions a union whose second slot refers
	to the interface method that this method was generated from.

	* kaffe/kaffevm/gcFuncs.c:
	Only free Method.declared_exceptions if it actually refers to the
	constant array.

	* kaffe/kaffevm/lookup.c:
	Add a message to the ClassFormatError generated by getClass().

	* libraries/clib/native/Class.c,
	libraries/clib/native/RMIHashes.c,
	libraries/extensions/microsoft/clib/Delegate.c:
	Handle the new layout of Method.declared_exceptions.	

	* test/regression/ReflectInterfaces.java:
	Add methods that have throw exceptions and an abstract class that
	doesn't implement the interfaces.

	Reported by: Daniel Bonniot <Daniel.Bonniot@inria.fr>
	
2003-04-16 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/io/ObjectOutputStream.java:
	(writeStreamHeader) made protected according to API spec.

2003-04-16 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/io/ObjectStreamClass.java:
	(getEndOfDataBlock) improved exception handling.
	
2003-04-13 Dalibor Topic <robilad@yahoo.com>

	* include/Makefile.am
	Added comments on how headers are derived, and in which group what
	sort of headers belongs.

	Reported by: Marc Kleine-Budde <kleine-budde@gmx.de>
	
2003-04-13 Dalibor Topic <robilad@yahoo.com>

	* FAQ/FAQ.classlibrary-compile:
	Removed jikes 1.13 recommendation as it was causing problems on
	mips-linux.

	Reported by: Seong Beom Kim <sbkim@mail.marusys.com>

2003-04-13 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/sql/Date.java,
	libraries/javalib/java/sql/Time.java,
	libraries/javalib/java/sql/Timestamp.java,
	libraries/javalib/java/sql/DriverManager.java:
	replaced by the more up to date implementation from GNU Classpath.

	Reported by: Ito Kazumitsu <ito.kazumitsu@hitachi-cable.co.jp>
	
2003-04-10 Dalibor Topic <robilad@yahoo.com>
	
	* libraries/javalib/java/sql/Array.java,
        libraries/javalib/java/sql/Blob.java,
        libraries/javalib/java/sql/CallableStatement.java,
        libraries/javalib/java/sql/Clob.java,
        libraries/javalib/java/sql/Connection.java,
        libraries/javalib/java/sql/DataTruncation.java,
        libraries/javalib/java/sql/DatabaseMetaData.java,
        libraries/javalib/java/sql/Driver.java,
        libraries/javalib/java/sql/DriverPropertyInfo.java,
        libraries/javalib/java/sql/PreparedStatement.java,
        libraries/javalib/java/sql/ResultSet.java,
        libraries/javalib/java/sql/ResultSetMetaData.java,
        libraries/javalib/java/sql/SQLException.java,
        libraries/javalib/java/sql/SQLWarning.java,
        libraries/javalib/java/sql/Statement.java,
        libraries/javalib/java/sql/Types.java:
	replaced by the more up to date implementation from GNU Classpath.

	Reported by: Ito Kazumitsu <ito.kazumitsu@hitachi-cable.co.jp>
	
2003-04-10 Tony Wyatt <wyattaw@optushome.com.au>

	* config/m68k/amigaos/md-c.diff:
	The FPU rounding mode register was not initialised, so I have
	added some assembler to md_init() to fix it.	

	* config/m68k/amigaos/README:
	A new file describing the configuration of the Amiga port.

	* FAQ/FAQ.amigaos:
	Re-written faq file.

	* config/m68k/common-h.diff:
	Updated to latest version.
	
2003-04-10 Herve Roussain <roussain@univ-ubs.fr>

	* libraries/javalib/java/lang/ThreadGroup.java:
	(parentOf) rewritten to match specification.
	
2003-04-09 Tim Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/classMethod.c:
	Check for unimplemented super-interface methods and add slots if
	necessary.

	Reported by: Ito Kazumitsu <ito.kazumitsu@hitachi-cable.co.jp>
	
2003-04-09 Marc Kleine-Budde <kleine-budde@gmx.de>

	* kaffe/xprof/xprofiler.c:
	(xProfileStage) replace use of gc_free by KMALLOC

	* kaffe/kaffevm/jit/machine.c
	(finishInsnSequence) replace use of gc_free by KMALLOC

2003-04-08 Tim Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/jit3/icode.c:
	All floating point constants are stored as doubles, so, fix
	move_float accordingly.

	* test/regression/DoublePrint.java:
	Add 1.0/1.0f to the tests to check reported problem.

	Reported by: Benja Fallenstein <b.fallenstein@gmx.de>

2003-04-08 Tim Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/classMethod.c:
	Add expandMethods to add method slots for unimplemented interface
	methods and modify resolveInterfaces to use it.
	
	Reported by: Benja Fallenstein <b.fallenstein@gmx.de>

2003-04-04 Ito Kazumitsu <ito.kazumitsu@hitachi-cable.co.jp>

	* libraries/javalib/java/io/FileInputStream.java:
	(read) use readBytes method to do the work to avoid circular
	recursion in overloaded methods.

	* libraries/javalib/java/io/FileOutputStream.java:
	(write) use writeBytes method to do the work to avoid circular
	recursion in overloaded methods.

2003-04-04 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/io/BufferedInputStream.java:
	(read) use internal _read method to do the work to avoid circular
	recursion in overloaded methods.
	(_read) new method.

2003-04-03 Patrick Tullmann <tullmann@cs.utah.edu>

	* kaffe/scripts/kaffe.in:
	Try to automatically find a unique name for the
	KAFFE_DEBUG_TEMPFILE.
	
2003-04-03 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/util/Vector.java:
	(addElement, add) synchronized the methods to prevent a race
	condition.

	Reported by: Mark J Roberts <mjr@znex.org>
	
2003-04-03 Ito Kazumitsu <ito.kazumitsu@hitachi-cable.co.jp>

	* libraries/javalib/java/io/RandomAccessFile.java:
	(read) use internal _read method to do the work to avoid circular
	recursion in overloaded methods.
	(_read) new method.
	
2003-04-03 Dalibor Topic <robilad@yahoo.com>

	* libraries/clib/native/ZipFile.c:
	(java_util_zip_ZipFile_openZipFile0,
	java_util_zip_ZipFile_getZipEntry0) replaced use of gc_free by
	KMALLOC.

	Reported by: Marc Kleine-Budde <kleine-budde@gmx.de>
	
2003-04-02 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/awt/Component.java:
	(getWidth, getHeight) new methods.
	
	* libraries/javalib/java/awt/Container.java:
	(list) fixed listing of 0-th component.

2003-04-02 Tony Wyatt <wyattaw@optushome.com.au>

	* config/m68k/a-ux/md.h,
	config/m68k/nextstep3/md.h,
	config/m68k/openbsd2/md.h:
	Moved stack offset setting in.

2003-03-30 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Klasses.jar.bootstrap:
	rebuilt. Fixed build crashes with jit.

	* libraries/javalib/java/io/ObjectOutputStream.java:
	fixed compilation problems with javac from JDK 1.3.1.

2003-03-14 Tim Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/jit3/machine.c: Aggressively spill Rreadonce
	registers in slotAlias, otherwise they might not get spilled at
	all.

	* test/regression/FloatAlias.j: Test aliased float problems on
	x86.  (Not integrated into the test suite yet.)

	Reported by: Ito Kazumitsu <kaz@maczuka.gcd.org>

2003-03-13 Tim Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/jit3/icode.c: Fix div_int_const_optimize so it
	works with negative numerators.

	* test/regression/NegativeDivideConst.java: Added to test negative
	numerators divided by a power of two constant.

	* test/regression/Makefile.am: Add NegativeDivideConst.java

	Reported by: Benja Fallenstein <b.fallenstein@gmx.de>

2003-03-09 Dalibor Topic <robilad@yahoo.com>

	* libraries/clib/awt/qt/Makefile.am:
	(CFLAGS) removed.
	(CXXFLAGS) Added -fno-rtti and -fno-exceptions.
	
	* libraries/clib/awt/qt/Makefile.in:
	regenerated.

	* configure.in:
	(--enable-debug) Define KAFFE_VMDEBUG instead of DEBUG.

	* configure:
	regenerated.
	
	* config/alpha/jit-alpha.def,
	config/arm/jit-arm.def,
	config/arm/jit3-arm.def,
	config/arm/linux/md.h,
	config/i386/jit-i386.def,
	config/i386/jit3-i386.def,
	config/m68k/jit-m68k.def,
	config/m68k/jit3-m68k.def,
	config/mips/jit3-mips.def,
	config/sparc/jit-sparc.def,
	include/jmalloc.h,
	kaffe/kaffe/main.c,
	kaffe/kaffeh/main.c,
	kaffe/kaffevm/classMethod.c,
	kaffe/kaffevm/classMethod.h,
	kaffe/kaffevm/classPool.c,
	kaffe/kaffevm/debug.c,
	kaffe/kaffevm/debug.h,
	kaffe/kaffevm/intrp/machine.c,
	kaffe/kaffevm/jit3/funcs.c,
	kaffe/kaffevm/jit3/labels.c,
	kaffe/kaffevm/jit3/labels.h,
	kaffe/kaffevm/locks.c,
	kaffe/kaffevm/mem/gc-incremental.c,
	kaffe/kaffevm/mem/gc-mem.c,
	kaffe/kaffevm/mem/gc-mem.h,
	kaffe/kaffevm/methodCache.c,
	kaffe/kaffevm/systems/unix-jthreads/config-jthreads.h,
	kaffe/kaffevm/systems/unix-jthreads/jthread.c,
	kaffe/kaffevm/systems/unix-pthreads/thread-impl.c,
	kaffe/kaffevm/systems/unix-pthreads/thread-internal.h,
	kaffe/kaffevm/utf8const.c,
	kaffe/kaffevm/utf8const.h,
	kaffe/xprof/callGraph.c,
	libraries/clib/awt/X/evt.c,
	libraries/clib/awt/qt/evt.cc,
	libraries/clib/native/TestNative.c,
	libraries/clib/net/PlainDatagramSocketImpl.c,
	libraries/clib/net/PlainSocketImpl.c:
	replaced use of DEBUG with KAFFE_VMDEBUG.

2003-03-07 Tony Wyatt <wyattaw@optushome.com.au>

	* configure/m68k/common.h:
	The COMPARE_AND_EXCHANGE macro has been modified to make it
	work. I have modified it to work in all three of the calls in
	locks.c, without the assembler syntax errors that it originally
	generated.

	* configure/m68k/threads.h:
	I have removed the definition of "SP_OFFSET" from this common
	file. Since it is peculiar to each OS, it belongs in the next
	level down in the source tree. Other OS versions that do not
	define their own values for SP_OFFSET, will  now fail. Those that
	do not define SP_OFFSET and are now broken are a-ux, nextstep3 and
	openbsd2.

	* config/m68k/amigaos/md.h:
	I have added an #include of "common.h" which was omitted.
	I have added the definition of SP_OFFSET.
	
2003-03-07 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Klasses.jar.bootstrap:
	regenerated.
	
2003-03-07 Mark J Roberts <mjr@znex.org>

	* libraries/clib/io/File.c:
	(java_io_File_createNewFile0) added mode parameter. Use it instead
	of a hardcoded mode.

	* libraries/javalib/java/io/File.java
	(createTempFile) create with mode 0600.
	(createNewFile) create with mode 0666.
	(createNewFile0) added mode parameter.
	
2003-03-01 Dalibor Topic <robilad@yahoo.com>

	Further merges with JanosVM 1.0
	
	2002-02-07 Thursday 12:10  stack

        * kaffe/kaffe/main.c: use fprintf(stderr), instead of dprintf,
        error messages are not debugging output

	2002-02-04 Monday 11:41  stack

        * kaffe/kaffe/main.c: test for null vmargs.classpath

	2001-03-14 Wednesday 15:19  tullmann

        * kaffe/kaffe/main.c: replace all occurances of dprintf(...) with
        fprintf(stderr,...)

2003-02-26 Dalibor Topic <robilad@yahoo.com>

	* configure.in:
	(--with-rt.jar) new option.
	(USE_PRECOMPILED_RT_JAR) new conditional.
	(PATH_TO_RT_JAR) new variable.

	* libraries/javalib/Makefile.am:
	Use precompiled rt.jar when supplied instead of compiling the
	class library.
	
2003-02-26 Matthew Toseland <toad@amphibian.dyndns.org>

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c:
	(handleIO) removed bogus assert that caused Freenet to crash.

	Suggested by: Godmar Back <gback@cs.utah.edu>
	
2003-02-26 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/kaffe/lang/UNIXProcess.java:
	(UNIXProcess) Chain thrown exception.
	
2003-02-26 Timothy S Stack <stack@cs.utah.edu>

	* libraries/javalib/kaffe/lang/UNIXProcess.java:
	(destroy) close file descriptors.

	Reported by: Calvin Kaiwen <cal_kaiwen@hotmail.com>
	
2003-02-25 Dalibor Topic <robilad@yahoo.com>

	* README, WHATSNEW:
	Added information on RISC OS port.
	
2003-02-22 Peter Naulls <peter@chocky.org>
	* config/config.alias,
	Add RISC OS dectection.

	* config/arm/trampolines.c,
	Allow ARM assembly to work on RISC OS.

	* include/system.h,
	#defines for RISC OS

	* kaffe/kaffevm/external.c, kaffe/kaffevm/findInJar.c,
	Allow classpath and library path to be in RISC OS format.

2003-02-22 David Marston <david.marston@physics.org>

	* config/arm/riscos,
	New directory and files for RISC OS support, allows Hello World to run.

2003-02-21 Dalibor Topic <robilad@yahoo.com>

	Merged more fixes from JanosVM 1.0.

	2002-11-25 Monday 15:57  stack

        * libraries/clib/native/Method.c: need to process the class if
        invoke is being called on a static method

	2003-01-02 Thursday 16:12  stack

        * libraries/clib/io/FileInputStream.c: ops, don't dereference null
        fd

	2002-11-25 Monday 15:57  stack

        * libraries/clib/io/: FileInputStream.c, FileOutputStream.c:
        IOException -> FileNotFoundException

	2000-10-13 Friday 11:09  stack

        * test/regression/: BadFloatTest.java,
        ExceptionInInitializerTest.java, IndexTest.java,
        InvTarExcTest.java, StackDump.java, TestCasts.java,
        TestClassRef.java, burford.java, tname.java: Minor changes to make
        them work better when run inside a team.

	2003-01-29 Wednesday 16:57  stack

        * test/regression/ClassGC.java: be specific about which part of the
        test was successful

	2002-07-05 Friday 16:25  stack

        * test/regression/: ExceptionTestClassLoader.java,
        ExceptionTestClassLoader2.java: alas, rename doesn't work on
        oskit/moab...  therefore, we redo the loader so that it doesn't
        rely on rename

	2001-02-14 Wednesday 15:52  stack

        * test/regression/ExceptionTestClassLoader.java: Rename the
        ExceptionTest file back to its old name so that the test can be run
        multiple times

	2000-10-04 Wednesday 14:28  tullmann

        * test/regression/: CLTestJLock.java, DieAfter.java, GCTest.java,
        IndexTest.java, InvTarExcTest.java, Makefile.am, Makefile.in,
        Preempt.java, ProcessClassLockTest.java, StackDump.java,
        ThreadLocalTest.java, UDPTest.java: remove tests that won't work on
        JanosVM; make all tests main threads wait for test to end; update
        stack traces to include DieAfter frames

	2001-02-14 Wednesday 15:52  stack

        * test/regression/PipeTest.java: Flush stdout and wait for the
        thread so that the test runs consistently

	2000-10-29 Sunday 15:33  tullmann

        * test/regression/ProcessClassLockTest.java: make more verbose

	2002-03-17 Sunday 08:16  stack

        * test/regression/ThreadInterrupt.java: fix an inner class

	2001-03-05 Monday 14:47  tullmann

        * test/regression/ThreadInterrupt.java: Remove the
        dead-thread-interrupt tests.  They no good.

	2000-10-29 Sunday 15:35  tullmann

        * test/regression/ThreadInterrupt.java: test for interrupt on dead
        threads

	2002-02-20 Wednesday 15:27  stack

        * test/regression/ThreadLocalTest.java: don't lock a global dangit

	2003-01-29 Wednesday 16:56  stack

        * test/regression/: CLInitThrow.java, SensorsTest.java: first cut

	2001-10-10 Wednesday 11:23  stack

        * test/regression/: DateFormatTest.java, Makefile.am, Makefile.in:
        date format test

	2002-10-02 Wednesday 09:34  stack

        * test/regression/: InetSocketAddressTest.java, Makefile.am,
        Makefile.in: add InetSocketAddress test

	2003-01-31 Friday 14:13  stack

        * test/regression/NetworkInterfaceTest.java: If NetworkInterface
        fails to initialize return the special 'skip' code (77), so the
        test suite can tell the user that it was skipped.

	2002-09-14 Saturday 14:57  stack

        * test/regression/NetworkInterfaceTest.java: simple test of
        java.net.NetworkInterface class

	2002-06-03 Monday 15:07  stack

        * test/regression/: Makefile.am, Makefile.in,
        SecureRandomTest.java, WaitTest.java: add SecureRandomTest and
        WaitTest

2003-02-20 Dalibor Topic <robilad@yahoo.com>

	More merges with JanosVM 1.0.
	
	2002-10-02 Wednesday 09:31  stack

        * libraries/javalib/java/lang/ThreadGroup.java: add interrupt
        method.

	2003-02-06 Thursday 11:08  stack

        * libraries/javalib/java/net/NetworkInterface.java: minor changes
        to satisfy kjc

	2003-01-24 Friday 17:50  stack

        * libraries/javalib/java/net/: InetSocketAddress.java,
        NetworkInterface.java: need to prime the static objects so they
        work in janosvm mode

	2002-10-02 Wednesday 09:31  stack

        * libraries/javalib/java/net/: InetAddress.java,
        InetSocketAddress.java, MulticastSocket.java,
        NetworkInterface.java, PlainDatagramSocketImpl.java,
        SocketAddress.java: add some jdk1.4 things

	2002-10-02 Wednesday 09:31  stack

        * libraries/javalib/java/net/DatagramSocketImpl.java: add
        joinGroup/leaveGroup for multicast

	2002-09-14 Saturday 14:56  stack

        * libraries/javalib/java/net/NetworkInterface.java: basic
        implementation of java.net.NetworkInterface

	2002-09-14 Saturday 14:56  stack

        * libraries/javalib/: Makefile.am, Makefile.in: add
        java/net/NetworkInterface.java
	
2003-02-20 Dalibor Topic <robilad@yahoo.com>

	* libraries/clib/awt/X/evt.c:
	(Java_java_awt_Toolkit_evtInit) Added assertions to catch failed
	loading of classes earlier.
	
	* libraries/javalib/bootstrap.classlist,
	libraries/javalib/essential.files:
	Updated for new character database handling code.

	* libraries/javalib/gnu/java/lang/CharData.java:
	new file, taken from GNU Classpath.

	* libraries/javalib/java/lang/Character.java:
	replaced by implementation from GNU Classpath.

	* libraries/javalib/java/lang/String.java:
	(String) new constructor needed by Character. Merged in from GNU
	Classpath.
	(zeroBasedStringValue) new method needed by Character. Merged in
	from GNU Classpath.

	* libraries/javalib/java/lang/System.java:
	(static) removed loading of system properties from
	system.properties.

	* libraries/javalib/java/util/zip/Checksum.java,
	libraries/javalib/java/util/zip/ZipException.java:
	replaced by implementation from GNU Classpath.

	* libraries/javalib/kaffe/lang/Application.java:
	(Application) removed unused constructors.
	(getResource, getResourceAsStream, loadClass) removed unused
	methods.

	* libraries/javalib/Makefile.am
	(Klasses_jar_SRCS) Added gnu_java_lang_SRCS.
	(gnu_java_lang_SRCS) new variable.
	(java_awt_SRCS) Added ImageFrameLoader.java, ImageLoader.java,
	ImageNativeProducer.java.
	
	* libraries/javalib/Makefile.in:
	regenerated.

	* libraries/javalib/profiles/allatonce/all.files,
	libraries/javalib/profiles/default/coreawt.files,
	libraries/javalib/profiles/default/core.files:
	updated for class library changes.
	
2003-02-19 Dalibor Topic <robilad@yahoo.com>

	Merged in some class library fixes from JanosVM 1.0.

	2002-10-31 Thursday 19:39  tullmann

        * libraries/javalib/java/awt/: Image.java, ImageFrameLoader.java,
        ImageLoader.java, ImageNativeProducer.java: move package-level
        classes into their own files (out of java/awt/Image.java)

	2003-01-24 Friday 16:41  stack

        * libraries/javalib/java/io/IOException.java: add constructors that
        take cause parameters

	2002-12-19 Thursday 16:01  stack

        * libraries/javalib/java/lang/: Byte.java, Integer.java, Long.java,
        Short.java: add the string to NumberFormatExceptions

	2002-09-05 Thursday 13:25  tullmann

        * libraries/javalib/java/lang/: Error.java, Exception.java,
        InternalError.java, Runtime.java, RuntimeException.java,
        Throwable.java, VirtualMachineError.java: add jdk1.4 exception
        chaining support

	2003-01-24 Friday 16:41  stack

        * libraries/javalib/java/lang/NativeLibrary.java: static
        synchronized is a big no-no

	2003-01-29 Wednesday 16:53  stack

        * libraries/javalib/java/lang/System.java: throw
        IllegalArgumentException if the key passed to get/setProperty is
        empty

	2003-01-24 Friday 16:42  stack

        * libraries/javalib/java/lang/System.java: update property security
        checks

	2003-02-06 Thursday 16:06  stack

        * libraries/javalib/java/lang/SecurityManager.java: minor change
        for spec compliance

	2003-01-24 Friday 18:01  stack

        * libraries/javalib/java/security/:
        AlgorithmParameterGenerator.java, AlgorithmParameters.java,
        KeyFactory.java, KeyPairGenerator.java, KeyStore.java,
        MessageDigest.java, SecureRandom.java, Security.java,
        Signature.java: engine fixups

	2003-01-24 Friday 17:54  stack

        * libraries/javalib/java/security/Security.java: make Engine an
        inner class

	2003-01-24 Friday 17:50  stack

        * libraries/javalib/java/security/:
        AlgorithmParameterGenerator.java, AlgorithmParameters.java,
        KeyFactory.java, KeyPairGenerator.java, KeyStore.java,
        MessageDigest.java, SecureRandom.java, Signature.java: use the
        Engine class in Security

	2003-01-24 Friday 16:42  stack

        * libraries/javalib/java/security/SecureRandom.java: make next()
        behave like sun's

	2002-12-31 Tuesday 17:19  stack

        * libraries/javalib/java/security/Permission.java: add checks for
        the name argument in the constructor

	2002-09-12 Thursday 16:07  stack

        * libraries/javalib/java/security/Security.java: look for the
        java.security file in the right place

	2003-01-24 Friday 16:42  stack

        * libraries/javalib/java/text/DateFormat.java: remove static
        synchronized

	2002-04-08 Monday 10:03  stack

        * libraries/javalib/: Klasses.jar, java/text/SimpleDateFormat.java,
        java/util/GregorianCalendar.java: attempt to fix daylight savings
        problems, prolly have to do it again six months from now

	2003-01-24 Friday 16:43  stack

        * libraries/javalib/java/util/Calendar.java: remove synchronized on
        some static methods

	2003-01-24 Friday 16:42  stack

        * libraries/javalib/java/: net/Socket.java, util/Locale.java:
        security check

	2002-07-05 Friday 10:41  stack

        * libraries/javalib/kaffe/security/provider/SHA1PRNG.java: move
        counter increment

	2002-06-07 Friday 13:29  stack

        * libraries/javalib/kaffe/security/provider/SHA1PRNG.java:
        comments!

2003-02-19 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/awt/Frame.java:
	(paramString) rearranged to match JDK 1.4 output better.
	
        * libraries/javalib/java/awt/MouseEvt.java:
	(computeMouseTarget) implemented JDK 1.1 style event source
	propagation.
	
        * libraries/javalib/java/awt/event/InputEvent.java
	(getModifiersAsString) new package visible method.
	
        * libraries/javalib/java/awt/event/MouseEvent.java:
	(MOUSE_EVENTS) new field.
	(paramString) simplified and modified to match JDK 1.4 output
	better.
	
        * libraries/javalib/java/awt/widgets/Button.java:
	(counter) new field.
	(Button) set widget name.
	(paramString) modified to match JDK 1.4 output better.
	
        * libraries/javalib/java/awt/widgets/Label.java:
	(ALIGNMENTS) new field.
	(counter) new field.
	(Label) set widget name.
	(paramString) modified to match JDK 1.4 output better.	
	
	Reported by: David Turner <novalis@fsf.org>
	
2003-02-18 Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/support.c:
	Added doxygen comments.
	(callMethodA) fixed regression test crash in interpreter mode.
	
2003-02-14 Dalibor Topic <robilad@yahoo.com>

	* configure: regenerated.

	* libraries/extensions/sound/alsa/Makefile.am,
	libraries/extensions/sound/esd/Makefile.am:
	fixed warnings about linking to libtritonuscommon. It should now
	build on arm linux as well.

	* libraries/extensions/sound/alsa/Makefile.in,
	libraries/extensions/sound/esd/Makefile.in:
	regenerated.

2003-02-13 Peter Naulls <peter@chocky.org>

	* config/config-hacks.h,
	configure.in:
	Use __arm__ to detect an arm platform.

	* config/config-hacks.h:
	fixed a typo and a comment on arm platform.
	
2003-02-13 Timothy S Stack <stack@cs.utah.edu>

        * configure.in:
        Add AM_CONDITIONAL(HAVE_ZIP, ...) so make files can
        use a regular zip if its available.

        * libraries/javalib/Makefile.am:
        Use detected zip executable to build the JAR file,
        needed to work in a cross-compile environment.
	
2003-02-12 Timothy S Stack <stack@cs.utah.edu>

        * config/i386/oskit/mkimage.sh:
        Fix the paths used to build the kernel image.
        (e.g. libexec/Kaffe -> jre/bin/kaffe-bin)

        * kaffe/kaffevm/systems/oskit-pthreads/jthread.h:
        Add jthread_relaxstack() function.

2003-02-12 Mark J Roberts <mjr@znex.org>

	* libraries/javalib/java/net/URLDecoder.java:
	(decode) throw IllegalArgumentException.

	* libraries/javalib/java/util/Calendar.java:
	(getTimeInMillis) made public.

2003-02-12 Dalibor Topic <robilad@yahoo.com>

	Added new class library compilation runs to default profile in
	order to reduce memory usage for class library compilation to
	20M. This should help people building kaffe on devices with less
	than 32 M of RAM to avoid swapping.

	Added new 'allatonce' profile that compiles the class library in a
	single run. It needs more than 50 M of memory.
	
	* libraries/javalib/profiles/default/profile:
	Added new runs.
	
	* libraries/javalib/profiles/default/awt.files:
	split into three runs.

	* libraries/javalib/profiles/default/jaxp.files:
	split into two runs.

	* libraries/javalib/profiles/default/coreawt.files,
	libraries/javalib/profiles/default/moreawt.files,
	libraries/javalib/profiles/default/xml.files:
	new files.

	* libraries/javalib/profiles/allatonce/profile,
	libraries/javalib/profiles/allatonce/all.files:
	new files.

	* FAQ/FAQ.classlibrary-compile:
	Documented available profiles.
	
2003-02-11 Dalibor Topic <robilad@yahoo.com>

	* configure.in:
	(--enable-pure-java-math) choose file with list of files to
	compile internally. 

	* libraries/javalib/Makefile.am:
	Compile math libs from chosen file.
	
	* libraries/javalib/native_java_math.files,
	libraries/javalib/pure_java_math.files:
	new files.

	* Makefile.in,
	config/Makefile.in,
	configure,

	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/extensions/sound/Makefile.in,
	libraries/extensions/sound/alsa/Makefile.in,
	libraries/extensions/sound/common/Makefile.in,
	libraries/extensions/sound/esd/Makefile.in,
	libraries/javalib/Makefile.in,
	test/Makefile.in,
	test/regression/Makefile.in:
	regenerated.

2003-02-10 Dalibor Topic <robilad@yahoo.com>

	* kaffe/kaffevm/jar.c:
	(hashName) modified to return an unsigned int.
	(addJarEntry, lookupJarFile) adapted to use new hashName.

	* WHATSNEW:
	Added support for user defined class library profiles.

	* config/i386/freebsd2/xprofile-md.h,
	config/i386/linux/xprofile-md.h:
	Synced with JanosVM 0.8.0, fixing license information.

	* kaffe/kaffevm/jit3/basecode.c,
	kaffe/kaffevm/jit3/basecode.h,
	kaffe/kaffevm/jit3/constpool.c,
	kaffe/kaffevm/jit3/constpool.h,
	kaffe/kaffevm/jit3/funcs.c,
	kaffe/kaffevm/jit3/icode.c,
	kaffe/kaffevm/jit3/machine.c,
	kaffe/kaffevm/jit3/machine.h,
	kaffe/kaffevm/jit3/registers.c:
	Synced with JanosVM 0.8.0
	
	2002-07-27 Saturday 16:03  stack

        * kaffe/kaffevm/jit3/: basecode.c, basecode.h: added missing
        lslot_slot_const function

	2002-07-27 Saturday 16:03  stack

        * kaffe/kaffevm/jit3/: constpool.c, constpool.h: better printfs and
        comments

	2002-07-27 Saturday 16:04  stack

        * kaffe/kaffevm/jit3/funcs.c: try to print out labels corresponding
        to the current pc

	2002-07-27 Saturday 16:07  stack

        * kaffe/kaffevm/jit3/icode.c: added branch and link optimization
        for fake calls on architectures that support branch and link, added
        long version of copyslots, pay attention to leaf flag to avoid
        check_stack_limit, switch ordering of moving longs to get "better"
        register allocation, added HAVE_move_float/double_const function

	2002-07-27 Saturday 16:09  stack

        * kaffe/kaffevm/jit3/machine.c: support for branch and link fake
        calls and added call to resetConstants

	2002-07-27 Saturday 16:11  stack

        * kaffe/kaffevm/jit3/registers.c: modified allocRegister to support
        allocation of Rnosaveoncall registers in reverse order.  this makes
        it easier for architectures that have instructions that save
        regsters in a high to low fashion.

	* FAQ/FAQ.jit3:
	New file, taken from JanosVM 0.8.0.

2003-02-10  Helmer Kraemer  <hkraemer@freenet.de>
 
       * kaffe/kaffevm/support.c (callMethodA): Fixed passing of longs and
       doubles, small code clean up
       (callMethodV): Changed PROMOTE_TO_64bits to PROMOTE_jfloat2jdouble
       in order to match callMethodA
       (callMethodV): Removed bogus assertion
 
2003-02-09 Dalibor Topic <robilad@yahoo.com>

	* FAQ/FAQ.requiredlibraries:
	Added information on libiconv. Added information on RPMs.

	* FAQ/FAQ.awt:
	Added information on downloading SWING.

2003-02-08 Dalibor Topic <robilad@yahoo.com>

	* FAQ/FAQ.requiredlibraries:
	Updated information for AWT and sound. Sorted libraries into
	groups. Updated broken links.

	Reported by: Calvin Kaiwen <cal_kaiwen@hotmail.com>
	
2003-02-07 Helmer Kraemer  <hkraemer@freenet.de>

	* configure.in:
	Use $with_jikes instead of $withval when --with-jikes is not
	specified.
	
2003-02-06 Robert N. Gonzalez <Robert.N.Gonzalez@williams.edu>
	
	* kaffe/kaffevm/code-analyse.h,
	kaffe/kaffevm/code-analyse.c:
	(verifyBasicBlock, tidyVerifyMethod, verifyCatchClause) renamed to
	(analyzeBasicBlock, tidyAnalyzeMethod, analyzeCatchClause).
	
	* kaffe/kaffevm/intrp/machine.c
	kaffe/kaffevm/jit/machine.c
	kaffe/kaffevm/jit3/machine.c
	Adapted to use new funtion names.
	
2003-02-06 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Makefile.am:
	(JAR) new variable.

	* libraries/javalib/java/awt/geom/Dimension2D.java,
	libraries/javalib/java/awt/geom/Line2D.java,
	libraries/javalib/java/awt/geom/QuadCurve2D.java,
	libraries/javalib/java/awt/geom/GeneralPath.java,
	libraries/javalib/java/awt/color/ColorSpace.java,
	libraries/javalib/java/awt/color/ICC_ColorSpace.java,
	libraries/javalib/java/awt/image/ColorModel.java,
	libraries/javalib/java/net/SocketAddress.java,
	libraries/javalib/java/net/InetSocketAddress.java,
	pure-java/math/java/math/BigDecimal.java:
	Resynced with GNU Classpath.

	* libraries/javalib/gnu/xml/aelfred2/SAXDriver.java,
	libraries/javalib/gnu/xml/pipeline/XIncludeFilter.java,
	libraries/javalib/javax/xml/parsers/ClassStuff.java:
	Resynced with GNU JAXP.

	* libraries/javalib/javax/sound/sampled/AudioFormat.java,
	libraries/javalib/org/tritonus/core/TAudioConfig.java,
	libraries/javalib/org/tritonus/core/TInit.java,
	libraries/javalib/org/tritonus/core/TMidiConfig.java,
	libraries/javalib/org/tritonus/sampled/file/AuAudioOutputStream.java,
	libraries/javalib/org/tritonus/share/sampled/convert/TAsynchronousFilteredAudioInputStream.java,
	libraries/javalib/org/tritonus/share/sampled/file/TAudioOutputStream.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TClip.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TSoftClip.java:
	Resynced with Tritonus.
	
2003-02-06 Timothy S Stack <stack@cs.utah.edu>

	* libraries/javalib/Makefile.am:
	Always use -C $(srcdir) as jar parameter to get paths right.
	
2003-02-06 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Makefile.am:
	(CLASSPATH) prepend ($srcdir) to Klasses.jar.bootstrap to fix
	building in a directory other than the source.

	Reported by: Timothy S Stack <stack@cs.utah.edu>
	
	* configure.in:
	changed test "$someting" = "something_else" to use x"$something" =
	x"something_else".

	* configure.in:
	(JIKES) rewritten to use case statements instead of a sequence of
	if statements.

	Based on a patch by: Timothy S Stack <stack@cs.utah.edu>

2003-02-05 Marc Kleine-Budde <kleine-budde@gmx.de>

	* include/.cvsignore:
	Added org_* files to the list of ignored files.
	
2003-02-03 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/kaffe/tools/jar/Jar.java:
	(updateFilesInJar) implemented.
	
2003-02-02 Dalibor Topic <robilad@yahoo.com>

	* configure.in:
	Check for ia64intrin.h.

	* libraries/javalib/Makefile.am:
	Use kaffe's jar tool instead of $ZIP.
	
	* libraries/javalib/Makefile.in:
	regenerated.
	
2003-02-02 Timothy S Stack <stack@cs.utah.edu>

	* Makefile.am, 
	config/Makefile.am,
	kaffe/kaffevm/Makefile.am,
	libraries/clib/awt/Makefile.am,
	libraries/clib/awt/qt/Makefile.am,
	libraries/extensions/sound/Makefile.am,
	libraries/extensions/sound/common/Makefile.am,
	libraries/extensions/sound/esd/Makefile.am:
	Fixes for 'make dist'

	* test/regression/Makefile.am:
	Add 'all-am' target that has TestScript as a dependency
	so it will be regenerated automatically.

	* configure.in:
	Add AC_SUBST() for abssrcdir (used by javalib make file).  Fix
	typo in --with-staticbin comment help.  Split checks for
	resource.h and getrusage to make it work with current automake.
	Add explicit check for esd.h.

	* developers/autogen.sh:
	Change autoheader command line to work with the latest
	version.

	* kaffe/scripts/compat/Makefile.am:
	Define *_SCRIPTS variables when SUN_COMPAT is not true.

	* libraries/javalib/Makefile.am:
	Fixes for 'make dist'.  The profiles path should use
	$(srcdir) so it works when building in a separate
	directory.  The bootstrap.classlist should use $(abssrcdir)
	so it works when building in a separate directory (the 'cd
	$(LIBDIR)' changes the path and invalidates $(srcdir)).

	* libraries/clib/native/SystemClassLoader.c:
	(kaffe_lang_SystemClassLoader_findClass0) removed redundant code.
	
2003-02-02 Dalibor Topic <robilad@yahoo.com>

        * FAQ/FAQ.classlibrary-compile: Added information on class library
	profiles.

        * configure.in:
	(LTLIBS) Removed automatical adding of /usr/local/lib.

	Reported by: Timothy S Stack <stack@cs.utah.edu>
	
	(--with-class-library-profile) new option.
	(PROFILE) new variable.
	
        * libraries/javalib/Makefile.am:
	(Klasses_jar_SRCS) now lists all packages.
	(Awt_SRCS, Rest_SRCS, RMI_SRCS, JAXP_SRCS, SOUND_SRCS)
	removed. Included into Klasses_jar_SRCS.
	(EXTRA_DIST) don't use removed SRCS.
	(classes) adapted to compile the essential.files, the java.math
	implementation and the given profile.
	
        * libraries/javalib/Makefile.in:  regenerated.
	
        * libraries/javalib/bootstrap.classlist:
	Added new files necessary for kjc to compile with the @ parameter.
	
        * libraries/javalib/rebuildLib.in:
	Added information on where the classes are compiled from.
	
        * libraries/javalib/essential.files,
        libraries/javalib/profiles/default/awt.files,
        libraries/javalib/profiles/default/core.files,
        libraries/javalib/profiles/default/jaxp.files,
        libraries/javalib/profiles/default/profile,
        libraries/javalib/profiles/default/rest.files,
        libraries/javalib/profiles/default/rmi.files,
        libraries/javalib/profiles/default/sound.files,
        libraries/javalib/profiles/minimal/profile:
	new files.

        * Makefile.in,
        config/Makefile.in,
        configure,
        include/Makefile.in,
        kaffe/Makefile.in,
        kaffe/kaffe/Makefile.in,
        kaffe/kaffeh/Makefile.in,
        kaffe/kaffevm/Makefile.in,
        kaffe/kaffevm/gcj/Makefile.in,
        kaffe/kaffevm/intrp/Makefile.in,
        kaffe/kaffevm/jit/Makefile.in,
        kaffe/kaffevm/jit3/Makefile.in,
        kaffe/kaffevm/systems/Makefile.in,
        kaffe/kaffevm/systems/beos-native/Makefile.in,
        kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
        kaffe/man/Makefile.in,
        kaffe/scripts/Makefile.in,
        kaffe/scripts/bat/Makefile.in,
        kaffe/scripts/compat/Makefile.in,
        kaffe/xprof/Makefile.in,
        libraries/Makefile.in,
        libraries/clib/Makefile.in,
        libraries/clib/awt/Makefile.in,
        libraries/clib/awt/X/Makefile.in,
        libraries/clib/awt/qt/Makefile.in,
        libraries/clib/io/Makefile.in,
        libraries/clib/management/Makefile.in,
        libraries/clib/math/Makefile.in,
        libraries/clib/native/Makefile.in,
        libraries/clib/net/Makefile.in,
        libraries/clib/security/Makefile.in,
        libraries/clib/zip/Makefile.in,
        libraries/extensions/Makefile.in,
        libraries/extensions/comm/Makefile.in,
        libraries/extensions/comm/javalib/Makefile.in,
        libraries/extensions/microsoft/Makefile.in,
        libraries/extensions/microsoft/clib/Makefile.in,
        libraries/extensions/microsoft/javalib/Makefile.in,
        libraries/extensions/pjava/Makefile.in,
        libraries/extensions/pjava/javalib/Makefile.in,
        libraries/extensions/servlet/Makefile.in,
        libraries/extensions/servlet/javalib/Makefile.in,
        libraries/extensions/sound/Makefile.in,
        libraries/extensions/sound/alsa/Makefile.in,
        libraries/extensions/sound/common/Makefile.in,
        libraries/extensions/sound/esd/Makefile.in,
        libraries/javalib/Klasses.jar.bootstrap,
        test/Makefile.in,
        test/regression/Makefile.in:
	regenerated.

2003-01-02 Timothy S Stack <stack@cs.utah.edu>

	* configure.in:
	(MATH_LIB) fixed build problems on systems with gmp installed.
	
2003-01-23 Dalibor Topic <robilad@yahoo.com>

	* configure.in:
	Fixed --enable-pure-java-math.

	Reported by: Timothy S Stack <stack@cs.utah.edu>

	* libraries/javalib/java/lang/Class.java:
	(forName) removed now unnecessary comments.

	* Makefile.in,
	config/Makefile.in,
	configure,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/extensions/sound/Makefile.in,
	libraries/extensions/sound/alsa/Makefile.in,
	libraries/extensions/sound/common/Makefile.in,
	libraries/extensions/sound/esd/Makefile.in,
	libraries/javalib/Makefile.in,
	test/Makefile.in,
	test/regression/Makefile.in:
	regenerated.

2003-01-21 Helmer Kraemer  <hkraemer@freenet.de>

	* libraries/javalib/java/lang/Class.java:
	(forName) don't catch VerifyErrors

	Reported by: Robert N. Gonzalez <Robert.N.Gonzalez@williams.edu>
	
	* kaffe/kaffeh/support.c:
	(_methodRing) use a boolean flag to decide whether method signature
	needs to be mangled.
	(addMethod) set needs_mangled_sig accordingly.
	(finishMethods) only mangle sig if needs_mangled_sig has been set.

	Reported by: Marc Kleine-Budde <kleine-budde@gmx.de>

2003-01-21 Patrick Tullmann  <pat@tullmann.org>

	* configure.in:
	Fixed a bug where --with-jikes would pick up the first jikes in
	path, instead of the specified version.
	
2003-01-21 Dalibor Topic <robilad@yahoo.com>

	* FAQ/FAQ.dmalloc: new file.

	* configure.in:
	(NATIVE_MATH_DIR) new variable.

	* libraries/clib/Makefile.am:
	Use NATIVE_MATH_DIR to decide whether math libs should be built.

	* config/config-std.h:
	Include dmalloc.h if it is necessary.

	* kaffe/kaffevm/gc.c:
	Include config-std.h.

	* kaffe/kaffevm/hashtab.c:
	Renamed uses of 'free' to use 'dealloc' as it had problems with
	dmalloc macros otherwise.
	
2003-01-19 Dalibor Topic <robilad@yahoo.com>

	Merged in the pure java implementation of java.math from GNU
	Classpath.
	
	* configure.in:
	(--with-dmalloc, --enable-pure-java-math) new options.
	
	* libraries/javalib/java/lang/Runtime.java:
	(loadLibrary) Improved error message.

	* kaffe/kaffe/main.c:
	(options) Changed handling of -classpath option to append given
	paths to bootclasspath. Added -cp option.
	(usage) Added information on compatibility options.

	* libraries/clib/math/BigInteger.c:
	(gmp_not_found) new function.
	(Java_java_math_BigInteger_initialize0) use gmp_not_found.
	(Java_java_math_BigInteger_init0,
	Java_java_math_BigInteger_finalize0,
	Java_java_math_BigInteger_assignLong0,
	Java_java_math_BigInteger_assignBytes0,
	Java_java_math_BigInteger_assignString0,
	Java_java_math_BigInteger_add0, Java_java_math_BigInteger_sub0,
	Java_java_math_BigInteger_mul0, Java_java_math_BigInteger_div0,
	Java_java_math_BigInteger_rem0, Java_java_math_BigInteger_divrem0,
	Java_java_math_BigInteger_abs0, Java_java_math_BigInteger_neg0,
	Java_java_math_BigInteger_pow0, Java_java_math_BigInteger_gcd0,
	Java_java_math_BigInteger_mod0, Java_java_math_BigInteger_modpow0,
	Java_java_math_BigInteger_modinv0, Java_java_math_BigInteger_and0,
	Java_java_math_BigInteger_or0, Java_java_math_BigInteger_xor0,
	Java_java_math_BigInteger_not0, Java_java_math_BigInteger_setbit0,
	Java_java_math_BigInteger_clrbit0,
	Java_java_math_BigInteger_scansetbit0,
	Java_java_math_BigInteger_cmp0,
	Java_java_math_BigInteger_toString0,
	Java_java_math_BigInteger_toDouble0,
	Java_java_math_BigInteger_toInt0,
	Java_java_math_BigInteger_probablyPrime0,
	Java_java_math_BigInteger_bitLength0,
	Java_java_math_BigInteger_hamDist0) new dummy functions.

	* libraries/javalib/Makefile.am:
	(java_math_SRCS) use value from configure.in.
	
	* libraries/javalib/rebuildLib.in:
	Print out compiler used to compile the class library.
	
	* libraries/javalib/pure-java/math/gnu/java/math/MPN.java,
	libraries/javalib/pure-java/math/java/math/BigDecimal.java,
	libraries/javalib/pure-java/math/java/math/BigInteger.java:
	new files, taken from GNU Classpath.

	* Makefile.in,
	aclocal.m4,
	config/Makefile.in,
	config/config.h.in,
	configure,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/extensions/sound/Makefile.in,
	libraries/extensions/sound/alsa/Makefile.in,
	libraries/extensions/sound/common/Makefile.in,
	libraries/extensions/sound/esd/Makefile.in,
	libraries/javalib/Makefile.in,
	test/Makefile.in,
	test/regression/Makefile.in:
	regenerated.
	
2003-01-19 Mark Wielaard <mark@klomp.org>

	* libraries/javalib/java/awt/Color.java:
	Removed non-ASCII characters.
	
2003-01-14 Dalibor Topic <robilad@yahoo.com>

	* configure.in:
	Fixed configuration script bug. It would terminate if ALSA or Esd
	was not found.
	(--with-alsa, --with-esd) removed, replaced by
	(--without-alsa, --without-esd) new options.

        * FAQ/FAQ.sound:
	Updated for new build options.

2003-01-13 Dalibor Topic <robilad@yahoo.com>
	
        * FAQ/FAQ.sound:
	Updated for new build options.

	* include/defs.h:
	(BEGIN_C_DECLS, END_C_DECLS) new macros.

	* include/system.h:
	(kaffe_vendor) Changed to Kaffe.org.
	(kaffe_vendor_url_bug) Changed to http://kaffe.org.

        * libraries/clib/awt/X/clr.c,
        libraries/clib/awt/X/evt.c,
        libraries/clib/awt/X/img.c,
        libraries/clib/awt/X/imgpng.c,
        libraries/clib/awt/X/toolkit.h,
        libraries/clib/awt/qt/evt.cc,
        libraries/clib/awt/qt/img.cc,
        libraries/clib/awt/qt/imggif.cc,
        libraries/clib/awt/qt/imgjpeg.cc,
        libraries/clib/awt/qt/imgpng.cc,
        libraries/clib/awt/qt/toolkit.h,
        libraries/clib/awt/win32/imgpng.cpp:
	Changed all occurences of __inline__ to inline. AC_C_INLINE
	handles the conversion automatically.

	* configure.in:
	Added various missing checks pointed out by autoscan.
	(--with-sound) removed. Replaced by
	(--with-alsa, --with-esd, --disable-sound) new options.
	(--with-threads, --with-jikes) documented default setting.
	
        * Makefile.in,
        config/Makefile.in,
        config/config.h.in,
        configure,
        include/Makefile.in,
        kaffe/Makefile.in,
        kaffe/kaffe/Makefile.in,
        kaffe/kaffeh/Makefile.in,
        kaffe/kaffevm/Makefile.in,
        kaffe/kaffevm/gcj/Makefile.in,
        kaffe/kaffevm/intrp/Makefile.in,
        kaffe/kaffevm/jit/Makefile.in,
        kaffe/kaffevm/jit3/Makefile.in,
        kaffe/kaffevm/systems/Makefile.in,
        kaffe/kaffevm/systems/beos-native/Makefile.in,
        kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
        kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
        kaffe/man/Makefile.in,
        kaffe/scripts/Makefile.in,
        kaffe/scripts/bat/Makefile.in,
        kaffe/scripts/compat/Makefile.in,
        kaffe/xprof/Makefile.in,
        libraries/Makefile.in,
        libraries/clib/Makefile.in,
        libraries/clib/awt/Makefile.in,
        libraries/clib/awt/X/Makefile.in,
        libraries/clib/awt/qt/Makefile.in,
        libraries/clib/io/Makefile.in,
        libraries/clib/management/Makefile.in,
        libraries/clib/math/Makefile.in,
        libraries/clib/native/Makefile.in,
        libraries/clib/net/Makefile.in,
        libraries/clib/security/Makefile.in,
        libraries/clib/zip/Makefile.in,
        libraries/extensions/Makefile.in,
        libraries/extensions/comm/Makefile.in,
        libraries/extensions/comm/javalib/Makefile.in,
        libraries/extensions/microsoft/Makefile.in,
        libraries/extensions/microsoft/clib/Makefile.in,
        libraries/extensions/microsoft/javalib/Makefile.in,
        libraries/extensions/pjava/Makefile.in,
        libraries/extensions/pjava/javalib/Makefile.in,
        libraries/extensions/servlet/Makefile.in,
        libraries/extensions/servlet/javalib/Makefile.in,
        libraries/extensions/sound/alsa/Makefile.in,
        libraries/extensions/sound/common/Makefile.in,
        libraries/extensions/sound/esd/Makefile.in,
        libraries/javalib/Makefile.in,
        test/Makefile.in,
        test/regression/Makefile.in:
	regenerated.

        * libraries/extensions/sound/Makefile.am:
	Use ALSA_DIR and ESD_DIR.
	
        * libraries/extensions/sound/Makefile.in:
	regenerated.

	* libraries/extensions/sound/esd/org_tritonus_lowlevel_esd_EsdStream.c:
	(DEBUG) replaced by
	(TRITONUS_DEBUG) new field.
	
2003-01-12 Dalibor Topic <robilad@yahoo.com>
	
        * libraries/javalib/Makefile.am:
	added java/awt/GraphicsEnvoronment.java

        * libraries/javalib/Makefile.in:
	regenerated.

	* libraries/javalib/java/awt/GraphicsEnvironment.java:
	new file from GNU Classpath.
	
        * libraries/javalib/java/awt/BasicStroke.java,
        libraries/javalib/java/awt/BufferCapabilities.java,
        libraries/javalib/java/awt/DisplayMode.java,
        libraries/javalib/java/awt/color/CMMException.java,
        libraries/javalib/java/awt/color/ColorSpace.java,
        libraries/javalib/java/awt/color/ICC_Profile.java,
        libraries/javalib/java/awt/color/ProfileDataException.java,
        libraries/javalib/java/awt/datatransfer/FlavorMap.java,
        libraries/javalib/java/awt/dnd/DragGestureEvent.java,
        libraries/javalib/java/awt/dnd/DragGestureRecognizer.java,
        libraries/javalib/java/awt/dnd/DragSource.java,
        libraries/javalib/java/awt/dnd/DropTarget.java,
        libraries/javalib/java/awt/geom/PathIterator.java,
        libraries/javalib/java/nio/MappedByteBuffer.java,
        libraries/javalib/java/nio/channels/FileChannel.java,
        libraries/javalib/java/util/logging/LogManager.java,
        libraries/javalib/javax/naming/InitialContext.java:
	resynced with GNU Classpath.

        * libraries/javalib/javax/sound/midi/MidiFileFormat.java,
        libraries/javalib/javax/sound/midi/MidiUnavailableException.java,
        libraries/javalib/javax/sound/midi/Patch.java,
        libraries/javalib/javax/sound/midi/Sequence.java,
        libraries/javalib/javax/sound/midi/Track.java,
        libraries/javalib/javax/sound/sampled/AudioFormat.java,
        libraries/javalib/javax/sound/sampled/AudioPermission.java,
        libraries/javalib/javax/sound/sampled/FloatControl.java,
        libraries/javalib/javax/sound/sampled/LineEvent.java,
        libraries/javalib/javax/sound/sampled/spi/MixerProvider.java,
        libraries/javalib/org/tritonus/sampled/convert/SampleRateConversionProvider.java,
        libraries/javalib/org/tritonus/share/midi/TSequencer.java,
        libraries/javalib/org/tritonus/share/sampled/mixer/TMixerProvider.java:
	resynced with Tritonus.

2003-01-11 Dalibor Topic <robilad@yahoo.com>

	Merged in a few classes from GNU Classpath's implementation of
	java.awt.im package.

	* libraries/javalib/java/awt/im/InputMethodHighlight.java,
	libraries/javalib/java/awt/im/InputMethodRequests.java,
	libraries/javalib/java/awt/im/InputSubset.java:
	New files from GNU Classpath.
	
	* libraries/javalib/java/awt/event/HierarchyBoundsAdapter.java,
        libraries/javalib/java/awt/event/HierarchyBoundsListener.java,
        libraries/javalib/java/awt/event/HierarchyEvent.java,
        libraries/javalib/java/awt/event/HierarchyListener.java,
        libraries/javalib/java/awt/event/MouseWheelEvent.java,
        libraries/javalib/java/awt/event/MouseWheelListener.java,
        libraries/javalib/java/awt/event/WindowFocusListener.java,
        libraries/javalib/java/awt/event/WindowStateListener.java:
	New files from GNU Classpath.

	* libraries/javalib/java/awt/image/BufferStrategy.java,
        libraries/javalib/java/awt/image/PackedColorModel.java,
        libraries/javalib/java/awt/image/TileObserver.java,
        libraries/javalib/java/awt/image/WritableRenderedImage.java:
	New files from GNU Classpath.

	* FAQ/FAQ.classlibrary-compile:
	Added information on JAVAC_FLAGS, --with-jikes, and updated
	information on jikes. Added a few paragraphs describing the
	bootstrap process.

	* kaffe/kaffe/main.c:
	Added support for -Xms, -Xmx, -Xss options. They are equivalent to
	their -ms, -mx, -ss, respectively. This provides better
	compatibility with JDK 1.3 and above, where Sun renamed these
	options.

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c:
	(jthread_disable_stop) Added debug message. Increased stop limit
	to 50, in order to let the Jython 2.1 installer run.
	(jthread_enable_stop) Added debug message.

	* libraries/javalib/Makefile.am:
	Added new classes from GNU Classpath.
	(java_awt_im_SRCS) New package.

	* libraries/javalib/Makefile.in:
	regenerated.

	* libraries/javalib/rebuildLib.in:
	Added support for JAVAC_FLAGS.

	* WHATSNEW:
	Added information on java.util.regex. Added java.awt.im to the
	package list.

2003-01-11 Timothy S Stack <stack@cs.utah.edu>

	* libraries/javalib/Makefile.am:
	Fixed bug that prevented compiling the class library in a
	different directory.

	Reported by: Seong Beom Kim <sbkim@mail.marusys.com>
	
2003-01-10 Benja Fallenstein <b.fallenstein@gmx.de>

	* libraries/javalib/java/awt/KeyEvt.java:
	(dispatch) Don't reuse the current KeyEvt object for
	KEY_TYPED events right after issuing KEY_PRESSED.
	Instead, create a new KeyEvt object.

	Gzz wouldn't run because of it.
	
2003-01-10 Matthias Pfisterer <Matthias.Pfisterer@gmx.de>

	* libraries/javalib/org/tritonus/share/midi/TSequencer.java:
	Fixed bad toArray() calls without appropriate array type.
	Now MidiPlayer -l works on ALSA.
	
2003-01-09 Dalibor Topic <robilad@yahoo.com>

	* README: Added Linux 2.x for PARISC, PS2linux, and changed
	PPC liux entry to Linux 2.x.
	
	* libraries/javalib/java/io/FilterInputStream.java:
	(buffer) new field. Used by DataInputStream.
	(BUFFER_EMPTY) new constant.
	(available, read, skip) use buffered byte if buffer is not empty.
	
	* libraries/javalib/java/io/DataInputStream.java:
	(DataInputStream) don't wrap input stream in a
	PushbackInputStream. The jakarta BCEL verifier
	wouldn't run because of it.
	
	(readLine) use internal buffer in FilterInputStream to
	handle '\r\n' detection. Added more comments on the
	history of failed attempts to fix this method.
	
2003-01-09 Jukka Santala <jsantala@nic.fi>
	
	* test/regression/InputStreamTest.java:
	New file.

	* test/regression/Makefile.am:
	Added InputStreamTest.java.

	* test/regression/Makefile.in:
	regenerated.
	
2003-01-09 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/io/DataInputStream.java
	Skipping of '\n' could corrupt reading from jars.
	Jython 2.1 wouldn't run because of it.
	(skipNextLF) removed.
	(readByte, readLine) removed handling of skipNextLF.

	Reported  by: Vesa Kaihlavirta <vpkaihla@cc.jyu.fi>

2003-01-06 Dalibor Topic <robilad@yahoo.com>

	Merged in java.awt.image.renderable from GNU Classpath.
	Merged in java.awt.Graphics2D from GNU Classpath.

	* WHATSNEW:
	Added java.awt.image.renderable to the new package list.
	
	* libraries/javalib/java/awt/image/ColorModel.java:
	Replaced by version from GNU Classpath.

	* libraries/javalib/java/awt/image/DirectColorModel.java:
	(DirectColorModel) Added missing constructor.

	* libraries/javalib/gnu/java/awt/ComponentDataBlitOp.java,
	libraries/javalib/java/awt/Graphics2D.java,
	libraries/javalib/java/awt/GraphicsConfigTemplate.java,
	libraries/javalib/java/awt/GraphicsConfiguration.java,
	libraries/javalib/java/awt/GraphicsDevice.java,
	libraries/javalib/java/awt/image/BufferedImage.java,
	libraries/javalib/java/awt/image/BufferedImageOp.java,
	libraries/javalib/java/awt/image/ComponentColorModel.java,
	libraries/javalib/java/awt/image/RasterOp.java,
	libraries/javalib/java/awt/image/RenderedImage.java,
	libraries/javalib/java/awt/image/VolatileImage.java,
	libraries/javalib/java/awt/image/renderable/ContextualRenderedImageFactory.java,
	libraries/javalib/java/awt/image/renderable/ParameterBlock.java,
	libraries/javalib/java/awt/image/renderable/RenderableImage.java,
	libraries/javalib/java/awt/image/renderable/RenderableImageOp.java,
	libraries/javalib/java/awt/image/renderable/RenderableImageProducer.java,
	libraries/javalib/java/awt/image/renderable/RenderContext.java,
	libraries/javalib/java/awt/image/renderable/RenderedImageFactory.java:
	New files, taken from GNU Classpath.

	* libraries/javalib/Makefile.am:
	Added new files.

	* libraries/javalib/Makefile.in:
	regenerated.
	
2003-01-04 Dalibor Topic <robilad@yahoo.com>

	Fixed some gcc 3.2 warnings with different warning switches.
	
	* kaffe/kaffevm/jar.c,
	kaffe/kaffevm/classMethod.h,
	kaffe/kaffevm/constants.c,
	kaffe/kaffevm/utf8const.c,
	kaffe/kaffeh/support.c,
	libraries/clib/native/ObjectStreamClassImpl.c,
	libraries/clib/awt/X/clr.c,
	libraries/clib/awt/X/evt.c,
	libraries/clib/awt/X/tlk.c,	
	kaffe/kaffevm/jit3/labels.c,
	kaffe/kaffe/version.c:
	Turned C++ comments into C comments.

	* kaffe/kaffevm/jar.h,
	kaffe/kaffevm/jit3/basecode.h,
	kaffe/xprof/mangle.h,
	kaffe/xprof/fileSections.h,
	kaffe/xprof/sectionFile.h,
	kaffe/xprof/debugFile.h:
	Removed comma at end of enumerator lists.

	* kaffe/kaffevm/systems/unix-jthread.h:
	Cast void pointers to char * before using them in arithmetic.

	* kaffe/kaffevm/jar.h:
	(jarFile) Changed type of 'size' to size_t. Chaged type of 'error'
	to const char *. Chaged type of data to uint8*.
	
	* kaffe/kaffevm/jar.c:
	Use verbosely named string constants for error messages.
	(JAR_ERROR_BAD_CENTRAL_RECORD_SIGNATURE, JAR_ERROR_BAD_SIGNATURE,
	JAR_ERROR_DECOMPRESSION_FAILED, JAR_ERROR_ENTRY_COUNT_MISMATCH,
	JAR_ERROR_IMPOSSIBLY_LARGE_DIRECTORY, JAR_ERROR_IO,
	JAR_ERROR_NO_END, JAR_ERROR_OUT_OF_MEMORY,
	JAR_ERROR_TRUNCATED_FILE, JAR_ERROR_UNSUPPORTED_COMPRESSION) Added
	constants.
	(findJarFile, cacheJarFile, removeJarFile) removed trivially true
	asserts.
	(openJarFile) Added braces around an if statement.
	(jarRead) Changed type of 'len' to size_t. Changed type of buf to
	uint8*.
	(readJarHeader) Changed type of 'len' to size_t.

	* libraries/clib/native/ZipFile.c:
	(java_util_zip_ZipFile_getZipEntries0) declared j as unsigned int
	to avoid comparison between signed and unsigned

	* libraries/clib/zip/CRC32.c:
	(crc_table) shuffled 'static' to beginning of declaration.
	
2003-01-03 Dalibor Topic <robilad@yahoo.com>

	* kaffe/kaffevm/jar.c:
	(getDataJarFile) removed unused label 'data'.

	* kaffe/kaffevm/readClass.h:
	[KAFFEH] Added prototype for finishMethods.

	* kaffe/kaffevm/exception.h:
	(vmExcept_setIntrpFrame) Only define if INTERPRETER is defined.

	* kaffe/kaffevm/external.c:
	(loadNativeLibrary2) Removed unused variable status.

	* kaffe/kaffevm/gcRefs.c:
	(TwalkThread) use "%p" for jthread_current in dprintf. 

	* include/nets.h:
	[h_errno] Turned h_errno after #endif into a comment.

	* config/i386/trampolines.c:
	Fixed gcc warnings about deprecated multi-line strings.

	* config/i386/jit3-i386.def,
	kaffe/kaffevm/jit3/labels.c,
	kaffe/kaffevm/jit3/labels.h:
	Merged in jit3 changes from JanosVM 0.8.0.

	2002-07-27 Saturday 15:47  stack

        * config/i386/jit3-i386.def: eliminate noop branch to epilogue,
        switch around requests for float values to avoid extra
        loads/stores, updated debugging printfs to print out label names

	2002-02-20 Wednesday 14:00  stack

        * config/i386/jit3-i386.def: add a debug printf for the method name

	2002-07-27 Saturday 16:08  stack

        * kaffe/kaffevm/jit3/: labels.c, labels.h: better debugging
        support, comments (!), and support for eliminating the noop
        branches to the epilogue

2003-01-03 Timothy S Stack <stack@cs.utah.edu>

        * kaffe/kaffevm/jit3/machine.h: get rid of ## in
        canCatch/willCatch, theres no need for them, there can be space
        between the '.' token and the field name token.
	
2003-01-03 Dan Kegel <dank@kegel.com>

	* kaffe/kaffe/Makefile.am:
	(kaffe_bin_LDADD) Added @LIBLTDL@, fixes linking with CVS version
	of libtool.
	
2003-01-03 Dylan Schell <dylans@xs4all.nl>
	Ported kaffe to Playstation 2.
	
	* config/mips/common.h:
	Added specific settings for R5900, the CPU in Playstation 2.

	* config/mips/linux/md.h:
	(FPOFFSET) Set for Playstation 2.

	* config/mips/o32-sysdepCallMethod.h:
	(split) new struct used to fake a double on Playstation 2.
	Use split for dealing with doubles on Playstation 2.
	
2003-01-02 Helmer Kraemer <hkraemer@freenet.de>

	* kaffe/kaffevm/external.c:
	(LIBRARYLOAD) use lt_dlopenext instead of lt_dlopen. Let Libtool
	append the extensions itself.
	(LTDL_ARCHIVE_EXT) removed.
	(libSuffixes) removed.
	(TRY_LOAD_FOUND, TRY_LOAD_NOT_FOUND, TRY_LOAD_ERROR) removed.
	(loadNativeLibrary2) just use LBRARYLOAD.

	* libltdl/ltdl.c:
	(lt_dlopenext) contained a bug that prevented it
	from trying to load  non-libtool libraries.

	Reported by: Richard Stahl <richard.stahl@imec.be>
	
2003-01-01 Dalibor Topic <robilad@yahoo.com>

	Merged in functional support for javax.sound from
	LGPL-d implementation from tritonus.org.

	Many thanks to Matthias Pfisterer <Matthias.Pfisterer@gmx.de>, who
	made it all possible, and to Helmer Kraemer <hkraemer@freenet.de>,
	who fixed the bugs in kaffeh quickly.

	* FAQ/FAQ.sound: new file.
	
	* configure.in:
	Added sqaure braces around 'X', in order to indicate it's the
	default choice for an AWT backend. Added configuration machinery
	to select the sound backend, adapted from tritonus.org sources.
	(SOUND_DIR) new variable for the selected sound backend.

	* include/Makefile.am:
	Added headers for org.tritonus files.

	* include/jmalloc.h:
	include <stdlib.h> in order to define size_t.

	* kaffe/kaffeh/support.c:
	(setFieldValue) print constants as defines in -jni mode, too.

	* kaffe/kaffevm/classMethod.h:
	(METHOD_IS_NATIVE) new convenience macro.

	* libraries/extensions/Makefile.am:
	(SUBDIRS) Added sound directory.

	* libraries/javalib/Makefile.am:
	Added tritonus sources, and separated GNU JAXP sompilation into
	its own pass.
	(JAXP_SRCS) new variable for GNU JAXP sources.
	(SOUND_SRCS) new variable for tritonus sources.

	* libraries/javalib/bootstrap.classlist:
	Added classes from tritonus necessary for native sound libraries.

	* libraries/javalib/Klasses.jar.bootstrap:
	regenerated.
	
	* Makefile.in,
	config/Makefile.in,
	configure,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.in,
	test/Makefile.in,
	test/regression/Makefile.in:
	regenerated.
	
	libraries/extensions/sound/Makefile.am,
	libraries/extensions/sound/Makefile.in,
	libraries/extensions/sound/alsa/.cvsignore,
	libraries/extensions/sound/alsa/Makefile.am,
	libraries/extensions/sound/alsa/Makefile.in,
	libraries/extensions/sound/alsa/common.h,
	libraries/extensions/sound/alsa/constants_check.h,
	libraries/extensions/sound/alsa/init.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_Alsa.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaCtl.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaCtlCardInfo.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaMixer.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaMixerElement.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaPcm.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaPcmHWParams.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaPcmHWParamsFormatMask.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaPcmSWParams.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeq.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqClientInfo.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqEvent.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqPortInfo.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqPortSubscribe.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqQueueInfo.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqQueueStatus.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqQueueTempo.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqRemoveEvents.c,
	libraries/extensions/sound/alsa/org_tritonus_lowlevel_alsa_AlsaSeqSystemInfo.c,
	libraries/extensions/sound/common/.cvsignore,
	libraries/extensions/sound/common/HandleFieldHandler.h,
	libraries/extensions/sound/common/Makefile.am,
	libraries/extensions/sound/common/Makefile.in,
	libraries/extensions/sound/common/common.c,
	libraries/extensions/sound/common/common.h,
	libraries/extensions/sound/common/debug.h,
	libraries/extensions/sound/esd/.cvsignore,
	libraries/extensions/sound/esd/Makefile.am,
	libraries/extensions/sound/esd/Makefile.in,
	libraries/extensions/sound/esd/common.h,
	libraries/extensions/sound/esd/org_tritonus_lowlevel_esd_EsdRecordingStream.c,
	libraries/extensions/sound/esd/org_tritonus_lowlevel_esd_EsdStream.c,
	libraries/javalib/META-INF/services/javax.sound.midi.spi.MidiDeviceProvider,
	libraries/javalib/META-INF/services/javax.sound.midi.spi.MidiFileReader,
	libraries/javalib/META-INF/services/javax.sound.midi.spi.MidiFileWriter,
	libraries/javalib/META-INF/services/javax.sound.midi.spi.SoundbankReader,
	libraries/javalib/META-INF/services/javax.sound.sampled.spi.AudioFileReader,
	libraries/javalib/META-INF/services/javax.sound.sampled.spi.AudioFileWriter,
	libraries/javalib/META-INF/services/javax.sound.sampled.spi.FormatConversionProvider,
	libraries/javalib/META-INF/services/javax.sound.sampled.spi.MixerProvider,
	libraries/javalib/javax/sound/midi/ControllerEventListener.java,
	libraries/javalib/javax/sound/midi/Instrument.java,
	libraries/javalib/javax/sound/midi/InvalidMidiDataException.java,
	libraries/javalib/javax/sound/midi/MetaEventListener.java,
	libraries/javalib/javax/sound/midi/MetaMessage.java,
	libraries/javalib/javax/sound/midi/MidiChannel.java,
	libraries/javalib/javax/sound/midi/MidiDevice.java,
	libraries/javalib/javax/sound/midi/MidiEvent.java,
	libraries/javalib/javax/sound/midi/MidiFileFormat.java,
	libraries/javalib/javax/sound/midi/MidiMessage.java,
	libraries/javalib/javax/sound/midi/MidiSystem.java,
	libraries/javalib/javax/sound/midi/MidiUnavailableException.java,
	libraries/javalib/javax/sound/midi/Patch.java,
	libraries/javalib/javax/sound/midi/Receiver.java,
	libraries/javalib/javax/sound/midi/Sequence.java,
	libraries/javalib/javax/sound/midi/Sequencer.java,
	libraries/javalib/javax/sound/midi/ShortMessage.java,
	libraries/javalib/javax/sound/midi/Soundbank.java,
	libraries/javalib/javax/sound/midi/SoundbankResource.java,
	libraries/javalib/javax/sound/midi/Synthesizer.java,
	libraries/javalib/javax/sound/midi/SysexMessage.java,
	libraries/javalib/javax/sound/midi/Track.java,
	libraries/javalib/javax/sound/midi/Transmitter.java,
	libraries/javalib/javax/sound/midi/VoiceStatus.java,
	libraries/javalib/javax/sound/midi/spi/MidiDeviceProvider.java,
	libraries/javalib/javax/sound/midi/spi/MidiFileReader.java,
	libraries/javalib/javax/sound/midi/spi/MidiFileWriter.java,
	libraries/javalib/javax/sound/midi/spi/SoundbankReader.java,
	libraries/javalib/javax/sound/sampled/AudioFileFormat.java,
	libraries/javalib/javax/sound/sampled/AudioFormat.java,
	libraries/javalib/javax/sound/sampled/AudioInputStream.java,
	libraries/javalib/javax/sound/sampled/AudioPermission.java,
	libraries/javalib/javax/sound/sampled/AudioSystem.java,
	libraries/javalib/javax/sound/sampled/BooleanControl.java,
	libraries/javalib/javax/sound/sampled/Clip.java,
	libraries/javalib/javax/sound/sampled/CompoundControl.java,
	libraries/javalib/javax/sound/sampled/Control.java,
	libraries/javalib/javax/sound/sampled/DataLine.java,
	libraries/javalib/javax/sound/sampled/EnumControl.java,
	libraries/javalib/javax/sound/sampled/FloatControl.java,
	libraries/javalib/javax/sound/sampled/Line.java,
	libraries/javalib/javax/sound/sampled/LineEvent.java,
	libraries/javalib/javax/sound/sampled/LineListener.java,
	libraries/javalib/javax/sound/sampled/LineUnavailableException.java,
	libraries/javalib/javax/sound/sampled/Mixer.java,
	libraries/javalib/javax/sound/sampled/Port.java,
	libraries/javalib/javax/sound/sampled/ReverbType.java,
	libraries/javalib/javax/sound/sampled/SourceDataLine.java,
	libraries/javalib/javax/sound/sampled/TargetDataLine.java,
	libraries/javalib/javax/sound/sampled/UnsupportedAudioFileException.java,
	libraries/javalib/javax/sound/sampled/spi/AudioFileReader.java,
	libraries/javalib/javax/sound/sampled/spi/AudioFileWriter.java,
	libraries/javalib/javax/sound/sampled/spi/FormatConversionProvider.java,
	libraries/javalib/javax/sound/sampled/spi/MixerProvider.java,
	libraries/javalib/org/tritonus/core/Service.java,
	libraries/javalib/org/tritonus/core/TAudioConfig.java,
	libraries/javalib/org/tritonus/core/TInit.java,
	libraries/javalib/org/tritonus/core/TMidiConfig.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/Alsa.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaCtl.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaCtlCardInfo.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaMixer.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaMixerElement.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaPcm.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaPcmHWParams.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaPcmHWParamsFormatMask.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaPcmSWParams.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaSeq.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaSeqClientInfo.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaSeqEvent.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaSeqPortInfo.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaSeqPortSubscribe.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaSeqQueueInfo.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaSeqQueueStatus.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaSeqQueueTempo.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaSeqQueueTimer.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaSeqRemoveEvents.java,
	libraries/javalib/org/tritonus/lowlevel/alsa/AlsaSeqSystemInfo.java,
	libraries/javalib/org/tritonus/lowlevel/esd/Esd.java,
	libraries/javalib/org/tritonus/lowlevel/esd/EsdRecordingStream.java,
	libraries/javalib/org/tritonus/lowlevel/esd/EsdSample.java,
	libraries/javalib/org/tritonus/lowlevel/esd/EsdStream.java,
	libraries/javalib/org/tritonus/midi/device/alsa/AlsaMidiChannel.java,
	libraries/javalib/org/tritonus/midi/device/alsa/AlsaMidiDevice.java,
	libraries/javalib/org/tritonus/midi/device/alsa/AlsaMidiDeviceProvider.java,
	libraries/javalib/org/tritonus/midi/device/alsa/AlsaMidiIn.java,
	libraries/javalib/org/tritonus/midi/device/alsa/AlsaMidiOut.java,
	libraries/javalib/org/tritonus/midi/device/alsa/AlsaQueueHolder.java,
	libraries/javalib/org/tritonus/midi/device/alsa/AlsaReceiver.java,
	libraries/javalib/org/tritonus/midi/device/alsa/AlsaSequencer.java,
	libraries/javalib/org/tritonus/midi/device/alsa/AlsaSequencerProvider.java,
	libraries/javalib/org/tritonus/midi/device/alsa/AlsaSequencerReceiver.java,
	libraries/javalib/org/tritonus/midi/device/alsa/AlsaSynthesizer.java,
	libraries/javalib/org/tritonus/midi/file/MidiConstants.java,
	libraries/javalib/org/tritonus/midi/file/StandardMidiFileReader.java,
	libraries/javalib/org/tritonus/midi/file/StandardMidiFileWriter.java,
	libraries/javalib/org/tritonus/sampled/convert/AlawFormatConversionProvider.java,
	libraries/javalib/org/tritonus/sampled/convert/PCM2PCMConversionProvider.java,
	libraries/javalib/org/tritonus/sampled/convert/SampleRateConversionProvider.java,
	libraries/javalib/org/tritonus/sampled/convert/SmartFormatConversionProvider.java,
	libraries/javalib/org/tritonus/sampled/convert/UlawFormatConversionProvider.java,
	libraries/javalib/org/tritonus/sampled/file/AiffAudioFileReader.java,
	libraries/javalib/org/tritonus/sampled/file/AiffAudioFileWriter.java,
	libraries/javalib/org/tritonus/sampled/file/AiffAudioOutputStream.java,
	libraries/javalib/org/tritonus/sampled/file/AiffTool.java,
	libraries/javalib/org/tritonus/sampled/file/AuAudioFileReader.java,
	libraries/javalib/org/tritonus/sampled/file/AuAudioFileWriter.java,
	libraries/javalib/org/tritonus/sampled/file/AuAudioOutputStream.java,
	libraries/javalib/org/tritonus/sampled/file/AuTool.java,
	libraries/javalib/org/tritonus/sampled/file/WaveAudioFileReader.java,
	libraries/javalib/org/tritonus/sampled/file/WaveAudioFileWriter.java,
	libraries/javalib/org/tritonus/sampled/file/WaveAudioOutputStream.java,
	libraries/javalib/org/tritonus/sampled/file/WaveTool.java,
	libraries/javalib/org/tritonus/sampled/mixer/alsa/AlsaBaseDataLine.java,
	libraries/javalib/org/tritonus/sampled/mixer/alsa/AlsaDataLineMixer.java,
	libraries/javalib/org/tritonus/sampled/mixer/alsa/AlsaDataLineMixerProvider.java,
	libraries/javalib/org/tritonus/sampled/mixer/alsa/AlsaPortMixer.java,
	libraries/javalib/org/tritonus/sampled/mixer/alsa/AlsaPortMixerProvider.java,
	libraries/javalib/org/tritonus/sampled/mixer/alsa/AlsaSourceDataLine.java,
	libraries/javalib/org/tritonus/sampled/mixer/alsa/AlsaTargetDataLine.java,
	libraries/javalib/org/tritonus/sampled/mixer/alsa/AlsaUtils.java,
	libraries/javalib/org/tritonus/sampled/mixer/esd/EsdClip.java,
	libraries/javalib/org/tritonus/sampled/mixer/esd/EsdMixer.java,
	libraries/javalib/org/tritonus/sampled/mixer/esd/EsdMixerProvider.java,
	libraries/javalib/org/tritonus/sampled/mixer/esd/EsdSourceDataLine.java,
	libraries/javalib/org/tritonus/sampled/mixer/esd/EsdTargetDataLine.java,
	libraries/javalib/org/tritonus/sampled/mixer/esd/EsdUtils.java,
	libraries/javalib/org/tritonus/share/ArraySet.java,
	libraries/javalib/org/tritonus/share/GlobalInfo.java,
	libraries/javalib/org/tritonus/share/StringHashedSet.java,
	libraries/javalib/org/tritonus/share/TCircularBuffer.java,
	libraries/javalib/org/tritonus/share/TDebug.java,
	libraries/javalib/org/tritonus/share/TNotifier.java,
	libraries/javalib/org/tritonus/share/TSettings.java,
	libraries/javalib/org/tritonus/share/midi/MidiUtils.java,
	libraries/javalib/org/tritonus/share/midi/TMidiDevice.java,
	libraries/javalib/org/tritonus/share/midi/TMidiFileFormat.java,
	libraries/javalib/org/tritonus/share/midi/TSequencer.java,
	libraries/javalib/org/tritonus/share/sampled/AudioFileTypes.java,
	libraries/javalib/org/tritonus/share/sampled/AudioFormatSet.java,
	libraries/javalib/org/tritonus/share/sampled/AudioFormats.java,
	libraries/javalib/org/tritonus/share/sampled/AudioSystemShadow.java,
	libraries/javalib/org/tritonus/share/sampled/AudioUtils.java,
	libraries/javalib/org/tritonus/share/sampled/Encodings.java,
	libraries/javalib/org/tritonus/share/sampled/FloatSampleBuffer.java,
	libraries/javalib/org/tritonus/share/sampled/TConversionTool.java,
	libraries/javalib/org/tritonus/share/sampled/TVolumeUtils.java,
	libraries/javalib/org/tritonus/share/sampled/convert/TAsynchronousFilteredAudioInputStream.java,
	libraries/javalib/org/tritonus/share/sampled/convert/TEncodingFormatConversionProvider.java,
	libraries/javalib/org/tritonus/share/sampled/convert/TFormatConversionProvider.java,
	libraries/javalib/org/tritonus/share/sampled/convert/TMatrixFormatConversionProvider.java,
	libraries/javalib/org/tritonus/share/sampled/convert/TSimpleFormatConversionProvider.java,
	libraries/javalib/org/tritonus/share/sampled/convert/TSynchronousFilteredAudioInputStream.java,
	libraries/javalib/org/tritonus/share/sampled/file/AudioOutputStream.java,
	libraries/javalib/org/tritonus/share/sampled/file/HeaderlessAudioOutputStream.java,
	libraries/javalib/org/tritonus/share/sampled/file/TAudioFileFormat.java,
	libraries/javalib/org/tritonus/share/sampled/file/TAudioFileReader.java,
	libraries/javalib/org/tritonus/share/sampled/file/TAudioFileWriter.java,
	libraries/javalib/org/tritonus/share/sampled/file/TAudioOutputStream.java,
	libraries/javalib/org/tritonus/share/sampled/file/TDataOutputStream.java,
	libraries/javalib/org/tritonus/share/sampled/file/THeaderlessAudioFileWriter.java,
	libraries/javalib/org/tritonus/share/sampled/file/TNonSeekableDataOutputStream.java,
	libraries/javalib/org/tritonus/share/sampled/file/TSeekableDataOutputStream.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TBaseDataLine.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TBooleanControl.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TClip.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TCompoundControl.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TCompoundControlType.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TControlController.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TControllable.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TDataLine.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TEnumControl.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TFloatControl.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TLine.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TMixer.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TMixerInfo.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TMixerProvider.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TPort.java,
	libraries/javalib/org/tritonus/share/sampled/mixer/TSoftClip.java:
	New files, merged in from tritonus.org.

2002-12-29  Helmer Kraemer  <hkraemer@freenet.de>
 
 	* kaffe/kaffevm/jni.c (getMethodFunc): new Method.
 	[JNI_METHOD_CODE]: removed.
 	(Kaffe_CallObjectMethod*), (Kaffe_CallBooleanMethod*),
 	(Kaffe_CallByteMethod*), (Kaffe_CallCharMethod*),
 	(Kaffe_CallShortMethod*), (Kaffe_CallIntMethod*),
 	(Kaffe_CallLongMethod*), (Kaffe_CallFloatMethod*),
 	(Kaffe_CallDoubleMethod*), (Kaffe_CallVoidMethod*):
 	properly handle interface methods.
 	Replaced JNI_METHOD_CODE with METHOD_INDIRECTMETHOD.
 	
 	* kaffe/kaffevm/support.c (callMethodV) [TRANSLATOR]:
 	removed bogus assertion.
 
 	* test/regression/ReflectInvoke.java: added tests for
 	invocation of interface and superclass methods.

	Reported by: Benja Fallenstein <b.fallenstein@gmx.de>
	
2002-12-29  Helmer Kraemer  <hkraemer@freenet.de>

       * kaffe/kaffevm/readClass.c (readMethods) [KAFFEH]: call 
       finishMethods after reading all methods from a class file

       * kaffe/kaffeh/support.c (fprintfJni): new method
       (addMethod): don't generate c declarations for native methods
       but collect them in a list
       (finishMethods): new method that traverses the list of native
       methods and generates appropriate c declarations

2002-12-21 Dalibor Topic <robilad@yahoo.com>

	* gnu/java/nio/ByteBufferImpl.java,
	gnu/java/nio/CharBufferImpl.java,
	gnu/java/nio/DoubleBufferImpl.java,
	gnu/java/nio/FileChannelImpl.java,
	gnu/java/nio/FloatBufferImpl.java,
	gnu/java/nio/IntBufferImpl.java,
	gnu/java/nio/LongBufferImpl.java,
	gnu/java/nio/ShortBufferImpl.java,
	gnu/java/nio/SocketChannelImpl.java,
	java/nio/ByteBuffer.java,
	java/nio/CharBuffer.java,
	java/nio/DoubleBuffer.java,
	java/nio/FloatBuffer.java,
	java/nio/IntBuffer.java,
	java/nio/LongBuffer.java,
	java/nio/ShortBuffer.java,
	java/nio/channels/DatagramChannel.java,
	java/nio/channels/FileChannel.java,
	java/nio/channels/FileLock.java,
	java/nio/channels/Pipe.java,
	java/nio/channels/SelectableChannel.java,
	java/nio/channels/SelectionKey.java,
	java/nio/channels/ServerSocketChannel.java,
	java/nio/channels/SocketChannel.java,
	java/nio/channels/spi/AbstractInterruptibleChannel.java,
	java/nio/channels/spi/AbstractSelectableChannel.java,
	java/nio/channels/spi/SelectorProvider.java,
	java/util/logging/LogManager.java:
	Synced with GNU Classpath.

	gnu/xml/aelfred2/XmlReader.java:
	Synced with GNU JAXP.

2002-12-10 Dalibor Topic <robilad@yahoo.com>

	* configure.in: test for C++ compiler early on. Don't require
	AC_LTDL_SHLIBEXT, as it doesn't exist in current libtool
	anymore. Alway print a result message for using jikes. Split
	AC_CHECK_FUNCS invocations into single lines. Added some quotes.
	* configure: regenrated.

	* libraries/javalib/java/util/ArrayList.java:
	(add) use addInternal. Fixes a bug that prevented tritonus from
	running on kaffe.
	(addInternal) new method.

	* test/regression/Makefile.am:
	(ALWAYS_TESTS) removed comments, and created variables for test
	classes.
	(check-TESTS) commented out as it hides the default definition of
	check-TESTS with automake 1.7.1 and autoconf 2.56.
	* test/regression/Makefile.in: regenerated.

	* test/regression/TestScript.in: fixed the test case failures when 
	LC_ALL!=C by always setting LC_ALL and LANG to C before running the
	regression tests.

2002-12-04 Dalibor Topic <robilad@yahoo.com>

	* config/config-mem.h: changed prototype for swab to use ssize_t
	as in the Open Group Base Specification. Still works on Linux
	with X based AWT and Qt based AWT. The problem is that gcc can't
	see the swab declaration in <unistd.h> while g++ can, for some
	reason. So g++ bails out with an error message about a bad
	redeclaration of swab. I hope this works on FreeBSD as well, as
	my last swab change broke the nightly builds.

2002-12-03 Dalibor Topic <robilad@yahoo.com>

	Added Aelfred2 XML parser from GNU jaxp. Added
	javax.accessibility, javax.rmi, javax.rmi.CORBA,
	javax.sql, javax.swing.text from GNU Classpath.

	* FAQ/FAQ.awt: updated with info on Qt 2 and
	building with static vs. shared libraries.
	
	* libraries/javalib/Makefile.am:
	added new files and packages.
	* libraries/javalib/Makefile.in: regenerated.
	
	* libraries/javalib/gnu/javax/rmi/CORBA/DelegateFactory.java,
	libraries/javalib/gnu/javax/rmi/CORBA/GetDelegateInstanceException.java,
	libraries/javalib/gnu/javax/rmi/CORBA/PortableRemoteObjectDelegateImpl.java,
	libraries/javalib/gnu/javax/rmi/CORBA/StubDelegateImpl.java,
	libraries/javalib/gnu/javax/rmi/CORBA/UtilDelegateImpl.java,
	libraries/javalib/gnu/javax/rmi/CORBA/ValueHandlerImpl.java:
	new files taken from GNU Classpath.
	
	* libraries/javalib/gnu/javax/rmi/PortableServer.java:
	new file from GNU Classpath.
	
	* libraries/javalib/gnu/xml/aelfred2/JAXPFactory.java,
	libraries/javalib/gnu/xml/aelfred2/SAXDriver.java,
	libraries/javalib/gnu/xml/aelfred2/XmlParser.java,
	libraries/javalib/gnu/xml/aelfred2/XmlReader.java:
	new files from GNU jaxp.
	
	* libraries/javalib/gnu/xml/dom/Consumer.java,
	libraries/javalib/gnu/xml/dom/DomAttr.java,
	libraries/javalib/gnu/xml/dom/DomCDATA.java,
	libraries/javalib/gnu/xml/dom/DomCharacterData.java,
	libraries/javalib/gnu/xml/dom/DomComment.java,
	libraries/javalib/gnu/xml/dom/DomDoctype.java,
	libraries/javalib/gnu/xml/dom/DomDocument.java,
	libraries/javalib/gnu/xml/dom/DomElement.java,
	libraries/javalib/gnu/xml/dom/DomEntity.java,
	libraries/javalib/gnu/xml/dom/DomEntityReference.java,
	libraries/javalib/gnu/xml/dom/DomEvent.java,
	libraries/javalib/gnu/xml/dom/DomEx.java,
	libraries/javalib/gnu/xml/dom/DomExtern.java,
	libraries/javalib/gnu/xml/dom/DomFragment.java,
	libraries/javalib/gnu/xml/dom/DomImpl.java,
	libraries/javalib/gnu/xml/dom/DomIterator.java,
	libraries/javalib/gnu/xml/dom/DomNamedNodeMap.java,
	libraries/javalib/gnu/xml/dom/DomNode.java,
	libraries/javalib/gnu/xml/dom/DomNotation.java,
	libraries/javalib/gnu/xml/dom/DomNsNode.java,
	libraries/javalib/gnu/xml/dom/DomPI.java,
	libraries/javalib/gnu/xml/dom/DomText.java,
	libraries/javalib/gnu/xml/dom/JAXPFactory.java:
	new files from GNU jaxp.
	
	* libraries/javalib/gnu/xml/pipeline/CallFilter.java,
	libraries/javalib/gnu/xml/pipeline/DomConsumer.java,
	libraries/javalib/gnu/xml/pipeline/EventConsumer.java,
	libraries/javalib/gnu/xml/pipeline/EventFilter.java,
	libraries/javalib/gnu/xml/pipeline/LinkFilter.java,
	libraries/javalib/gnu/xml/pipeline/NSFilter.java,
	libraries/javalib/gnu/xml/pipeline/PipelineFactory.java,
	libraries/javalib/gnu/xml/pipeline/TeeConsumer.java,
	libraries/javalib/gnu/xml/pipeline/TextConsumer.java,
	libraries/javalib/gnu/xml/pipeline/ValidationConsumer.java,
	libraries/javalib/gnu/xml/pipeline/WellFormednessFilter.java,
	libraries/javalib/gnu/xml/pipeline/XIncludeFilter.java,
	libraries/javalib/gnu/xml/pipeline/XsltFilter.java:
	new files from GNU jaxp.
	
	* libraries/javalib/gnu/xml/util/DoParse.java,
	libraries/javalib/gnu/xml/util/DomParser.java,
	libraries/javalib/gnu/xml/util/Resolver.java,
	libraries/javalib/gnu/xml/util/SAXNullTransformerFactory.java,
	libraries/javalib/gnu/xml/util/XCat.java,
	libraries/javalib/gnu/xml/util/XHTMLWriter.java,
	libraries/javalib/gnu/xml/util/XMLWriter.java:
	new files from GNU jaxp.
	
	* libraries/javalib/java/lang/ClassNotFoundException.java:
	Replaced with implementation from GNU Classpath.
	(ClassNotFoundException) new constructor accepting a cause.
	
	* libraries/javalib/javax/accessibility/Accessible.java,
	libraries/javalib/javax/accessibility/AccessibleAction.java,
	libraries/javalib/javax/accessibility/AccessibleBundle.java,
	libraries/javalib/javax/accessibility/AccessibleComponent.java,
	libraries/javalib/javax/accessibility/AccessibleContext.java,
	libraries/javalib/javax/accessibility/AccessibleEditableText.java,
	libraries/javalib/javax/accessibility/AccessibleExtendedComponent.java,
	libraries/javalib/javax/accessibility/AccessibleExtendedTable.java,
	libraries/javalib/javax/accessibility/AccessibleHyperlink.java,
	libraries/javalib/javax/accessibility/AccessibleHypertext.java,
	libraries/javalib/javax/accessibility/AccessibleIcon.java,
	libraries/javalib/javax/accessibility/AccessibleKeyBinding.java,
	libraries/javalib/javax/accessibility/AccessibleRelation.java,
	libraries/javalib/javax/accessibility/AccessibleRelationSet.java,
	libraries/javalib/javax/accessibility/AccessibleResourceBundle.java,
	libraries/javalib/javax/accessibility/AccessibleRole.java,
	libraries/javalib/javax/accessibility/AccessibleSelection.java,
	libraries/javalib/javax/accessibility/AccessibleState.java,
	libraries/javalib/javax/accessibility/AccessibleStateSet.java,
	libraries/javalib/javax/accessibility/AccessibleTable.java,
	libraries/javalib/javax/accessibility/AccessibleTableModelChange.java,
	libraries/javalib/javax/accessibility/AccessibleText.java,
	libraries/javalib/javax/accessibility/AccessibleValue.java:
	new files from GNU Classpath.
	
	* libraries/javalib/javax/rmi/CORBA/ClassDesc.java,
	libraries/javalib/javax/rmi/CORBA/ObjectImpl.java,
	libraries/javalib/javax/rmi/CORBA/PortableRemoteObjectDelegate.java,
	libraries/javalib/javax/rmi/CORBA/Stub.java,
	libraries/javalib/javax/rmi/CORBA/StubDelegate.java,
	libraries/javalib/javax/rmi/CORBA/SystemException.java,
	libraries/javalib/javax/rmi/CORBA/Tie.java,
	libraries/javalib/javax/rmi/CORBA/Util.java,
	libraries/javalib/javax/rmi/CORBA/UtilDelegate.java,
	libraries/javalib/javax/rmi/CORBA/ValueHandler.java:
	new files from GNU Classpath.

	* libraries/javalib/javax/rmi/BAD_OPERATION.java,
	libraries/javalib/javax/rmi/ORB.java,
	libraries/javalib/javax/rmi/PortableRemoteObject.java:
	new files from GNU Classpath.
	
	* libraries/javalib/javax/sound/sampled/Clip.java:
	(open) added missing method. Necessary for ant 1.5.1
	to build.
	
	* libraries/javalib/javax/sql/ConnectionEvent.java,
	libraries/javalib/javax/sql/ConnectionEventListener.java,
	libraries/javalib/javax/sql/ConnectionPoolDataSource.java,
	libraries/javalib/javax/sql/DataSource.java,
	libraries/javalib/javax/sql/PooledConnection.java,
	libraries/javalib/javax/sql/RowSet.java,
	libraries/javalib/javax/sql/RowSetEvent.java,
	libraries/javalib/javax/sql/RowSetInternal.java,
	libraries/javalib/javax/sql/RowSetListener.java,
	libraries/javalib/javax/sql/RowSetMetaData.java,
	libraries/javalib/javax/sql/RowSetReader.java,
	libraries/javalib/javax/sql/RowSetWriter.java,
	libraries/javalib/javax/sql/XAConnection.java,
	libraries/javalib/javax/sql/XADataSource.java:
	new files from GNU Classpath.
	
	* libraries/javalib/javax/swing/text/AttributeSet.java,
	libraries/javalib/javax/swing/text/BadLocationException.java,
	new files from GNU Classpath.

2002-12-02 Dalibor Topic <robilad@yahoo.com>

	Upgraded libtool and libltdl files to libtool 1.4.3.
	Imported javax.xml, org.w3c and org.xml packages from GNU jaxp,
	available at http://www.gnu.org/software/classpathx/jaxp.
	javax.xml is licensed under GPL + linking exception,
	org.xml.sax is public domain, and org.w3c is licensed under
	the W3C IPR Software Notice, included in text for as
	license-w3c.terms. It is a GPL compatible license.

	* license-w3c.terms: new file.
	
	* acinclude.m4: removed.
	* libtool.m4: new file from libtool 1.4.3.
        * config.guess,
        config.sub,
        libltdl/COPYING.LIB,
        libltdl/Makefile.in,
        libltdl/acinclude.m4,
        libltdl/aclocal.m4,
        libltdl/config-h.in,
        libltdl/configure,
        libltdl/ltdl.c,
        ltmain.sh: updated to libtool 1.4.3.
	
	* libraries/clib/awt/qt/cbd.cc,
	libraries/clib/awt/qt/clr.cc,
	libraries/clib/awt/qt/evt.cc,
	libraries/clib/awt/qt/fnt.cc,
	libraries/clib/awt/qt/gra.cc,
	libraries/clib/awt/qt/img.cc,
	libraries/clib/awt/qt/tlk.cc,
	libraries/clib/awt/qt/toolkit.h,
	libraries/clib/awt/qt/wnd.cc:
	Use system paths to look for Qt headers.
	Made it work with Qt2.

	Patch by: Jim Huang <jserv@mdk.linux.org.tw>
	
	* libraries/javalib/Makefile.am: Added new files and packages.
	* libraries/javalib/Makefile.in: regenerated.

	* libraries/javalib/bootstrap.classlist: Added java.lang.CharSequence
	
	* libraries/javalib/java/net/URI.java:
	partially implemented using java.util.regex.
	(URI_REGEXP) new constant. Used to parse URIs.
	(SCHEME_GROUP) new constant representing index of scheme group in
	parsed URI.
	(AUTHORITY_GROUP) new constant representing index of authority
	group in parsed URI.
	(PATH_GROUP) new constant representing index of path group in
	parsed URI.
	(QUERY_GROUP) new constant representing index of query group in
	parsed URI.
	(FRAGMENT_GROUP) new constant representing index of fragment group
	in parsed URI.
	(getURIGroup) new static utility method.
	(parseURI) implemented.
	(quote) stub for new static utility method.
	(quoteAuthority) stub for new static utility method.
	(quoteHost) stub for new static utility method.
	(quotePath) stub for new static utility method.
	(quoteUserInfo) stub for new static utility method.
	(URI) implemented.
	(create) don't throw URISyntaxException. Implemented.
	(toString) implemented.

	Checked in as it will take some time before this code will enter
	GNU Classpath. It takes some time to have the necessary
	copyright statements signed.
	
	* libraries/javalib/java/util/regex/Matcher.java:
	(matches) needs to set match result. Reimplemented using find.
	* libraries/javalib/java/util/regex/Pattern.java:
	(Pattern) removed log message.

	Checked in as java.util.regex is not in gnu.regex CVS yet.

	* libraries/javalib/javax/xml/parsers/ClassStuff.java,
	libraries/javalib/javax/xml/parsers/DocumentBuilderFactory.java,
	libraries/javalib/javax/xml/parsers/DocumentBuilder.java,
	libraries/javalib/javax/xml/parsers/FactoryConfigurationError.java,
	libraries/javalib/javax/xml/parsers/ParserConfigurationException.java,
	libraries/javalib/javax/xml/parsers/SAXParserFactory.java,
	libraries/javalib/javax/xml/parsers/SAXParser.java:
	new files from GNU jaxp.

	* libraries/javalib/javax/xml/transform/ClassStuff.java,
        libraries/javalib/javax/xml/transform/ErrorListener.java,
        libraries/javalib/javax/xml/transform/OutputKeys.java,
        libraries/javalib/javax/xml/transform/Result.java,
        libraries/javalib/javax/xml/transform/Source.java,
        libraries/javalib/javax/xml/transform/SourceLocator.java,
        libraries/javalib/javax/xml/transform/Templates.java,
        libraries/javalib/javax/xml/transform/TransformerConfigurationException.java,
        libraries/javalib/javax/xml/transform/TransformerException.java,
        libraries/javalib/javax/xml/transform/TransformerFactoryConfigurationError.java,
        libraries/javalib/javax/xml/transform/TransformerFactory.java,
        libraries/javalib/javax/xml/transform/Transformer.java,
        libraries/javalib/javax/xml/transform/URIResolver.java:
	new filesfrom GNU jaxp.

	* libraries/javalib/javax/xml/transform/dom/DOMLocator.java,
        libraries/javalib/javax/xml/transform/dom/DOMResult.java,
        libraries/javalib/javax/xml/transform/dom/DOMSource.java:
	new files from GNU jaxp.

	* libraries/javalib/javax/xml/transform/sax/SAXResult.java,
        libraries/javalib/javax/xml/transform/sax/SAXSource.java,
        libraries/javalib/javax/xml/transform/sax/SAXTransformerFactory.java,
        libraries/javalib/javax/xml/transform/sax/TemplatesHandler.java,
        libraries/javalib/javax/xml/transform/sax/TransformerHandler.java:
	new files from GNU jaxp.

	* libraries/javalib/javax/xml/transform/stream/StreamResult.java,
        libraries/javalib/javax/xml/transform/stream/StreamSource.java:
	new files from GNU jaxp.

	* libraries/javalib/org/w3c/dom/Attr.java,
        libraries/javalib/org/w3c/dom/CDATASection.java,
        libraries/javalib/org/w3c/dom/CharacterData.java,
        libraries/javalib/org/w3c/dom/Comment.java,
        libraries/javalib/org/w3c/dom/DocumentFragment.java,
        libraries/javalib/org/w3c/dom/Document.java,
        libraries/javalib/org/w3c/dom/DocumentType.java,
        libraries/javalib/org/w3c/dom/DOMException.java,
        libraries/javalib/org/w3c/dom/DOMImplementation.java,
        libraries/javalib/org/w3c/dom/Element.java,
        libraries/javalib/org/w3c/dom/Entity.java,
        libraries/javalib/org/w3c/dom/EntityReference.java,
        libraries/javalib/org/w3c/dom/NamedNodeMap.java,
        libraries/javalib/org/w3c/dom/Node.java,
        libraries/javalib/org/w3c/dom/NodeList.java,
        libraries/javalib/org/w3c/dom/Notation.java,
        libraries/javalib/org/w3c/dom/ProcessingInstruction.java,
        libraries/javalib/org/w3c/dom/Text.java:
	new files from GNU jaxp.

	* libraries/javalib/org/w3c/dom/css/Counter.java,
        libraries/javalib/org/w3c/dom/css/CSS2Azimuth.java,
        libraries/javalib/org/w3c/dom/css/CSS2BackgroundPosition.java,
        libraries/javalib/org/w3c/dom/css/CSS2BorderSpacing.java,
        libraries/javalib/org/w3c/dom/css/CSS2CounterIncrement.java,
        libraries/javalib/org/w3c/dom/css/CSS2CounterReset.java,
        libraries/javalib/org/w3c/dom/css/CSS2Cursor.java,
        libraries/javalib/org/w3c/dom/css/CSS2FontFaceSrc.java,
        libraries/javalib/org/w3c/dom/css/CSS2FontFaceWidths.java,
        libraries/javalib/org/w3c/dom/css/CSS2PageSize.java,
        libraries/javalib/org/w3c/dom/css/CSS2PlayDuring.java,
        libraries/javalib/org/w3c/dom/css/CSS2Properties.java,
        libraries/javalib/org/w3c/dom/css/CSS2TextShadow.java,
        libraries/javalib/org/w3c/dom/css/CSSCharsetRule.java,
        libraries/javalib/org/w3c/dom/css/CSSFontFaceRule.java,
        libraries/javalib/org/w3c/dom/css/CSSImportRule.java,
        libraries/javalib/org/w3c/dom/css/CSSMediaRule.java,
        libraries/javalib/org/w3c/dom/css/CSSPageRule.java,
        libraries/javalib/org/w3c/dom/css/CSSPrimitiveValue.java,
        libraries/javalib/org/w3c/dom/css/CSSRule.java,
        libraries/javalib/org/w3c/dom/css/CSSRuleList.java,
        libraries/javalib/org/w3c/dom/css/CSSStyleDeclaration.java,
        libraries/javalib/org/w3c/dom/css/CSSStyleRule.java,
        libraries/javalib/org/w3c/dom/css/CSSStyleSheet.java,
        libraries/javalib/org/w3c/dom/css/CSSUnknownRule.java,
        libraries/javalib/org/w3c/dom/css/CSSValue.java,
        libraries/javalib/org/w3c/dom/css/CSSValueList.java,
        libraries/javalib/org/w3c/dom/css/DocumentCSS.java,
        libraries/javalib/org/w3c/dom/css/DOMImplementationCSS.java,
        libraries/javalib/org/w3c/dom/css/ElementCSSInlineStyle.java,
        libraries/javalib/org/w3c/dom/css/Rect.java,
        libraries/javalib/org/w3c/dom/css/RGBColor.java,
        libraries/javalib/org/w3c/dom/css/ViewCSS.java:
	new files from GNU jaxp.

	* libraries/javalib/org/w3c/dom/events/DocumentEvent.java,
        libraries/javalib/org/w3c/dom/events/EventException.java,
        libraries/javalib/org/w3c/dom/events/Event.java,
        libraries/javalib/org/w3c/dom/events/EventListener.java,
        libraries/javalib/org/w3c/dom/events/EventTarget.java,
        libraries/javalib/org/w3c/dom/events/MouseEvent.java,
        libraries/javalib/org/w3c/dom/events/MutationEvent.java,
        libraries/javalib/org/w3c/dom/events/UIEvent.java,:
	new files from GNU jaxp.

	* libraries/javalib/org/w3c/dom/html/HTMLAnchorElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLAppletElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLAreaElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLBaseElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLBaseFontElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLBodyElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLBRElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLButtonElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLCollection.java,
        libraries/javalib/org/w3c/dom/html/HTMLDirectoryElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLDivElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLDListElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLDocument.java,
        libraries/javalib/org/w3c/dom/html/HTMLDOMImplementation.java,
        libraries/javalib/org/w3c/dom/html/HTMLElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLFieldSetElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLFontElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLFormElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLFrameElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLFrameSetElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLHeadElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLHeadingElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLHRElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLHtmlElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLIFrameElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLImageElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLInputElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLIsIndexElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLLabelElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLLegendElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLLIElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLLinkElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLMapElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLMenuElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLMetaElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLModElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLObjectElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLOListElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLOptGroupElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLOptionElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLParagraphElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLParamElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLPreElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLQuoteElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLScriptElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLSelectElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLStyleElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLTableCaptionElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLTableCellElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLTableColElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLTableElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLTableRowElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLTableSectionElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLTextAreaElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLTitleElement.java,
        libraries/javalib/org/w3c/dom/html/HTMLUListElement.java:
	new files from GNU jaxp.

	* libraries/javalib/org/w3c/dom/ranges/DocumentRange.java,
        libraries/javalib/org/w3c/dom/ranges/RangeException.java,
        libraries/javalib/org/w3c/dom/ranges/Range.java:
	new files from GNU jaxp.

	* libraries/javalib/org/w3c/dom/stylesheets/DocumentStyle.java,
        libraries/javalib/org/w3c/dom/stylesheets/LinkStyle.java,
        libraries/javalib/org/w3c/dom/stylesheets/MediaList.java,
        libraries/javalib/org/w3c/dom/stylesheets/StyleSheet.java,
        libraries/javalib/org/w3c/dom/stylesheets/StyleSheetList.java:
	new files from GNU jaxp.

	* libraries/javalib/org/w3c/dom/traversal/DocumentTraversal.java,
        libraries/javalib/org/w3c/dom/traversal/NodeFilter.java,
        libraries/javalib/org/w3c/dom/traversal/NodeIterator.java,
        libraries/javalib/org/w3c/dom/traversal/TreeWalker.java:
	new files from GNU jaxp.

	* libraries/javalib/org/w3c/dom/views/AbstractView.java,
        libraries/javalib/org/w3c/dom/views/DocumentView.java:
	new files from GNU jaxp.

	* libraries/javalib/org/xml/sax/AttributeList.java,
        libraries/javalib/org/xml/sax/Attributes.java,
        libraries/javalib/org/xml/sax/ContentHandler.java,
        libraries/javalib/org/xml/sax/DocumentHandler.java,
        libraries/javalib/org/xml/sax/DTDHandler.java,
        libraries/javalib/org/xml/sax/EntityResolver.java,
        libraries/javalib/org/xml/sax/ErrorHandler.java,
        libraries/javalib/org/xml/sax/HandlerBase.java,
        libraries/javalib/org/xml/sax/InputSource.java,
        libraries/javalib/org/xml/sax/Locator.java,
        libraries/javalib/org/xml/sax/Parser.java,
        libraries/javalib/org/xml/sax/SAXException.java,
        libraries/javalib/org/xml/sax/SAXNotRecognizedException.java,
        libraries/javalib/org/xml/sax/SAXNotSupportedException.java,
        libraries/javalib/org/xml/sax/SAXParseException.java,
        libraries/javalib/org/xml/sax/XMLFilter.java,
        libraries/javalib/org/xml/sax/XMLReader.java:
	new files from GNU jaxp.

	* libraries/javalib/org/xml/sax/ext/Attributes2Impl.java,
        libraries/javalib/org/xml/sax/ext/Attributes2.java,
        libraries/javalib/org/xml/sax/ext/DeclHandler.java,
        libraries/javalib/org/xml/sax/ext/DefaultHandler2.java,
        libraries/javalib/org/xml/sax/ext/EntityResolver2.java,
        libraries/javalib/org/xml/sax/ext/LexicalHandler.java,
        libraries/javalib/org/xml/sax/ext/Locator2Impl.java,
        libraries/javalib/org/xml/sax/ext/Locator2.java:
	new files from GNU jaxp.

	* libraries/javalib/org/xml/sax/helpers/AttributeListImpl.java,
        libraries/javalib/org/xml/sax/helpers/AttributesImpl.java,
        libraries/javalib/org/xml/sax/helpers/DefaultHandler.java,
        libraries/javalib/org/xml/sax/helpers/LocatorImpl.java,
        libraries/javalib/org/xml/sax/helpers/NamespaceSupport.java,
        libraries/javalib/org/xml/sax/helpers/NewInstance.java,
        libraries/javalib/org/xml/sax/helpers/ParserAdapter.java,
        libraries/javalib/org/xml/sax/helpers/ParserFactory.java,
        libraries/javalib/org/xml/sax/helpers/XMLFilterImpl.java,
        libraries/javalib/org/xml/sax/helpers/XMLReaderAdapter.java,
        libraries/javalib/org/xml/sax/helpers/XMLReaderFactory.java:
	new files from GNU jaxp.

2002-11-29 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Makefile.am: added gnu.regexp message bundles.
	* libraries/javalib/Makefile.in: regenerated.
	* libraries/javalib/gnu/regexp/MessagesBundle.properties,
	libraries/javalib/gnu/regexp/MessagesBundle_fr.properties:
	new files. Taken from gnu.regexp CVS.

2002-11-28 Dalibor Topic <robilad@yahoo.com>

	Merged in new packages: javax.sound.sampled from PockeLinux,
	java.nio.charset, java.nio.charset.spi, gnu.java.nio.charset,
	java.nio.channels, java.nio.channels.spi from GNU Classpath.
	Added a few new classes from GNU Classpath.
	
	* libraries/javalib/Makefile.am: added new classes and packages.
	* libraries/javalib/Makefile.in: regenerated.
	
	* libraries/javalib/gnu/java/nio/DatagramChannelImpl.java,
	libraries/javalib/gnu/java/nio/FileChannelImpl.java,
	libraries/javalib/gnu/java/nio/MappedByteFileBuffer.java,
	libraries/javalib/gnu/java/nio/MappedCharFileBuffer.java,
	libraries/javalib/gnu/java/nio/MappedDoubleFileBuffer.java,
	libraries/javalib/gnu/java/nio/MappedFloatFileBuffer.java,
	libraries/javalib/gnu/java/nio/MappedIntFileBuffer.java,
	libraries/javalib/gnu/java/nio/MappedLongFileBuffer.java,
	libraries/javalib/gnu/java/nio/MappedShortFileBuffer.java,
	libraries/javalib/gnu/java/nio/PipeImpl.java,
	libraries/javalib/gnu/java/nio/SelectionKeyImpl.java,
	libraries/javalib/gnu/java/nio/SelectorImpl.java,
	libraries/javalib/gnu/java/nio/SelectorProviderImpl.java,
	libraries/javalib/gnu/java/nio/ServerSocketChannelImpl.java,
	libraries/javalib/gnu/java/nio/SocketChannelImpl.java:
	new files. Taken from GNU Classpath.
	
	* libraries/javalib/gnu/java/nio/charset/ISO_8859_1.java,
	libraries/javalib/gnu/java/nio/charset/Provider.java,
	libraries/javalib/gnu/java/nio/charset/US_ASCII.java,
	libraries/javalib/gnu/java/nio/charset/UTF_16.java,
	libraries/javalib/gnu/java/nio/charset/UTF_16BE.java,
	libraries/javalib/gnu/java/nio/charset/UTF_16Decoder.java,
	libraries/javalib/gnu/java/nio/charset/UTF_16Encoder.java,
	libraries/javalib/gnu/java/nio/charset/UTF_16LE.java,
	libraries/javalib/gnu/java/nio/charset/UTF_8.java:
	new files. Taken from GNU Classpath.
	
	* libraries/javalib/java/awt/color/ICC_ProfileGray.java,
	libraries/javalib/java/awt/color/ICC_ProfileRGB.java:
	new files. Taken from GNU Classpath.
	
	* libraries/javalib/java/lang/Error.java: replaced kaffe's version
	of file with GNU Classpath's implementation, as it implements the 1.4
	features.
	
	* libraries/javalib/java/net/ServerSocket.java:
	(ServerSocket) added the empty constructor. It is not implemented yet.
	
	* libraries/javalib/java/nio/BufferOverflowException.java,
	libraries/javalib/java/nio/BufferUnderflowException.java:
	new files. Taken from GNU Classpath.
	
	* libraries/javalib/java/nio/channels/AlreadyConnectedException.java,
	libraries/javalib/java/nio/channels/AsynchronousCloseException.java,
	libraries/javalib/java/nio/channels/ByteChannel.java,
	libraries/javalib/java/nio/channels/CancelledKeyException.java,
	libraries/javalib/java/nio/channels/Channel.java,
	libraries/javalib/java/nio/channels/Channels.java,
	libraries/javalib/java/nio/channels/ClosedByInterruptException.java,
	libraries/javalib/java/nio/channels/ClosedChannelException.java,
	libraries/javalib/java/nio/channels/ClosedSelectorException.java,
	libraries/javalib/java/nio/channels/ConnectionPendingException.java,
	libraries/javalib/java/nio/channels/DatagramChannel.java,
	libraries/javalib/java/nio/channels/FileChannel.java,
	libraries/javalib/java/nio/channels/FileLock.java,
	libraries/javalib/java/nio/channels/FileLockInterruptionException.java,
	libraries/javalib/java/nio/channels/GatheringByteChannel.java,
	libraries/javalib/java/nio/channels/IllegalBlockingModeException.java,
	libraries/javalib/java/nio/channels/IllegalSelectorException.java,
	libraries/javalib/java/nio/channels/InterruptibleChannel.java,
	libraries/javalib/java/nio/channels/NoConnectionPendingException.java,
	libraries/javalib/java/nio/channels/NonReadableChannelException.java,
	libraries/javalib/java/nio/channels/NonWritableChannelException.java,
	libraries/javalib/java/nio/channels/NotYetBoundException.java,
	libraries/javalib/java/nio/channels/NotYetConnectedException.java,
	libraries/javalib/java/nio/channels/OverlappingFileLockException.java,
	libraries/javalib/java/nio/channels/Pipe.java,
	libraries/javalib/java/nio/channels/ReadableByteChannel.java,
	libraries/javalib/java/nio/channels/ScatteringByteChannel.java,
	libraries/javalib/java/nio/channels/SelectableChannel.java,
	libraries/javalib/java/nio/channels/SelectionKey.java,
	libraries/javalib/java/nio/channels/Selector.java,
	libraries/javalib/java/nio/channels/ServerSocketChannel.java,
	libraries/javalib/java/nio/channels/SocketChannel.java,
	libraries/javalib/java/nio/channels/UnresolvedAddressException.java,
	libraries/javalib/java/nio/channels/UnsupportedAddressTypeException.java,
	libraries/javalib/java/nio/channels/WritableByteChannel.java:
	new files. Taken from GNU Classpath.

	* libraries/javalib/java/nio/channels/spi/AbstractInterruptibleChannel.java,
	libraries/javalib/java/nio/channels/spi/AbstractSelectableChannel.java,
	libraries/javalib/java/nio/channels/spi/AbstractSelectionKey.java,
	libraries/javalib/java/nio/channels/spi/AbstractSelector.java,
	libraries/javalib/java/nio/channels/spi/SelectorProvider.java:
	new files. Taken from GNU Classpath.
	
	* libraries/javalib/java/nio/charset/CharacterCodingException.java,
	libraries/javalib/java/nio/charset/Charset.java,
	libraries/javalib/java/nio/charset/CharsetDecoder.java,
	libraries/javalib/java/nio/charset/CharsetEncoder.java,
	libraries/javalib/java/nio/charset/CoderMalfunctionError.java,
	libraries/javalib/java/nio/charset/CoderResult.java,
	libraries/javalib/java/nio/charset/CodingErrorAction.java,
	libraries/javalib/java/nio/charset/IllegalCharsetNameException.java,
	libraries/javalib/java/nio/charset/MalformedInputException.java,
	libraries/javalib/java/nio/charset/UnmappableCharacterException.java,
	libraries/javalib/java/nio/charset/UnsupportedCharsetException.java:
	new files. Taken from GNU Classpath.
	
	* libraries/javalib/java/nio/charset/spi/CharsetProvider.java:
	new files. Taken from GNU Classpath.
	
	* libraries/javalib/java/util/RandomAccess.java:
	new file. Taken from GNU Classpath.
	
	* libraries/javalib/javax/sound/sampled/AudioFileFormat.java,
	libraries/javalib/javax/sound/sampled/AudioFormat.java,
	libraries/javalib/javax/sound/sampled/AudioInputStream.java,
	libraries/javalib/javax/sound/sampled/AudioSystem.java,
	libraries/javalib/javax/sound/sampled/Clip.java,
	libraries/javalib/javax/sound/sampled/Control.java,
	libraries/javalib/javax/sound/sampled/DataLine.java,
	libraries/javalib/javax/sound/sampled/Line.java,
	libraries/javalib/javax/sound/sampled/LineEvent.java,
	libraries/javalib/javax/sound/sampled/LineListener.java,
	libraries/javalib/javax/sound/sampled/LineUnavailableException.java,
	libraries/javalib/javax/sound/sampled/Mixer.java,
	libraries/javalib/javax/sound/sampled/Port.java,
	libraries/javalib/javax/sound/sampled/SourceDataLine.java,
	libraries/javalib/javax/sound/sampled/TargetDataLine.java,
	libraries/javalib/javax/sound/sampled/UnsupportedAudioFileException.java:
	new files. Merged in from PocketLinux kaffe sources.
	
2002-11-27 Dalibor Topic <robilad@yahoo.com>

	Merged in LGPL-d java.util.regex and gnu.regexp from
	Wes Biggs <wes@cacas.org>. Merged in javax.naming from
	GNU Classpath, and imported a few missing classes from
	GNU Classpath in javax.transaction package. Synced up
	java.nio and gnu.java.nio with GNU Classpath.

	* libraries/javalib/Makefile.am: added new files and packages.
	* libraries/javalib/Makefile.in: regenerated.
	
	* libraries/javalib/gnu/regexp/CharIndexed.java,
	libraries/javalib/gnu/regexp/CharIndexedCharArray.java,
	libraries/javalib/gnu/regexp/CharIndexedInputStream.java,
	libraries/javalib/gnu/regexp/CharIndexedReader.java,
	libraries/javalib/gnu/regexp/CharIndexedString.java,
	libraries/javalib/gnu/regexp/CharIndexedStringBuffer.java,
	libraries/javalib/gnu/regexp/RE.java,
	libraries/javalib/gnu/regexp/REException.java,
	libraries/javalib/gnu/regexp/REFilterInputStream.java,
	libraries/javalib/gnu/regexp/REFilterReader.java,
	libraries/javalib/gnu/regexp/REMatch.java,
	libraries/javalib/gnu/regexp/REMatchEnumeration.java,
	libraries/javalib/gnu/regexp/RESyntax.java,
	libraries/javalib/gnu/regexp/REToken.java,
	libraries/javalib/gnu/regexp/RETokenAny.java,
	libraries/javalib/gnu/regexp/RETokenBackRef.java,
	libraries/javalib/gnu/regexp/RETokenChar.java,
	libraries/javalib/gnu/regexp/RETokenEnd.java,
	libraries/javalib/gnu/regexp/RETokenEndSub.java,
	libraries/javalib/gnu/regexp/RETokenLookAhead.java,
	libraries/javalib/gnu/regexp/RETokenOneOf.java,
	libraries/javalib/gnu/regexp/RETokenPOSIX.java,
	libraries/javalib/gnu/regexp/RETokenRange.java,
	libraries/javalib/gnu/regexp/RETokenRepeated.java,
	libraries/javalib/gnu/regexp/RETokenStart.java,
	libraries/javalib/gnu/regexp/RETokenWordBoundary.java,
	libraries/javalib/gnu/regexp/UncheckedRE.java:
	new files, merged in from gnu.regexp CVS on Savannah.

	* libraries/javalib/libraries/javalib/java/util/regex/Matcher.java,
	libraries/javalib/java/util/regex/Pattern.java,
	libraries/javalib/java/util/regex/PatternSyntaxException.java:
	new files, merged in from gnu-regexp-jdk14.tar.gz on the
	gnu.regexp home page.
	
	* libraries/javalib/java/nio/ByteBuffer.java,
	libraries/javalib/java/nio/CharBuffer.java,
	libraries/javalib/java/nio/LongBuffer.java,
	libraries/javalib/gnu/java/nio/ByteBufferImpl.java,
	libraries/javalib/gnu/java/nio/CharBufferImpl.java,
	libraries/javalib/gnu/java/nio/DoubleBufferImpl.java,
	libraries/javalib/gnu/java/nio/FloatBufferImpl.java,
	libraries/javalib/gnu/java/nio/IntBufferImpl.java,
	libraries/javalib/gnu/java/nio/LongBufferImpl.java,
	libraries/javalib/gnu/java/nio/ShortBufferImpl.java:
	Synced up with GNU Classpath.

	* libraries/javalib/javax/naming/AuthenticationException.java,
	libraries/javalib/javax/naming/AuthenticationNotSupportedException.java,
	libraries/javalib/javax/naming/BinaryRefAddr.java,
	libraries/javalib/javax/naming/Binding.java,
	libraries/javalib/javax/naming/CannotProceedException.java,
	libraries/javalib/javax/naming/CommunicationException.java,
	libraries/javalib/javax/naming/CompositeName.java,
	libraries/javalib/javax/naming/CompoundName.java,
	libraries/javalib/javax/naming/ConfigurationException.java,
	libraries/javalib/javax/naming/Context.java,
	libraries/javalib/javax/naming/ContextNotEmptyException.java,
	libraries/javalib/javax/naming/InitialContext.java,
	libraries/javalib/javax/naming/InsufficientResourcesException.java,
	libraries/javalib/javax/naming/InterruptedNamingException.java,
	libraries/javalib/javax/naming/InvalidNameException.java,
	libraries/javalib/javax/naming/LimitExceededException.java,
	libraries/javalib/javax/naming/LinkException.java,
	libraries/javalib/javax/naming/LinkLoopException.java,
	libraries/javalib/javax/naming/LinkRef.java,
	libraries/javalib/javax/naming/MalformedLinkException.java,
	libraries/javalib/javax/naming/Name.java,
	libraries/javalib/javax/naming/NameAlreadyBoundException.java,
	libraries/javalib/javax/naming/NameClassPair.java,
	libraries/javalib/javax/naming/NameNotFoundException.java,
	libraries/javalib/javax/naming/NameParser.java,
	libraries/javalib/javax/naming/NamingEnumeration.java,
	libraries/javalib/javax/naming/NamingException.java,
	libraries/javalib/javax/naming/NamingSecurityException.java,
	libraries/javalib/javax/naming/NoInitialContextException.java,
	libraries/javalib/javax/naming/NoPermissionException.java,
	libraries/javalib/javax/naming/NotContextException.java,
	libraries/javalib/javax/naming/OperationNotSupportedException.java,
	libraries/javalib/javax/naming/PartialResultException.java,
	libraries/javalib/javax/naming/RefAddr.java,
	libraries/javalib/javax/naming/Reference.java,
	libraries/javalib/javax/naming/Referenceable.java,
	libraries/javalib/javax/naming/ReferralException.java,
	libraries/javalib/javax/naming/ServiceUnavailableException.java,
	libraries/javalib/javax/naming/SizeLimitExceededException.java,
	libraries/javalib/javax/naming/StringRefAddr.java,
	libraries/javalib/javax/naming/TimeLimitExceededException.java,
	libraries/javalib/javax/naming/directory/Attribute.java,
	libraries/javalib/javax/naming/directory/AttributeInUseException.java,
	libraries/javalib/javax/naming/directory/AttributeModificationException.java,
	libraries/javalib/javax/naming/directory/Attributes.java,
	libraries/javalib/javax/naming/directory/BasicAttribute.java,
	libraries/javalib/javax/naming/directory/BasicAttributes.java,
	libraries/javalib/javax/naming/directory/DirContext.java,
	libraries/javalib/javax/naming/directory/InitialDirContext.java,
	libraries/javalib/javax/naming/directory/InvalidAttributeIdentifierException.java,
	libraries/javalib/javax/naming/directory/InvalidAttributeValueException.java,
	libraries/javalib/javax/naming/directory/InvalidAttributesException.java,
	libraries/javalib/javax/naming/directory/InvalidSearchControlsException.java,
	libraries/javalib/javax/naming/directory/InvalidSearchFilterException.java,
	libraries/javalib/javax/naming/directory/ModificationItem.java,
	libraries/javalib/javax/naming/directory/NoSuchAttributeException.java,
	libraries/javalib/javax/naming/directory/SchemaViolationException.java,
	libraries/javalib/javax/naming/directory/SearchControls.java,
	libraries/javalib/javax/naming/directory/SearchResult.java,
	libraries/javalib/javax/naming/event/EventContext.java,
	libraries/javalib/javax/naming/event/EventDirContext.java,
	libraries/javalib/javax/naming/event/NamespaceChangeListener.java,
	libraries/javalib/javax/naming/event/NamingEvent.java,
	libraries/javalib/javax/naming/event/NamingExceptionEvent.java,
	libraries/javalib/javax/naming/event/NamingListener.java,
	libraries/javalib/javax/naming/event/ObjectChangeListener.java,
	libraries/javalib/javax/naming/ldap/Control.java,
	libraries/javalib/javax/naming/ldap/ControlFactory.java,
	libraries/javalib/javax/naming/ldap/ExtendedRequest.java,
	libraries/javalib/javax/naming/ldap/ExtendedResponse.java,
	libraries/javalib/javax/naming/ldap/HasControls.java,
	libraries/javalib/javax/naming/ldap/InitialLdapContext.java,
	libraries/javalib/javax/naming/ldap/LdapContext.java,
	libraries/javalib/javax/naming/ldap/LdapReferralException.java,
	libraries/javalib/javax/naming/ldap/UnsolicitedNotification.java,
	libraries/javalib/javax/naming/ldap/UnsolicitedNotificationEvent.java,
	libraries/javalib/javax/naming/ldap/UnsolicitedNotificationListener.java,
	libraries/javalib/javax/naming/spi/DirObjectFactory.java,
	libraries/javalib/javax/naming/spi/DirStateFactory.java,
	libraries/javalib/javax/naming/spi/DirectoryManager.java,
	libraries/javalib/javax/naming/spi/InitialContextFactory.java,
	libraries/javalib/javax/naming/spi/InitialContextFactoryBuilder.java,
	libraries/javalib/javax/naming/spi/NamingManager.java,
	libraries/javalib/javax/naming/spi/ObjectFactory.java,
	libraries/javalib/javax/naming/spi/ObjectFactoryBuilder.java,
	libraries/javalib/javax/naming/spi/ResolveResult.java,
	libraries/javalib/javax/naming/spi/Resolver.java,
	libraries/javalib/javax/naming/spi/StateFactory.java:
	new files, imported from GNU Classpath.

	* libraries/javalib/javax/transaction/HeuristicCommitException.java,
	libraries/javalib/javax/transaction/HeuristicMixedException.java,
	libraries/javalib/javax/transaction/HeuristicRollbackException.java,
	libraries/javalib/javax/transaction/NotSupportedException.java,
	libraries/javalib/javax/transaction/RollbackException.java,
	libraries/javalib/javax/transaction/Status.java,
	libraries/javalib/javax/transaction/Synchronization.java,
	libraries/javalib/javax/transaction/SystemException.java,
	libraries/javalib/javax/transaction/Transaction.java,
	libraries/javalib/javax/transaction/TransactionManager.java,
	libraries/javalib/javax/transaction/UserTransaction.java:
	new files, imported from GNU Classpath.

	* developers/check-classpath-merge-status:  new file. Small utility script
	to check merge status with classpath. It outputs the files that may need
	to be remerged. You may have to change the location of classpath
	libraries to get it to work.

2002-11-26 Dalibor Topic <robilad@yahoo.com>

	Merged in the Qt based AWT backend written by
	Murphy Chen and Ken-Hao Liu from Dialogue
	Technologies, Inc. See FAQ/FAQ.awt for documentation.

	* gwqt.m4 : new file. Auto* tools macros for Qt library
	written by Geoffrey Wossum (gwossum@acm.org). Taken from
	the autoqt project on http://autoqt.sf.net . Slightly
	adapted for kaffe by me. Autoqt is under a GPL compatible
	BSD license without an advertising clause.

	* FAQ/FAQ.awt: added documention on selecting AWT backends,
	and a detailed section on configuring kaffe to use the Qt
	based AWT backend.

	* configure.in: improved support for selecting AWT backends.
	In part taken from the PocketLinux kaffe configure.in.

	* libraries/clib/awt/Makefile.am: 
	Added qt to DIST_SUBDIRS.
	
	* Makefile.in,
	aclocal.m4,
	config/Makefile.in,
	config/config.h.in,
	configure,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.in,
	test/Makefile.in,
	test/regression/Makefile.in: regenerated.

	* libraries/clib/awt/qt/cbd.cc,
	libraries/clib/awt/qt/clr.cc
	libraries/clib/awt/qt/evt.cc
	libraries/clib/awt/qt/evt.h
	libraries/clib/awt/qt/fnt.cc
	libraries/clib/awt/qt/gra.cc
	libraries/clib/awt/qt/img.cc
	libraries/clib/awt/qt/imggif.cc
	libraries/clib/awt/qt/imgjpeg.cc
	libraries/clib/awt/qt/imgpng.cc
	libraries/clib/awt/qt/keysyms.h
	libraries/clib/awt/qt/Makefile.am
	libraries/clib/awt/qt/Makefile.in
	libraries/clib/awt/qt/tlk.cc
	libraries/clib/awt/qt/tlkprops.h
	libraries/clib/awt/qt/toolkit.h
	libraries/clib/awt/qt/wnd.cc:
	new files. I have slightly modified the original sources
	to get them to compile. I've also written a Makefile.am
	for the code, so it's now a part of the kaffe build
	process.
	
	* test/regression/TestScript.in: removed Klasses.jar
	from CLASSPATH. Jikes 1.18 complained about the missing
	jar.

	* config/config-mem.h: changed prototype of swab to
	get it to compile with g++ on Mandrake 9.0. I don't
	know why configure doesn't pick up the swab declaration
	from unistd.h.

	* kaffe/kaffevm/debug.h,
	kaffe/kaffevm/systems/unix-jthreads/jthread.h:
	fixed g++ compilation problems.
	
2002-11-25 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Makefile.am : Added java.rmi,
	kaffe.rmi and kaffe.tools packages. Imported
	javax.transaction package from GNU Classpath.
	
	* config/config.h.in,
	libraries/javalib/Makefile.in:
	regenerated.
	
	* libraries/extensions/rmi/javalib/java/rmi/AccessException.java,
	libraries/extensions/rmi/javalib/java/rmi/AlreadyBoundException.java,
	libraries/extensions/rmi/javalib/java/rmi/ConnectException.java,
	libraries/extensions/rmi/javalib/java/rmi/ConnectIOException.java,
	libraries/extensions/rmi/javalib/java/rmi/MarshalException.java,
	libraries/extensions/rmi/javalib/java/rmi/MarshalledObject.java,
	libraries/extensions/rmi/javalib/java/rmi/Naming.java,
	libraries/extensions/rmi/javalib/java/rmi/NoSuchObjectException.java,
	libraries/extensions/rmi/javalib/java/rmi/NotBoundException.java,
	libraries/extensions/rmi/javalib/java/rmi/RMISecurityException.java,
	libraries/extensions/rmi/javalib/java/rmi/RMISecurityManager.java,
	libraries/extensions/rmi/javalib/java/rmi/Remote.java,
	libraries/extensions/rmi/javalib/java/rmi/RemoteException.java,
	libraries/extensions/rmi/javalib/java/rmi/ServerError.java,
	libraries/extensions/rmi/javalib/java/rmi/ServerException.java,
	libraries/extensions/rmi/javalib/java/rmi/ServerRuntimeException.java,
	libraries/extensions/rmi/javalib/java/rmi/StubNotFoundException.java,
	libraries/extensions/rmi/javalib/java/rmi/UnexpectedException.java,
	libraries/extensions/rmi/javalib/java/rmi/UnknownHostException.java,
	libraries/extensions/rmi/javalib/java/rmi/UnmarshalException.java,
	libraries/extensions/rmi/javalib/java/rmi/activation/Activatable.java,
	libraries/extensions/rmi/javalib/java/rmi/activation/ActivateFailedException.java,
	libraries/extensions/rmi/javalib/java/rmi/activation/ActivationDesc.java,
	libraries/extensions/rmi/javalib/java/rmi/activation/ActivationException.java,
	libraries/extensions/rmi/javalib/java/rmi/activation/ActivationGroup.java,
	libraries/extensions/rmi/javalib/java/rmi/activation/ActivationGroupDesc.java,
	libraries/extensions/rmi/javalib/java/rmi/activation/ActivationGroupID.java,
	libraries/extensions/rmi/javalib/java/rmi/activation/ActivationID.java,
	libraries/extensions/rmi/javalib/java/rmi/activation/ActivationInstantiator.java,
	libraries/extensions/rmi/javalib/java/rmi/activation/ActivationMonitor.java,
	libraries/extensions/rmi/javalib/java/rmi/activation/ActivationSystem.java,
	libraries/extensions/rmi/javalib/java/rmi/activation/Activator.java,
	libraries/extensions/rmi/javalib/java/rmi/activation/UnknownGroupException.java,
	libraries/extensions/rmi/javalib/java/rmi/activation/UnknownObjectException.java,
	libraries/extensions/rmi/javalib/java/rmi/dgc/DGC.java,
	libraries/extensions/rmi/javalib/java/rmi/dgc/Lease.java,
	libraries/extensions/rmi/javalib/java/rmi/dgc/VMID.java,
	libraries/extensions/rmi/javalib/java/rmi/registry/LocateRegistry.java,
	libraries/extensions/rmi/javalib/java/rmi/registry/Registry.java,
	libraries/extensions/rmi/javalib/java/rmi/registry/RegistryHandler.java,
	libraries/extensions/rmi/javalib/java/rmi/server/ExportException.java,
	libraries/extensions/rmi/javalib/java/rmi/server/LoaderHandler.java,
	libraries/extensions/rmi/javalib/java/rmi/server/LogStream.java,
	libraries/extensions/rmi/javalib/java/rmi/server/ObjID.java,
	libraries/extensions/rmi/javalib/java/rmi/server/Operation.java,
	libraries/extensions/rmi/javalib/java/rmi/server/RMIClassLoader.java,
	libraries/extensions/rmi/javalib/java/rmi/server/RMIClientSocketFactory.java,
	libraries/extensions/rmi/javalib/java/rmi/server/RMIFailureHandler.java,
	libraries/extensions/rmi/javalib/java/rmi/server/RMIServerSocketFactory.java,
	libraries/extensions/rmi/javalib/java/rmi/server/RMISocketFactory.java,
	libraries/extensions/rmi/javalib/java/rmi/server/RemoteCall.java,
	libraries/extensions/rmi/javalib/java/rmi/server/RemoteObject.java,
	libraries/extensions/rmi/javalib/java/rmi/server/RemoteRef.java,
	libraries/extensions/rmi/javalib/java/rmi/server/RemoteServer.java,
	libraries/extensions/rmi/javalib/java/rmi/server/RemoteStub.java,
	libraries/extensions/rmi/javalib/java/rmi/server/ServerCloneException.java,
	libraries/extensions/rmi/javalib/java/rmi/server/ServerNotActiveException.java,
	libraries/extensions/rmi/javalib/java/rmi/server/ServerRef.java,
	libraries/extensions/rmi/javalib/java/rmi/server/Skeleton.java,
	libraries/extensions/rmi/javalib/java/rmi/server/SkeletonMismatchException.java,
	libraries/extensions/rmi/javalib/java/rmi/server/SkeletonNotFoundException.java,
	libraries/extensions/rmi/javalib/java/rmi/server/SocketSecurityException.java,
	libraries/extensions/rmi/javalib/java/rmi/server/UID.java,
	libraries/extensions/rmi/javalib/java/rmi/server/UnicastRemoteObject.java,
	libraries/extensions/rmi/javalib/java/rmi/server/Unreferenced.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/dgc/DGCImpl.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/dgc/DGCImpl_Skel.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/dgc/DGCImpl_Stub.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/registry/RegistryImpl.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/registry/RegistryImpl_Skel.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/registry/RegistryImpl_Stub.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/rmic/RMIC.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/rmic/TabbedWriter.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/server/ProtocolConstants.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/server/RMIDefaultSocketFactory.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/server/RMIHashes.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/server/RMIObjectInputStream.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/server/RMIObjectOutputStream.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/server/UnicastConnection.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/server/UnicastConnectionManager.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/server/UnicastRef.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/server/UnicastRemoteCall.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/server/UnicastRemoteStub.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/server/UnicastServer.java,
	libraries/extensions/rmi/javalib/kaffe/rmi/server/UnicastServerRef.java,
	libraries/extensions/tools/javalib/kaffe/tools/compiler/Compiler.java,
	libraries/extensions/tools/javalib/kaffe/tools/compiler/Compiler_default.java,
	libraries/extensions/tools/javalib/kaffe/tools/compiler/Compiler_jikes.java,
	libraries/extensions/tools/javalib/kaffe/tools/compiler/Compiler_kjc.java,
	libraries/extensions/tools/javalib/kaffe/tools/compiler/Compiler_pizza.java,
	libraries/extensions/tools/javalib/kaffe/tools/jar/Jar.java,
	libraries/extensions/tools/javalib/kaffe/tools/jar/XPFile.java,
	libraries/extensions/tools/javalib/kaffe/tools/jar/XPFileInputStream.java,
	libraries/extensions/tools/javalib/kaffe/tools/jar/XPFileOutputStream.java,
	libraries/extensions/tools/javalib/kaffe/tools/jar/XPFileReader.java,
	libraries/extensions/tools/javalib/kaffe/tools/jar/XPFileWriter.java,
	libraries/extensions/tools/javalib/kaffe/tools/serialver/SerialVer.java:
	moved to libraries/javalib .
	
	* libraries/extensions/rmi/Makefile.am,
	libraries/extensions/rmi/Makefile.in,
	libraries/extensions/rmi/javalib/Makefile.am,
	libraries/extensions/rmi/javalib/Makefile.in,
	libraries/extensions/rmi/javalib/rmi.jar,
	libraries/extensions/tools/Makefile.am,
	libraries/extensions/tools/Makefile.in,
	libraries/extensions/tools/javalib/Makefile.am,
	libraries/extensions/tools/javalib/Makefile.in,
	libraries/extensions/tools/javalib/tools.jar: removed.

	* libraries/javalib/java/rmi/AccessException.java,
	libraries/javalib/java/rmi/AlreadyBoundException.java,
	libraries/javalib/java/rmi/ConnectException.java,
	libraries/javalib/java/rmi/ConnectIOException.java,
	libraries/javalib/java/rmi/MarshalException.java,
	libraries/javalib/java/rmi/MarshalledObject.java,
	libraries/javalib/java/rmi/Naming.java,
	libraries/javalib/java/rmi/NoSuchObjectException.java,
	libraries/javalib/java/rmi/NotBoundException.java,
	libraries/javalib/java/rmi/RMISecurityException.java,
	libraries/javalib/java/rmi/RMISecurityManager.java,
	libraries/javalib/java/rmi/Remote.java,
	libraries/javalib/java/rmi/RemoteException.java,
	libraries/javalib/java/rmi/ServerError.java,
	libraries/javalib/java/rmi/ServerException.java,
	libraries/javalib/java/rmi/ServerRuntimeException.java,
	libraries/javalib/java/rmi/StubNotFoundException.java,
	libraries/javalib/java/rmi/UnexpectedException.java,
	libraries/javalib/java/rmi/UnknownHostException.java,
	libraries/javalib/java/rmi/UnmarshalException.java,
	libraries/javalib/java/rmi/activation/Activatable.java,
	libraries/javalib/java/rmi/activation/ActivateFailedException.java,
	libraries/javalib/java/rmi/activation/ActivationDesc.java,
	libraries/javalib/java/rmi/activation/ActivationException.java,
	libraries/javalib/java/rmi/activation/ActivationGroup.java,
	libraries/javalib/java/rmi/activation/ActivationGroupDesc.java,
	libraries/javalib/java/rmi/activation/ActivationGroupID.java,
	libraries/javalib/java/rmi/activation/ActivationID.java,
	libraries/javalib/java/rmi/activation/ActivationInstantiator.java,
	libraries/javalib/java/rmi/activation/ActivationMonitor.java,
	libraries/javalib/java/rmi/activation/ActivationSystem.java,
	libraries/javalib/java/rmi/activation/Activator.java,
	libraries/javalib/java/rmi/activation/UnknownGroupException.java,
	libraries/javalib/java/rmi/activation/UnknownObjectException.java,
	libraries/javalib/java/rmi/dgc/DGC.java,
	libraries/javalib/java/rmi/dgc/Lease.java,
	libraries/javalib/java/rmi/dgc/VMID.java,
	libraries/javalib/java/rmi/registry/LocateRegistry.java,
	libraries/javalib/java/rmi/registry/Registry.java,
	libraries/javalib/java/rmi/registry/RegistryHandler.java,
	libraries/javalib/java/rmi/server/ExportException.java,
	libraries/javalib/java/rmi/server/LoaderHandler.java,
	libraries/javalib/java/rmi/server/LogStream.java,
	libraries/javalib/java/rmi/server/ObjID.java,
	libraries/javalib/java/rmi/server/Operation.java,
	libraries/javalib/java/rmi/server/RMIClassLoader.java,
	libraries/javalib/java/rmi/server/RMIClientSocketFactory.java,
	libraries/javalib/java/rmi/server/RMIFailureHandler.java,
	libraries/javalib/java/rmi/server/RMIServerSocketFactory.java,
	libraries/javalib/java/rmi/server/RMISocketFactory.java,
	libraries/javalib/java/rmi/server/RemoteCall.java,
	libraries/javalib/java/rmi/server/RemoteObject.java,
	libraries/javalib/java/rmi/server/RemoteRef.java,
	libraries/javalib/java/rmi/server/RemoteServer.java,
	libraries/javalib/java/rmi/server/RemoteStub.java,
	libraries/javalib/java/rmi/server/ServerCloneException.java,
	libraries/javalib/java/rmi/server/ServerNotActiveException.java,
	libraries/javalib/java/rmi/server/ServerRef.java,
	libraries/javalib/java/rmi/server/Skeleton.java,
	libraries/javalib/java/rmi/server/SkeletonMismatchException.java,
	libraries/javalib/java/rmi/server/SkeletonNotFoundException.java,
	libraries/javalib/java/rmi/server/SocketSecurityException.java,
	libraries/javalib/java/rmi/server/UID.java,
	libraries/javalib/java/rmi/server/UnicastRemoteObject.java,
	libraries/javalib/java/rmi/server/Unreferenced.java,
	libraries/javalib/kaffe/rmi/dgc/DGCImpl.java,
	libraries/javalib/kaffe/rmi/dgc/DGCImpl_Skel.java,
	libraries/javalib/kaffe/rmi/dgc/DGCImpl_Stub.java,
	libraries/javalib/kaffe/rmi/registry/RegistryImpl.java,
	libraries/javalib/kaffe/rmi/registry/RegistryImpl_Skel.java,
	libraries/javalib/kaffe/rmi/registry/RegistryImpl_Stub.java,
	libraries/javalib/kaffe/rmi/rmic/RMIC.java,
	libraries/javalib/kaffe/rmi/rmic/TabbedWriter.java,
	libraries/javalib/kaffe/rmi/server/ProtocolConstants.java,
	libraries/javalib/kaffe/rmi/server/RMIDefaultSocketFactory.java,
	libraries/javalib/kaffe/rmi/server/RMIHashes.java,
	libraries/javalib/kaffe/rmi/server/RMIObjectInputStream.java,
	libraries/javalib/kaffe/rmi/server/RMIObjectOutputStream.java,
	libraries/javalib/kaffe/rmi/server/UnicastConnection.java,
	libraries/javalib/kaffe/rmi/server/UnicastConnectionManager.java,
	libraries/javalib/kaffe/rmi/server/UnicastRef.java,
	libraries/javalib/kaffe/rmi/server/UnicastRemoteCall.java,
	libraries/javalib/kaffe/rmi/server/UnicastRemoteStub.java,
	libraries/javalib/kaffe/rmi/server/UnicastServer.java,
	libraries/javalib/kaffe/rmi/server/UnicastServerRef.java,
	libraries/javalib/kaffe/tools/compiler/Compiler.java,
	libraries/javalib/kaffe/tools/compiler/Compiler_default.java,
	libraries/javalib/kaffe/tools/compiler/Compiler_jikes.java,
	libraries/javalib/kaffe/tools/compiler/Compiler_kjc.java,
	libraries/javalib/kaffe/tools/compiler/Compiler_pizza.java,
	libraries/javalib/kaffe/tools/jar/Jar.java,
	libraries/javalib/kaffe/tools/jar/XPFile.java,
	libraries/javalib/kaffe/tools/jar/XPFileInputStream.java,
	libraries/javalib/kaffe/tools/jar/XPFileOutputStream.java,
	libraries/javalib/kaffe/tools/jar/XPFileReader.java,
	libraries/javalib/kaffe/tools/jar/XPFileWriter.java,
	libraries/javalib/kaffe/tools/serialver/SerialVer.java:
	moved here from libraries/extensions/rmi/javalib and
	libraries/extensions/tools/javalib.

	* libraries/javalib/javax/transaction/InvalidTransactionException.java,
	libraries/javalib/javax/transaction/TransactionRequiredException.java,
	libraries/javalib/javax/transaction/TransactionRolledbackException.java,
	libraries/javalib/javax/transaction/xa/XAException.java,
	libraries/javalib/javax/transaction/xa/XAResource.java,
	libraries/javalib/javax/transaction/xa/Xid.java:
	Imported javax.transaction package from GNU Classpath.

	* test/regression/Makefile.am: fixed an automake warning.
	* test/regression/Makefile.in: regenerated.
 
2002-11-24 Joon Hyuk Lee <leejoon1@hotmail.com>
 
 	* libraries/clib/awt/X/imgpng.c
 	(readPng) read number of row bytes after updating info.
 	(readRowData) check if file has 4 channels despite having
 	no alpha channel.

2002-11-23  Dalibor Topic  <robilad@yahoo.com>

	* libraries/javalib/java/io/RandomAccessFile.java: 
	(RandomAccessFile) All constructors should throw
	FileNotFoundException.

	* ChangeLog, ChangeLog.4: moved old change log entries before
	1.0.7 release into ChangeLog.4.

2002-11-22  Ito Kazumitsu <ito.kazumitsu@hitachi-cable.co.jp>

	* kaffe/scripts/compat/javac.in: fixed some syntactical
	error to avoid the message '[: ==: binary operator expected'.

2002-11-22  Ito Kazumitsu <ito.kazumitsu@hitachi-cable.co.jp>

	* libraries/clib/native/ByteToCharIconv.c: 
	(Java_kaffe_io_ByteToCharIconv_convert): convert the
	begining of an invalid multibyte sequence to '?'. Fixes
	an infinite loop on invalid multibyte sequences.

2002-11-21  Dalibor Topic  <robilad@yahoo.com>

	* libraries/javalib/java/io/File.java: 
	(toURI) new method.

2002-11-21 Ito Kazumitsu <ito.kazumitsu@hitachi-cable.co.jp>

	* libraries/javalib/java/lang/String,
	libraries/javalib/java/lang/StringBuffer:
	implement CharSequence.
	(subSequence) new method.
	
2002-11-21  Dalibor Topic  <robilad@yahoo.com>

	* libraries/javalib/Makefile.am (java_nio_SRCS): 
	added java/nio/InvalidMarkException.java and
	java/nio/ReadOnlyBufferException.java .
	* libraries/javalib/Makefile.in: regenerated.

	* libraries/javalib/java/net/InetAddress.java:
	(getByAddress) new method.

	* libraries/javalib/gnu/java/nio/ByteBufferImpl.java,
	libraries/javalib/gnu/java/nio/CharBufferImpl.java,
	libraries/javalib/gnu/java/nio/DoubleBufferImpl.java,
	libraries/javalib/gnu/java/nio/FloatBufferImpl.java,
	libraries/javalib/gnu/java/nio/IntBufferImpl.java,
	libraries/javalib/gnu/java/nio/LongBufferImpl.java,
	libraries/javalib/gnu/java/nio/ShortBufferImpl.java,
	libraries/javalib/java/awt/DisplayMode.java,
	libraries/javalib/java/awt/color/ColorSpace.java,
	libraries/javalib/java/awt/color/ICC_ColorSpace.java,
	libraries/javalib/java/awt/color/ICC_Profile.java,
	libraries/javalib/java/awt/dnd/DragSourceContext.java,
	libraries/javalib/java/awt/dnd/DragSourceListener.java,
	libraries/javalib/java/awt/font/TextHitInfo.java,
	libraries/javalib/java/awt/geom/PathIterator.java,
	libraries/javalib/java/net/InetSocketAddress.java,
	libraries/javalib/java/net/SocketAddress.java,
	libraries/javalib/java/nio/Buffer.java,
	libraries/javalib/java/nio/ByteBuffer.java,
	libraries/javalib/java/nio/ByteOrder.java,
	libraries/javalib/java/nio/CharBuffer.java,
	libraries/javalib/java/nio/DoubleBuffer.java,
	libraries/javalib/java/nio/FloatBuffer.java,
	libraries/javalib/java/nio/IntBuffer.java,
	libraries/javalib/java/nio/MappedByteBuffer.java,
	libraries/javalib/java/nio/ShortBuffer.java,
	libraries/javalib/java/util/logging/XMLFormatter.java:
	Synchronized with GNU Classpath.

	* libraries/javalib/java/nio/InvalidMarkException.java,
	libraries/javalib/java/nio/ReadOnlyBufferException.java:
	new files taken from GNU Classpath.

2002-11-20 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Makefile.am:
	Split Klasses_jar_SRCS into Klasses_jar_SRCS,
	Awt_SRCS and Rest_SRCS. Compilation of class library
	now takes three passes, reducing the amount of memory
	required to build kaffe.
	* libraries/javalib/rebuildLib.in:
	Moved creation of LIBDIR into Makefile.am.
	* libraries/javalib/Makefile.in:
	regenerated.
	
2002-11-20 Ito Kazumitsu <ito.kazumitsu@hitachi-cable.co.jp>

	* configure.in: use iconv detection macros from libiconv 1.8
	* iconv.m4: new macro file taken from libiconv 1.8.
	* Makefile.in,
	aclocal.m4,
	config/Makefile.in,
	config/config.h.in,
	configure,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/rmi/Makefile.in,
	libraries/extensions/rmi/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/extensions/tools/Makefile.in,
	libraries/extensions/tools/javalib/Makefile.in,
	libraries/javalib/Makefile.in,
	test/Makefile.in,
	test/regression/Makefile.in:
	regenerated.

2002-11-20 Gwenole Beauchesne  <gbeauchesne@mandrakesoft.com>

	* Makefile.am (BUILD_ENVIRONMENT-make):  Always add '.' to CLASSPATH.
	This fixes make check problems when CLASSPATH is not empty.

2002-11-20 Herve Roussain <roussain@univ-ubs.fr>
	* libraries/javalib/kaffe/util/locale/Country_fr.java:
	fixed compilation problems caused by non-ASCII character.

	* configure.in, libraries/javalib/rebuildLib.in: added --with-jikes
	configure option, and improved jikes support for rebuilding the class
	library.

Wed Nov 13 12:11:59 CET 2002 Dalibor Topic <robilad@yahoo.com>

	* configure.in: removed -I/usr/local/include from default
	CPPFLAGS, as it makes configure miss all header files on on
	gcc 3.2 based Mandrake Linux 9.0.

	* developers/autogen.sh: commented out update-class-list
	invocation, as it breaks on Mandrake Linux 9.0. It adds a lot of
	directories again and again, leading to kjc recompiling everything
	a couple of times.

	* aclocal.m4, config/config.h.in, config/Makefile.in, configure,
	include/Makefile.in, kaffe/Makefile.in, kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in, kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in, kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in, kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/man/Makefile.in, kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in, kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in, libraries/Makefile.in,
	libraries/clib/Makefile.in, libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in, libraries/clib/io/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in, libraries/clib/net/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/zip/Makefile.in, libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/rmi/Makefile.in,
	libraries/extensions/rmi/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/extensions/tools/Makefile.in,
	libraries/extensions/tools/javalib/Makefile.in,
	libraries/javalib/Makefile.in,  test/Makefile.in,
	test/regression/Makefile.in: regenerated.

	* libraries/javalib/kaffe/applet/AppletTag.java: fixed parameter
	value parsing to handle unquoted strings better. Now Sun's
	WireFrame and MoleculeViewer demo applets run as expected.

Tue Nov 12 01:20:00 CET 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in:
	added new files from GNU Classpath.

	* libraries/javalib/java/awt/AttributeValue.java,
	libraries/javalib/java/awt/BasicStroke.java,
	libraries/javalib/java/awt/BufferCapabilities.java,
	libraries/javalib/java/awt/Composite.java,
	libraries/javalib/java/awt/CompositeContext.java,
	libraries/javalib/java/awt/DisplayMode.java,
	libraries/javalib/java/awt/FocusTraversalPolicy.java,
	libraries/javalib/java/awt/FontFormatException.java,
	libraries/javalib/java/awt/GradientPaint.java,
	libraries/javalib/java/awt/HeadlessException.java,
	libraries/javalib/java/awt/ImageCapabilities.java,
	libraries/javalib/java/awt/JobAttributes.java,
	libraries/javalib/java/awt/PageAttributes.java,
	libraries/javalib/java/awt/ScrollPaneAdjustable.java,
	libraries/javalib/java/awt/Stroke.java:
	new files taken from GNU Classpath.

	* libraries/javalib/java/awt/datatransfer/FlavorTable.java,
	libraries/javalib/java/awt/datatransfer/MimeTypeParseException.java:
	new files taken from GNU Classpath.
	
	* libraries/javalib/java/awt/image/ImagingOpException.java,
	libraries/javalib/java/awt/image/RasterFormatException.java:
	new files taken from GNU Classpath.
	
	
Mon Nov 11 11:34:41 CET 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in:
	added new files and packages from GNU Classpath.

	* libraries/javalib/gnu/java/awt/BitMaskExtent.java,
	libraries/javalib/gnu/java/awt/Buffers.java: new files. Taken from
	GNU Classpath.

	* libraries/javalib/gnu/java/util/EmptyEnumeration.java:
	new file. Taken from GNU Classpath.

	* libraries/javalib/gnu/java/util/prefs/FileBasedFactory.java,
	libraries/javalib/gnu/java/util/prefs/MemoryBasedFactory.java,
	libraries/javalib/gnu/java/util/prefs/MemoryBasedPreferences.java,
	libraries/javalib/gnu/java/util/prefs/NodeReader.java,
	libraries/javalib/gnu/java/util/prefs/NodeWriter.java:
	new files. Taken from GNU Classpath.

	* libraries/javalib/java/awt/Paint.java,
	libraries/javalib/java/awt/PaintContext.java,
	libraries/javalib/java/awt/RenderingHints.java,
	libraries/javalib/java/awt/Transparency.java:
	new files. Taken from GNU Classpath.

	* libraries/javalib/java/awt/image/ComponentSampleModel.java,
	libraries/javalib/java/awt/image/DataBuffer.java,
	libraries/javalib/java/awt/image/DataBufferByte.java,
	libraries/javalib/java/awt/image/DataBufferInt.java,
	libraries/javalib/java/awt/image/DataBufferUShort.java,
	libraries/javalib/java/awt/image/Raster.java,
	libraries/javalib/java/awt/image/SampleModel.java,
	libraries/javalib/java/awt/image/SinglePixelPackedSampleModel.java,
	libraries/javalib/java/awt/image/WritableRaster.java:
	new files. Taken from GNU Classpath.

	* libraries/javalib/java/beans/AppletInitializer.java,
	libraries/javalib/java/beans/ExceptionListener.java,
	libraries/javalib/java/beans/PropertyChangeListenerProxy.java,
	libraries/javalib/java/beans/VetoableChangeListenerProxy.java:
	new files. Taken from GNU Classpath.

	* libraries/javalib/java/net/Authenticator.java,
	libraries/javalib/java/net/InetSocketAddress.java,
	libraries/javalib/java/net/PasswordAuthentication.java,
	libraries/javalib/java/net/PortUnreachableException.java,
	libraries/javalib/java/net/SocketAddress.java,
	libraries/javalib/java/net/SocketTimeoutException.java,
	libraries/javalib/java/net/URI.java,
	libraries/javalib/java/net/URISyntaxException.java:
	new files. Taken from GNU Classpath.

	* libraries/javalib/java/lang/Exception.java:
	(Exception) added constructors taking a cause as an argument.

	* libraries/javalib/java/lang/StrictMath.java:
	new file. Taken from GNU Classpath. Removed runtime assertions.

	* libraries/javalib/java/security/AllPermission.java,
	libraries/javalib/java/security/DomainCombiner.java,
	libraries/javalib/java/security/SignedObject.java,
	libraries/javalib/java/security/UnresolvedPermission.java:
	new files. Taken from GNU Classpath.
	
	* libraries/javalib/java/sql/BatchUpdateException.java,
	libraries/javalib/java/sql/ParameterMetaData.java,
	libraries/javalib/java/sql/Ref.java,
	libraries/javalib/java/sql/SQLData.java,
	libraries/javalib/java/sql/SQLInput.java,
	libraries/javalib/java/sql/SQLOutput.java,
	libraries/javalib/java/sql/SQLPermission.java,
	libraries/javalib/java/sql/Savepoint.java,
	libraries/javalib/java/sql/Struct.java:
	new files. Taken from GNU Classpath.	

	* libraries/javalib/java/text/AttributedString.java, 
	libraries/javalib/java/text/AttributedStringIterator.java:
	new files. Taken from GNU Classpath.

	* libraries/javalib/java/text/StringCharacterIterator.java:
	(StringCharacterIterator) new package internal constructor used by
	AttributedStringIterator.

	* libraries/javalib/java/util/EventListenerProxy.java,
	libraries/javalib/java/util/PropertyPermission.java,
	libraries/javalib/java/util/PropertyPermissionCollection.java:
	new files. Taken from GNU Classpath.

	* libraries/javalib/java/util/logging/ConsoleHandler.java,
	libraries/javalib/java/util/logging/ErrorManager.java,
	libraries/javalib/java/util/logging/FileHandler.java,
	libraries/javalib/java/util/logging/Filter.java,
	libraries/javalib/java/util/logging/Formatter.java,
	libraries/javalib/java/util/logging/Handler.java,
	libraries/javalib/java/util/logging/Level.java,
	libraries/javalib/java/util/logging/LogManager.java,
	libraries/javalib/java/util/logging/LogRecord.java,
	libraries/javalib/java/util/logging/Logger.java,
	libraries/javalib/java/util/logging/LoggingPermission.java,
	libraries/javalib/java/util/logging/MemoryHandler.java,
	libraries/javalib/java/util/logging/SimpleFormatter.java,
	libraries/javalib/java/util/logging/StreamHandler.java,
	libraries/javalib/java/util/logging/XMLFormatter.java:
	Imported java.util.logging implementation from GNU Classpath.	

	* libraries/javalib/java/util/prefs/AbstractPreferences.java,
	libraries/javalib/java/util/prefs/BackingStoreException.java,
	libraries/javalib/java/util/prefs/InvalidPreferencesFormatException.java,
	libraries/javalib/java/util/prefs/NodeChangeEvent.java,
	libraries/javalib/java/util/prefs/NodeChangeListener.java,
	libraries/javalib/java/util/prefs/PreferenceChangeEvent.java,
	libraries/javalib/java/util/prefs/PreferenceChangeListener.java,
	libraries/javalib/java/util/prefs/Preferences.java,
	libraries/javalib/java/util/prefs/PreferencesFactory.java:
	Imported java.util.prefs implementation from GNU Classpath.
	
Sat Nov  9 21:21:10 CET 2002 Dalibor Topic <robilad@yahoo.com>

	* kaffe/kaffevm/jar.c:
	(openJarFile) fixed compilation on platforms without mmap.

Thu Nov  7 19:52:53 CET 2002 Herve Roussain <roussain@univ-ubs.fr>

	* kaffe/scripts/compat/javac.in: fixed the script to not append an empty
	-classpath option when you don't use it.

Thu Nov  7 19:32:53 CET 2002 Mark J Roberts <mjr@znex.org>

	* libraries/javalib/java/util/GregorianCalendar.java:
	(add) fixed a bug that caused the Calendar to return the same time
	values even when times are added.

Thu Nov  7 19:23:28 CET 2002 Oskar Sandberg <oskar@freenetproject.org>

	* libraries/javalib/java/net/Socket.java:
	(Socket) implemented missing constructors.
	(connect) new private initialization method.

Thu Nov  7 19:01:07 CET 2002 Dalibor Topic <robilad@yahoo.com>

	* test/regression/InnerTest.java: Changed output again, as it
	turns out that arraycopy's bugs had nothing to do with it.

Thu Nov  7 17:45:40 CET 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Klasses.jar.bootstrap:
	regenerated.

Thu Nov  7 09:16:19 CET 2002 Dalibor Topic <robilad@yahoo.com>
	* libraries/javalib/java/lang/Character.java:
	(Subset) new class. Imported from GNU Classpath.
	(UnicodeBlock) new class. Imported from GNU Classpath.

	* libraries/javalib/java/lang/System.java:
	(arraycopy) improved speed in a special case.

	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in:
	Added gnu to source directories. Added java.nio and gnu.java.nio
	sources.

	* libraries/javalib/java/nio/Buffer.java,
	libraries/javalib/java/nio/ByteBuffer.java,
	libraries/javalib/java/nio/ByteOrder.java,
	libraries/javalib/java/nio/CharBuffer.java,
	libraries/javalib/java/nio/DoubleBuffer.java,
	libraries/javalib/java/nio/FloatBuffer.java,
	libraries/javalib/java/nio/IntBuffer.java,
	libraries/javalib/java/nio/LongBuffer.java,
	libraries/javalib/java/nio/MappedByteBuffer.java,
	libraries/javalib/java/nio/ShortBuffer.java: new files. Imported
	from GNU Classpath.

	* libraries/javalib/gnu/java/nio/ByteBufferImpl.java,
	libraries/javalib/gnu/java/nio/CharBufferImpl.java,
	libraries/javalib/gnu/java/nio/DoubleBufferImpl.java,
	libraries/javalib/gnu/java/nio/FloatBufferImpl.java,
	libraries/javalib/gnu/java/nio/IntBufferImpl.java,
	libraries/javalib/gnu/java/nio/LongBufferImpl.java,
	libraries/javalib/gnu/java/nio/ShortBufferImpl.java: new
	files. Imported from GNU Classpath.

Wed Nov  6 11:13:42 CET 2002 Dalibor Topic
	*  libraries/javalib/java/awt/image/DirectColorModel.java:
	(getAlpha, getShift) fixed bugs that prevented pure java MPEG
	decoder MPEG_Play from working. Now the demo movie runs without
	problems.

	Patch by: Nicolas Le Sommer <Nicolas.LeSommer@univ-ubs.fr>

	* libraries/javalib/java/awt/Polygon.java:
	(contains, getBounds2D, getPathIterator, intersects, invalidate,
	reset) new methods. getPathIterator comes from the GNU Classpath
	implementation.
	
	* libraries/javalib/java/awt/Rectangle.java:
	Now extends java.geom.Rectangle2D.
	(Rectangle) simplified constructors.
	(contains, createIntersection, createUnion, getBounds2D,
	getHeight, getWidth, getX, getY, outcode, setRect) new
	methods. outcode comes from the GNU Classpath implementation,
	createIntersection and createUnion are derived from GNU Classpath
	implementations.
	(getBounds) simplified.

	* libraries/javalib/java/awt/Shape.java:
	(contains, getBounds, getBounds2D, getPathIterator, intersects)
	new methods.

	* libraries/javalib/java/awt/color/CMMException.java,
	libraries/javalib/java/awt/color/ColorSpace.java,
	libraries/javalib/java/awt/color/ICC_ColorSpace.java,
	libraries/javalib/java/awt/color/ICC_Profile.java,
	libraries/javalib/java/awt/color/ProfileDataException.java:
	new files. Imported java.awt.color package implementation from GNU
	Classpath.

	* libraries/javalib/java/awt/datatransfer/FlavorMap.java: new
	file. Imported from GNU Classpath.

	* libraries/javalib/java/awt/dnd/Autoscroll.java,
	libraries/javalib/java/awt/dnd/DnDConstants.java,
	libraries/javalib/java/awt/dnd/DragGestureEvent.java,
	libraries/javalib/java/awt/dnd/DragGestureListener.java,
	libraries/javalib/java/awt/dnd/DragGestureRecognizer.java,
	libraries/javalib/java/awt/dnd/DragSource.java,
	libraries/javalib/java/awt/dnd/DragSourceAdapter.java,
	libraries/javalib/java/awt/dnd/DragSourceContext.java,
	libraries/javalib/java/awt/dnd/DragSourceDragEvent.java,
	libraries/javalib/java/awt/dnd/DragSourceDropEvent.java,
	libraries/javalib/java/awt/dnd/DragSourceEvent.java,
	libraries/javalib/java/awt/dnd/DragSourceListener.java,
	libraries/javalib/java/awt/dnd/DragSourceMotionListener.java,
	libraries/javalib/java/awt/dnd/DropTarget.java,
	libraries/javalib/java/awt/dnd/DropTargetAdapter.java,
	libraries/javalib/java/awt/dnd/DropTargetContext.java,
	libraries/javalib/java/awt/dnd/DropTargetDragEvent.java,
	libraries/javalib/java/awt/dnd/DropTargetDropEvent.java,
	libraries/javalib/java/awt/dnd/DropTargetEvent.java,
	libraries/javalib/java/awt/dnd/DropTargetListener.java,
	libraries/javalib/java/awt/dnd/InvalidDnDOperationException.java,
	libraries/javalib/java/awt/dnd/MouseDragGestureRecognizer.java,
	libraries/javalib/java/awt/dnd/peer/DragSourceContextPeer.java,
	libraries/javalib/java/awt/dnd/peer/DropTargetContextPeer.java:
	new files. Imported java.awt.dnd package impementation from GNU
	Classpath.

	* libraries/javalib/java/awt/event/InputEvent.java:
	Added missing constants.

	* libraries/javalib/java/awt/font/TextHitInfo.java:
	new file. Imported java.awt.font package implementation from GNU
	Classpath.

	* libraries/javalib/java/awt/geom/AffineTransform.java, 
	libraries/javalib/java/awt/geom/Arc2D.java,
	libraries/javalib/java/awt/geom/Area.java,
	libraries/javalib/java/awt/geom/CubicCurve2D.java,
	libraries/javalib/java/awt/geom/Dimension2D.java,
	libraries/javalib/java/awt/geom/Ellipse2D.java,
	libraries/javalib/java/awt/geom/FlatteningPathIterator.java,
	libraries/javalib/java/awt/geom/GeneralPath.java,
	libraries/javalib/java/awt/geom/IllegalPathStateException.java,
	libraries/javalib/java/awt/geom/Line2D.java,
	libraries/javalib/java/awt/geom/NoninvertibleTransformException.java,
	libraries/javalib/java/awt/geom/PathIterator.java, 
	libraries/javalib/java/awt/geom/Point2D.java,
	libraries/javalib/java/awt/geom/QuadCurve2D.java,
	libraries/javalib/java/awt/geom/Rectangle2D.java,
	libraries/javalib/java/awt/geom/RectangularShape.java,
	libraries/javalib/java/awt/geom/RoundRectangle2D.java: new
	files. Imported java.awt.geom package implementation from GNU
	Classpath.

	* libraries/javalib/java/awt/print/Book.java,
	libraries/javalib/java/awt/print/PageFormat.java,
	libraries/javalib/java/awt/print/Pageable.java,
	libraries/javalib/java/awt/print/Paper.java,
	libraries/javalib/java/awt/print/Printable.java,
	libraries/javalib/java/awt/print/PrinterAbortException.java,
	libraries/javalib/java/awt/print/PrinterException.java,
	libraries/javalib/java/awt/print/PrinterGraphics.java,
	libraries/javalib/java/awt/print/PrinterIOException.java,
	libraries/javalib/java/awt/print/PrinterJob.java: new
	files. Imported java.awt.print implementation from GNU Classpath.

	* libraries/javalib/java/beans/DesignMode.java: new file. Imported
	from GNU Classpath.

	* libraries/javalib/java/beans/PropertyChangeSupport.java:
	(listeners) removed.
	(PROPERTY_LISTENERS) new private field.
	(PropertyChangeListener) simplified.
	(addPropertyChangeListener) register a listener with a property,
	or with all. new method.
	(firePropertyChange) adapted to handle new internal data
	structure.
	(removePropertyChangeListener) deregister a listener with a
	property, or with all. new method.

	* libraries/javalib/java/beans/VetoableChangeSupport.java:
	(listeners) removed.
	(PROPERTY_LISTENERS) new private field.
	(VetoableChangeListener) simplified.
	(addVetoableChangeListener) register a listener with a property,
	or with all. new method.
	(fireVetoableChange) adapted to handle new internal data
	structure.
	(removeVetoableChangeListener) deregister a listener with a
	property, or with all. new method.

	* libraries/javalib/java/beans/beancontext/BeanContext.java,
	libraries/javalib/java/beans/beancontext/BeanContextChild.java,
	libraries/javalib/java/beans/beancontext/BeanContextChildComponentProxy.java,
	libraries/javalib/java/beans/beancontext/BeanContextChildSupport.java,
	libraries/javalib/java/beans/beancontext/BeanContextContainerProxy.java,
	libraries/javalib/java/beans/beancontext/BeanContextEvent.java,
	libraries/javalib/java/beans/beancontext/BeanContextMembershipEvent.java,
	libraries/javalib/java/beans/beancontext/BeanContextMembershipListener.java,
	libraries/javalib/java/beans/beancontext/BeanContextProxy.java,
	libraries/javalib/java/beans/beancontext/BeanContextServiceAvailableEvent.java,
	libraries/javalib/java/beans/beancontext/BeanContextServiceProvider.java,
	libraries/javalib/java/beans/beancontext/BeanContextServiceProviderBeanInfo.java,
	libraries/javalib/java/beans/beancontext/BeanContextServiceRevokedEvent.java,
	libraries/javalib/java/beans/beancontext/BeanContextServiceRevokedListener.java,
	libraries/javalib/java/beans/beancontext/BeanContextServices.java,
	libraries/javalib/java/beans/beancontext/BeanContextServicesListener.java:
	new files. Imported java.beans.beancontext implementation from GNU
	Classpath.

	* libraries/javalib/java/io/FilePermission.java,
	libraries/javalib/java/io/SerializablePermission.java: new
	files. Imported from GNU Classpath.

	* libraries/javalib/java/lang/AssertionError.java,
	libraries/javalib/java/lang/CharSequence.java,
	libraries/javalib/java/lang/StackTraceElement.java,
	libraries/javalib/java/lang/UnsupportedClassVersionError.java: new
	files. Imported from GNU Classpath.

	* libraries/javalib/java/lang/Throwable.java:
	(cause) new private field.
	(Throwable) simplified.
	(causeIsSet) new private method.
	(getCause, initCause) new methods.
	
	* libraries/javalib/java/security/cert/CertStoreException.java:
	new file. Imported from GNU Classpath.

	* libraries/javalib/java/util/WeakHashMap.java: new file. Imported
	from GNU Classpath. Includes compilation fixes to run on kaffe.

	* libraries/javalib/gnu/java/awt/EventModifier.java: new
	file. Imported from GNU Classpath.

	* Makefile.am, Makefile.in: included all the new files and
	packages.

Wed Nov  6 06:49:43 CET 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/lang/System.java:
	(arraycopy) fixed all mauve failures. Added more explicit
	parameter checks. Now follows the JDK 1.4 API description very
	closely.
	* libraries/javalib/kaffe/io/ByteToCharConverter.java:
	(withdraw) fixed bad arraycopy call.
	* test/regression/InnerTest.java:
	Changed expected output back to old format. The change in output
	was caused by the bad arraycopy implementation.

Tue Nov  5 11:45:14 CET 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/lang/reflect/Field.java:
	(checkFinal) new private method.
	(set) check if field is final before attempting to set
	it. Improved exception message.

	* libraries/javalib/java/lang/System.java:
	(arraycopy) Throw ArrayIndexOutOfBoundsException if length is
	negative.
	
Mon Nov  4 12:58:30 CET 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/kaffe/util/locale/CountryCodes.java: new
	class for ISO3 country codes.
	* libraries/javalib/kaffe/util/locale/LanguageCodes.java: new
	class for ISO3 language codes.
	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in:
	Added kaffe.util.locale.CountryCodes and
	kaffe.util.locale.LanguageCodes.
	* libraries/javalib/java/util/Locale.java:
	Added a todo list.
	(COUNTRY, LANGUAGE) include RESOURCEBASE.
	(COUNTRY_CODES, LANGUAGE_CODES) new private constants.
	(Locale) added new constructor.
	(getDisplayCountry, getDisplayLanguage) updated to new
	getDisplayResource syntax.
	(getDisplayResource) now also takes the value to look up as a
	parameter. Returns an empty string if the value to look up is an
	empty string. Fixed buggy return value when lookup failed.
	(getISO3Country) simplified, now uses the CountryCodes resource
	bundle.
	(getISOCountries) new method.
	(getISO3Languages) simplified, now uses the LanguageCodes resource
	bundle.
	(getISOLanguages) new method.
	(getKeys) private helper method for getISOLanguages and
	getISOCountries.
	(setDefault) throw NullPointerException if new locale is null.
	(ISO3Support) removed class. Replaced it by resource bundles
	CountryCodes and LanguageCodes.
	* libraries/javalib/kaffe/util/locale/Country.java:
	Added more comments. Added all country codes from ISO 3166.
	* libraries/javalib/kaffe/util/locale/Country_de.java:
	Added German names of all countries.
	* libraries/javalib/kaffe/util/locale/Country_en.java:
	Added English names of all countries.
	* libraries/javalib/kaffe/util/locale/Country_fr.java:
	Added French names of all countries
	* libraries/javalib/kaffe/util/locale/Country_it.java:
	Added Italian names of all countries.
	* libraries/javalib/kaffe/util/locale/Language.java:
	Added more comments. Added all languages with two letter codes
	from ISO 639.
	* libraries/javalib/kaffe/util/locale/Language_de.java:
	Added German names for all languages.
	* libraries/javalib/kaffe/util/locale/Language_en.java:
	Added English names for all languages.
	* libraries/javalib/kaffe/util/locale/Language_fr.java:
	Added French names for all languages.
	* libraries/javalib/kaffe/util/locale/Language_it.java:
	Removed unused language codes.
	
	* libraries/javalib/kaffe/io/ConverterAlias.java:
	Added more missing aliases.

	* libraries/javalib/java/util/Collections.java:
	(list) new method.
	
	* libraries/javalib/java/awt/image/DirectColorModel.java
	(DirectColorModel) fixed bug in constructor.

	Patch by: Nicolas Le Sommer <Nicolas.LeSommer@univ-ubs.fr>

Thu Oct 31 2002  Patrick Tullmann  <pat@tullmann.org>
	* developers/update-class-list: tweak warning message format
	* include/Makefile.am: add java_io_ObjectStreamClass.h and
	java_io_ObjectStreamField.h, remove kaffe_io_ObjectStreamClassImpl.h
	* libraries/javalib/java/awt/Component.java:
	Not compatible with Sun's serialization, so don't claim to be.
	Remove hacky (and now unsupported Kaffe-specific serialization
	support)
	* libraries/javalib/Makefile.am, 
	libraries/javalib/bootstrap.classlist:
	drop kaffe.io.ObjectStreamClassImpl, add java/io/ObjectStreamField
	* libraries/javalib/java/io/ObjectInputStream.java,
	libraries/javalib/java/io/ObjectOutputStream.java,
	libraries/javalib/java/io/ObjectStreamConstants.java,
	libraries/javalib/java/io/ObjectStreamField.java,
	libraries/javalib/java/io/ObjectStreamClass.java,
	libraries/clib/native/ObjectStreamClassImpl.c: support
	serialPersistentFields, support ObjectStreamField and simplify
	stream reading code, add a large serialization TODO list,
	remove serialization "factory" support (customization should
	be possible via subclassing accessors to per-field
	serialization state, improve error messages, more asserts,
	better error handling,
	* libraries/javalib/kaffe/io/DefaultSerializationFactory.java,
	libraries/javalib/kaffe/io/ObjectInputStreamImpl.java,
	libraries/javalib/kaffe/io/ObjectOutputStreamImpl.java,
	libraries/javalib/kaffe/io/ObjectStreamClassImpl.java,
	libraries/javalib/kaffe/io/SerializationFactory.java:
	Removed.
	* libraries/javalib/java/io/OptionalDataException.java:
	constructors should be package private
	* libraries/javalib/java/math/BigInteger.java,
	libraries/javalib/java/util/HashTable.java,
	libraries/javalib/java/util/HashMap.java:
	Re-write serialization compatibility support to use
	public APIs.
	* test/regression/Makefile.am,
	test/regression/SerialPersistentFields.java,
	test/regression/SerializationCompatibility.java,
	test/regression/TestObjectStreamField.java,
	test/regression/TestSerialFields.java,
	test/regression/TestSerialPersistent.java,
	test/regression/TestSerialVersions.java:
	Add six new serialization tests
	* Klasser.jar.bootstrap, <various>/Makefile.in: regenerated
	
Mon Oct 28 07:57:51 PST 2002  Jim Pick  <jim@kaffe.org>

	* config/config-signal.h: Fixed typo.

	Reported by: Jose M. Gomez <ilinsar@jazzfree.com>

Fri Oct 25 10:30:19 CEST 2002 Oskar Sandberg <oskar@freenetproject.org>

	* libraries/javalib/java/lang/Class.java:
	(getResourceAsStream) Return null if ran for a resource that does
	not exist, instead of throwing a NullPointerException.

	Reported by: Matthew Toseland <toad@amphibian.dyndns.org>

Fri Oct 25 10:19:08 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/io/DataInputStream.java:
	(DataInputStream) wrap input stream in a PushbackInputStream.
	(readLine) avoid leaving dangling '\n' in the input stream if
	there are characters available for reading after a '\r' is read.

	Reported by: Jukka Santala <jsantala@nic.fi>

Tue Oct 22 15:22:23 EEST 2002 Jukka Santala <jsantala@nic.fi>

	* libraries/javalib/kaffe/net/www/protocol/http/
	HttpURLConnection.java: Actually use the proxy socket.
	
Sat Oct 19 21:12:10 CEST 2002 Jukka Santala <jsantala@tml.hut.fi>
	* kaffe/kaffe/version.c: fixed a typo.
	* kaffe/kaffevm/jit3/machine.c, kaffe/kaffevm/jit3/registers.c:
	Turns off the so-called "Sanity check" code from the VM core by
	default. These checks are no doubt useful, if something goes
	drastically wrong, but considering things don't usually go wrong
	(that way), they instead drastically slow down the VM core. Most
	users want to run with these disabled; the only reason to have
	them turned on is if you're porting or doing other critical VM
	rework, and want to catch problems as soon as they occur. If you
	want, you could replace SCHK(s) macro with one to check a
	debug-flag and execute the check dependent on that, but it would
	still add some non-trivial work to the core, so I propose using
	this patch as is.

Sat Oct 19 20:11:39 CEST 2002 Dalibor Topic <robilad@yahoo.com>
	*  kaffe/scripts/javap.in:
	use kjc's dissasembler instead of our own implementation.
	libraries/extensions/tools/javalib/Makefile.am,
	libraries/extensions/tools/javalib/Makefile.in:
	removed kaffe's disassembler implementation.
	libraries/extensions/tools/javalib/kaffe/tools/javap/JavaP.java:
	removed.

Sat Oct 19 18:18:45 CEST 2002 Jukka Santala <jsantala@tml.hut.fi>
	* libraries/javalib/rebuildLib.in:
	If you take a look at rebuildLib(.in), you'll see it changes to
	the classlib source-directory before starting to build it. This is
	a problem, because SRCDIR environment variable will contain a
	relative path. If you're building the source-tree somewhere else
	than into the original source-tree (As is recommended for the GNU
	tools, and in any case often desirable ex. when cross-compiling
	for several platforms) this relative path will obviously point
	into wrong directory. Luckily, since we've already changed to said
	directory, no path name is neccessary.

Sat Oct 19 17:54:24 CEST 2002 Dalibor Topic <robilad@yahoo.com>
	* libraries/javalib/java/lang/System.java:
	(arraycopy) improved performance a little bit.

Sat Oct 19 13:18:05 CEST 2002 Dalibor Topic <robilad@yahoo.com>
	* config/arm/common.h, config/arm/linux/md.c:
	fixed several ARM/Linux interpreter bugs. Kaffe now builds again
	on the skiff cluster.

Sat Oct 19 12:24:24 CEST 2002 Kevin D. Kissell <kevink@mips.com>
	config/mips/common.h, config/mips/jit3-mips.def,
	config/mips/linux/md.c, config/mips/linux/md.h,
	config/mips/o32-sysdepCallMethod.h, config/mips/threads.h
	kaffe/kaffevm/support.c:
	
	fixed several MIPS/Linux interpreter bugs.

	With these changes, an interpretive MIPS/Linux
	build passes all 1.0.7 regression tests both with and 
	without debugging enabled.

Fri Oct 18 23:34:11 CEST 2002 Timothy S Stack <stack@cs.utah.edu>
	* kaffe/kaffevm/thread.c:
	The "started" field wasn't being set for the main thread

	* libraries/javalib/java/lang/Thread.java:
	The "group" field wasn't being cleared after the thread died.

	The setPriority() method should throw an IllegalArgumentException
	if the parameter is outside the range [MIN_PRIORITY, MAX_PRIORITY],
	and not the ThreadGroup's max priority.  If the parameter was
	greater than the group's max priority it should be set the priority
	to the group's maximum.

Fri Oct 18 18:33:54 CEST 2002 Dalibor Topic <robilad@yahoo.com>
	* libraries/javalib/kaffe/io/ConverterAlias.java:
	added alias for US-ASCII.

	Patch by: Vesa Kaihlavirta <vpkaihla@cc.jyu.fi>

	* libraries/javalib/java/lang/System.java:
	(arraycopy) fixed bug preventing SPEC JVM98 check to run. Now
	throws NullPointerException when source or destination are null.

	Reported by: Kevin D. Kissell <kevink@mips.com>

Fri Oct 18 15:05:52 CEST 2002 Dalibor Topic <robilad@yahoo.com>
	* libraries/clib/native/UNIXProcess.c: fixed crash when calling
	Runtime.exec with an array of strings for the environment
	variable.
	* test/regression/ExecTest.java: adapted test accordingly.

	Patch by: Warwick Hunter <whunter@agile.tv>

	* libraries/javalib/java/awt/event/KeyEvent.java:
	implemented missing Java 1.4 functionality to get xsmiles to run.

	Patch by: Jukka Santala <jsantala@tml.hut.fi>

Fri Oct 18 13:59:11 CEST 2002 Patrick Tullmann  <pat@tullmann.org>
	* kaffe/kaffevm/classMethod.c: methodNeedsTrampoline is JIT-only
        * kaffe/kaffevm/exception.c, kaffe/kaffevm/exception.h,
        kaffe/kaffevm/jni.c, kaffe/kaffevm/stackTrace.h:
        Hide in-vm exception handling behind VmExceptHandler type (used to
        be vmException).  Mostly used in the interpreter, also used in JIT
        for catching errors at the JNI entry layer.  Update jni.c entry
        layer to track exceptions on per-function basis (instead of a
        fixed range of instruction addresses, fixes optimizer).

Fri Oct 18 13:00:54 CEST 2002 Dalibor Topic <robilad@yahoo.com>
	* kaffe/scripts/compat/javac.in:
	Ensure that rt.jar is in the classpath.

	Patch by: Warwick Hunter <whunter@agile.tv>

	* libraries/javalib/java/util/GregorianCalendar.java:
	(computeFields) fixed calculation of weekdays.

	Patch by: Helmer Kraemer <hkraemer@freenet.de>

Thu Oct  3 2002 Patrick Tullmann  <pat@tullmann.org>
	* kaffe/kaffevm/exception.c: The end of an exception
	handler range is not inclusive.
	* test/regression/CatchLimits.j,test/regression/CatchLimits.class.save:
	A handwritten bytecode test case for the limits of exception
	ranges and a pre-compiled version (needs Jasmin to compile the
	bytecodes).
	* test/regression/Makefile.*: update for new test and regenerate

	* kaffe/kaffevm/external.c: errbuf may be null in
	loadNativeLibrary2(), always check that.
	
Fri Sep 27 2002 Patrick Tullmann  <pat@tullmann.org>
	* libraries/javalib/Makefile.{am,in}: Fix bootstrap
	rule so it works when building outside source tree.
	
	* libraries/javalib/rebuildLib.in: Move VERBOSE=-v
	so its only used with KJC and not jikes; remove stale
	comments.
	
	* developers/FullTest.sh: do a bootstrap build and
	rebuild Kaffe to check if changes to bootstrap classes
	work.

	* libraries/javalib/bootstrap.classlist: java/lang/Package
	is a bootstrap class as its referenced by Class and ClassLoader.
	java.util.AbstractMap$3 and AbstractMap$4 added, too.
	
Thu Sep  5 01:08:56 CEST 2002 Dalibor Topic <robilad@yahoo.com>
	* kaffe/kaffevm/gc.h:
	(GC_ALLOC_JAR) added.
	(GC_ALLOC_MAX_INDEX) increased.
	* kaffe/kaffevm/gcFuncs.c:
	(initCollector) register GC_ALLOC_JAR with gc.
	* kaffe/kaffevm/jar.c, kaffe/kaffevm/jar.h,
	libraries/clib/native/ZipFile.c:
	merged with JanosVM 0.8.0.

	2002-07-22 Monday 12:56  tullmann

	* kaffe/kaffevm/jar.c: completely initialize jarFile when created
	(data should be MAP_FAILED)

	2002-05-20 Monday 10:44  stack

	* kaffe/kaffevm/jar.c, libraries/clib/native/ZipFile.c: handle zero
	sized files in jars

	2002-03-13 Wednesday 16:03  stack

	* kaffe/kaffevm/: classMethod.c, jar.c: put junk at the end of an
	#endif in comments

	2002-03-02 Saturday 14:27  stack

	* kaffe/kaffevm/jar.c: reposition an #endif

	2002-02-07 Thursday 13:21  stack

	* kaffe/kaffevm/jar.h: minor tweaks

	2002-02-07 Thursday 13:21  stack

	* kaffe/kaffevm/jar.c: add some more checks on the central
	directory data read from the file, and refactored some code

	2001-10-09 Tuesday 13:52  stack

	* kaffe/kaffevm/jar.c: fix a bug when caching files, give a proper
	error if unable to read the main directory entries, fail faster
	when its a directory, snapshot fixups

	2001-03-15 Thursday 16:05  stack

	* kaffe/kaffevm/: jar.c, jar.h, lockPool.c, lockPool.h: some
	cleanup, name changes, and docs

	2000-10-19 Thursday 06:36  stack

	* kaffe/kaffevm/jar.c: Fixed to just get the size of the file from
	the fstat

	2000-09-26 Tuesday 17:36  tullmann

	* kaffe/kaffevm/jar.c: shut up warnings

	2000-08-30 Wednesday 17:56  stack

	* kaffe/kaffevm/jar.c: doh! don't put side effect functions in a
	require(), im such a twink

	2000-08-30 Wednesday 16:14  stack

	* kaffe/kaffevm/: jar.c, jar.h: Completely rewritten jar code

Wed Sep  4 18:43:12 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in:
	added java.awt.AWTPermission.

	* libraries/javalib/java/awt/AWTPermission.java: merged in from
	pocketlinux.

Wed Sep  4 17:58:42 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in:
	added kaffe.lang.PackageHelper

	* libraries/javalib/kaffe/lang/PackageHelper.java: new class.

	* libraries/javalib/java/lang/Class.java:
	(getPackage) implemented.

	* libraries/javalib/java/lang/ClassLoader.java:
	(loadedPackages) new private field.
	(NO_PACKAGES) new private constant.
	(definePackage), (getPackage), (getPackages) implemented.

	* libraries/javalib/java/lang/Package.java: implemented.

	* libraries/javalib/java/net/URLClassLoader.java:
	(findClass) definee a package for the class if its package is not
	defined yet.

Wed Sep  4 13:07:46 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/util/MissingResourceException.java:
	(MissingResourceException) improved exception message.

	* libraries/javalib/java/util/Calendar.java:
	(after), (before), (equals), (getActualMaximum),
	(getActualMinimum), (hashCode) implemented.
	(getActualLimit), (internalSet) new private methods.
	(set) simplified.
	(toString) use getTimeInMillis.

	* libraries/javalib/java/util/GregorianCalendar.java: added
	support for dates before epoch start (1970). Use verbose constant
	names instead of numerical constants. Implemented computing dates
	using WEEK_OF_MONTH* and DAY_OF_WEEK. Modularized big methods into
	smaller ones. Added lots of comments. Cleaned it up in general.
	
Wed Sep  4 09:36:45 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in:
	added kaffe.util.locale.

	* libraries/javalib/java/text/Collator.java,
	libraries/javalib/java/text/DateFormat.java,
	libraries/javalib/java/text/NumberFormat.java :
	(LOCALES) new private constant, used to register this type's
	locales.
	(getAvailableLocales) use LOCALES.

	* libraries/javalib/java/text/Format.java:
	(getAvailableLocales) removed method.

	* libraries/javalib/java/util/Locale.java: sorted locales
	alphabetically.
	(getDisplayCountry), (getDisplayLanguage), (getDisplayName),
	(getDisplayVariant) use getDefault. use locale's resource.
	(getDisplayResource) new private method.
	(getISO3Country) implemented.
	(getISO3Language) implemented.
	(ISO3Support) new private inner class.

	* kaffe/util/locale/Country.java,
	kaffe/util/locale/Country_de.java,
	kaffe/util/locale/Country_en.java,
	kaffe/util/locale/Country_fr.java,
	kaffe/util/locale/Country_it.java,
	kaffe/util/locale/Country_ja.java,
	kaffe/util/locale/Country_ko.java,
	kaffe/util/locale/Country_zh.java,
	kaffe/util/locale/Language.java,
	kaffe/util/locale/Language_de.java,
	kaffe/util/locale/Language_en.java,
	kaffe/util/locale/Language_fr.java,
	kaffe/util/locale/Language_it.java,
	kaffe/util/locale/Language_ja.java,
	kaffe/util/locale/Language_ko.java,
	kaffe/util/locale/Language_zh.java:
	new locale classes.

Tue Sep  3 13:47:26 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/io/BufferedInputStream.java:
	(BufferedInputStream) throw IllegalArgumentException if buffer
	size <= 0.
	(available) check if stream still open.
	(checkIfStillOpen) new private method.
	(read) check arguments. check if stream still open. Use Math.min.
	(reset) check if stream still open.
	(skip) check if stream still open.

	* libraries/javalib/java/io/BufferedOutputStream.java:
	(BufferedOutputStream) throw IllegalArgumentException if buffer
	size <= 0.
	(write) check arguments.

	* libraries/javalib/java/io/BufferedWriter.java:
	(DEFAULTBUFFERSIZE) increase to 8K
	(BufferedWriter) throw IllegalArgumentException if buffer
	size <= 0. removed unnecessary initialization. Use out writer as
	lock.
	(checkIfStillOpen) new private method.
	(write) simplified. check arguments. check if stream still open.
	(flush) check if stream still open.
	(close) synchronized on lock. free unneeded references.

	* libraries/javalib/java/io/ByteArrayInputStream.java:
	(off) removed field.
	(ByteArrayInputStream) removed unnecessary initialization. Use
	Math.min to determine count.
	(mark) synchronized.
	(read) use available. check arguments.

	* libraries/javalib/java/io/ByteArrayOutputStream.java
	(ByteArrayOutputStream) throw IllegalArgumentException if buffer
	size <= 0.
	(write) check arguments.

	* libraries/javalib/java/io/CharArrayReader.java:
	(CharArrayReader) use Math.min.
	(skip) always throw IOException if stream is closed. Use Math.min.

	* libraries/javalib/java/io/CharArrayWriter.java:
	(CharArrayWriter) throw IllegalArgumentException if buffer
	size <= 0.
	(write) use parent method. check arguments.
	(toCharArray) synchronize on lock.
	(size) synchronize on lock.
	(toString) synchronize on lock.

	* libraries/javalib/java/io/DataInputStream.java:
	(skipNextLF) new private field.
	(read) check arguments.
	(readByte) skip next '\n' if necessary.
	(readChar) simplified.
	(readFully) removed NullPointerCheck as read will automatically
	check it.
	(readInt) simplified.
	(readLine) rewritten skipping of '\n' to set a flag if next line
	feed needs to be skipped. This prevents hanging on input until the
	character following a '\r' is read.
	(readShort) simplified.
	(readUTF) simplified.

	* libraries/javalib/java/io/DataOutputStream.java:
	(write) check arguments.

	* libraries/javalib/java/io/FileInputStream.java:
	(FileInputStream) throw NullPointerException if file descriptor is
	null.
	(read) simplified.

	* libraries/javalib/java/io/FilterInputStream.java:
	(available) simplified.
	(close) simplified.
	(mark) simplified.
	(markSupported) simplified.
	(read) simplified. Added comments.
	(reset) simplified.
	(skip) simplified.

	* libraries/javalib/java/io/FilterWriter.java:
	(FilterWriter) use writer as lock.
	(checkIfStillOpen) new private method.
	(write) synchronized on lock. check if stream still open. check arguments.
	(flush) synchronized on lock. check if stream still open.
	(close) synchronized on lock. free reference to writer.

	* libraries/javalib/java/io/InputStream.java:
	(read) check arguments.
	(skip) Use Math.min. skip up to n bytes, even when n > max int.

	* libraries/javalib/java/io/InputStreamReader.java:
	(InputStreamReader) use input stream as lock.
	(close) free reference to encoding.
	(getEncoding) synchronized on lock. return null after close.
	(read) check arguments.

	* libraries/javalib/java/io/LineNumberInputStream.java:
	marked class as deprecated.
	(skipNextLF) new private field.
	(markSkipNextLF) new private field.
	(pushedBack) removed field.
	(pushBack) removed field.
	(available) simplified. adapted to handle skipping next line feed.
	(mark) store skipNextLF for reset.
	(read) simplified. skipt next line feed when necessary. check arguments.
	(reset) reset skipNextLF.
	(skip) don't use junk buffer.

	* libraries/javalib/java/io/OutputStreamWriter.java:
	(BUFDEFAULT) increased to 8K.
	(outbuf) no longer final.
	(OutputStreamWriter) use output stream as lock.
	(checkIfStillOpen) new private method.
	(close) synchronized on lock. free references to encoding and
	outbuf.
	(flush)  check if strem still open.
	(getEncoding) synchronized on lock. return null if stream closed.
	(write) check arguments. check if stream still open.

	* libraries/javalib/java/io/PipedInputStream.java:
	(PIPE_SIZE) decreased to 512 according to Java Class Libraries
	book.

	* libraries/javalib/java/io/PipedOutputStream.java:
	(write) added a message to IOException.

	* libraries/javalib/java/io/PipedReader.java:
	(connect) fixed a deadlock.

	* libraries/javalib/java/io/PrintStream.java:
	(write) check arguments.

	* libraries/javalib/java/io/PrintWriter.java:
	(PrintWriter) use writer as lock. removed unnecessary
	initializations. simplified.
	(flush) synchronized on lock. check if still open.
	(close) synchronized on lock. check if still open. free reference
	to writer.
	(checkError) synchronized on lock.
	(isStillOpen) new private method.
	(setError) synchronized on lock.
	(write) synchronized on lock. check arguments. 
	(print) use String.valueOf.

	* libraries/javalib/java/io/PushbackInputStream.java:
	(DEFAULT_PUSHBACK_BUFFER_SIZE) new constant.
	(PushbackInputStream) use named constants. throw
	IllegalArgumentException if size <= 0.
	(read) check arguments.
	(unread) check arguments.

	* libraries/javalib/java/io/RandomAccessFile.java:
	(skipBytes) always try to seek n bytes.

	* libraries/javalib/java/io/Reader.java:
	(skip) check argument. Use Math.min.

	* libraries/javalib/java/io/SequenceInputStream.java:
	(SequenceInputStream) throw NullPointerException if one the
	streams is null.

	* libraries/javalib/java/io/StringReader.java:
	(StringReader) removed unnecessary intializations.
	(atEOF) new private method.
	(checkIfStillOpen) new private method.
	(close) synchronized on lock. free reference of buffer.
	(mark) check argument. synchronized on lock. check if stream still
	open.
	(read) check if stream still open. check arguments. use atEOF. Use
	Math.min. Use System.arraycopy.
	(reset) synchronized on lock. check if stream still
	open.
	(skip) synchronized on lock. check if stream still
	open. Use Math.min.

	* libraries/javalib/java/io/StringWriter.java:
	(StringWriter) check argument.
	(write) synchronized on lock. check arguments.
	(toString) synchronized on lock.
	(getBuffer) synchronized on lock.

	* libraries/javalib/java/io/Writer.java:
	(single) new single char array, used for reading.
	(write) use single for reading. check arguments.
	
Mon Sep  2 17:51:27 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* test/regression/TestScript.in:
	Commented out jikes as default compiler for test programs. Jikes
	1.16 has bugs that result in bogus test failures. We are not using
	jikes as the default compiler for the class library anymore, so it
	doesn't make much sense to keep using it as default for tests.

Tue Aug 27 20:10:10 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/security/Security.java:
	fixed location of java.security file for new file layout.

	Reported by: Timothy S Stack <stack@cs.utah.edu>

Sat Aug 24 13:30:56 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* test/regression/Reflect.java: adapted expected output for
	System.arraycopy.
	
Wed Aug 21 18:55:38 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/clib/native/System.c:
	(java_lang_System_arraycopy) removed.
	* libraries/javalib/java/beans/Beans.java:
	removed import of kaffe.lang.SystemClassLoader and replaced
	references to SystemClassLoader.getClassLoader with
	ClassLoader.getSystemClassLoader
	* libraries/javalib/java/lang/Class.java:
	same.
	* libraries/javalib/java/lang/System.java:
	(arraycopy) replaced native version with java version from
	pocketlinux.
	* libraries/javalib/Klasses.jar.bootstrap:
	regenerated.

Fri Aug 16 23:55:24 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/lang/Class.java:
	(getProtectionDomain) new method.

	* libraries/javalib/java/lang/ClassLoader.java:
	(protectionDomains) map of loaded classes to their protection
	domains.
	(defineClass) store the protection domain of a defined class.
	(getProtectionDomain) new package private method.

Fri Aug 16 22:01:42 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/net/URLClassLoader.java:
	(handlers, jarfiles) use Hashtable instead of HashMap.
	(findClass) create a new code source with the URL when a new class
	has been found.
	(findResources) don't copy local files and jars.

Fri Aug 16 19:38:09 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/util/zip/GZIPInputStream.java:
	(GZIP_MAGIC) reverted the constant back to old value. New value
	broke gzip streams on linux.

	* libraries/javalib/java/util/zip/Inflater.java:
	(Inflater) removed redundant initilization statements.
	(inflate) split into native and java part. Handle case when
	nothing remains in the buffer in java.
	(inflate0) new native method.

	* libraries/javalib/java/util/zip/InflaterInputStream.java:
	(InflaterInputStream) removed redundant initilization statement.
	(needsInput) simplified.
	(read) fixed bug with buffers too small to generate inflated
	output at once.
	Reported by: Arne Woerner <woerner@mediabase-gmbh.de>

	* libraries/clib/zip/Inflater.c:
	(inflate) moved handling of empty input buffer to java, and
	renamed the rest to
	(inflate0) new method.

	* libraries/javalib/Klasses.jar.boostrap:
	regenerated.

Thu Aug 15 14:35:16 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* kaffe/kaffevm/jit/machine.h: fixed compilation error.

Thu Aug 15 14:35:16 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/rebuildLib.in: removed the 32 MB cap on memory
	utilisation during compilation of class libraries as it prevented
	kaffe from compiling its class libraries on
	sparc-solaris-jit/intrp and i386-freebsd-intrp.

Thu Aug 15 14:20:20 CEST 2002 Dalibor Topic <robilad@yahoo.com>
	Merged in fixes for classMethod.c from JanosVM 0.6.0

	2002-03-13 Wednesday 16:03  Timothy S Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/: classMethod.c, jar.c: put junk at the end of an
	#endif in comments

	2001-03-23 Friday 15:27  Patrick A Tullmann <tullmann@cs.utah.edu>

	* kaffe/kaffevm/classMethod.c: comment out warning about lack of
	GCJ support ... not coming anytime soon

	2001-10-23 Tuesday 12:23  Timothy S Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/classMethod.c: make sure the method was jitted
	before flushing it

Thu Aug 15 13:42:48 CEST 2002 Dalibor Topic <robilad@yahoo.com>
	Merged in a fix for jni.c from JanosVM 0.6.0

	2002-02-20 Wednesday 15:07  Timothy S Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/jni.c: handle jni exception a little better

Thu Aug 15 13:18:58 CEST 2002 Timothy S Stack <stack@cs.utah.edu>

	* config/i386/trampolines.c:  Create a real stack frame for
	i386_do_fixup_trampoline so it doesn't mask the caller's frame.

	* kaffe/kaffeh/support.c: startFields/startMethods now return
	success/failure and take errorInfo's.

	* kaffe/kaffevm/baseClasses.[ch]: Load in ClassNotFoundException and
	NoClassDefFoundError.

	* kaffe/kaffevm/classMethod.[ch]: startFields/startMethods now return
	success/failure and take errorInfo's.  Use postExceptionMessage in
	addMethod/addField before returning failure.  Post a
	NoClassDefFoundError if ClassLoader.loadClass() throws a
	ClassNotFoundException.

	* kaffe/kaffevm/code-analyse.c: Check for NoClassDefFoundErrors in
	PUTSTATIC/GETSTATIC handlers.

	* kaffe/kaffevm/kaffe.def: Handle unknown classes in field references
	using softcall_nosuchclass() instead of failing/throwing an
	exception.

	* kaffe/kaffevm/lookup.c: For getField(), set ret->field/ret->class to
	NULL and set ret->cname/name/signature from the information
	available in the current class so that a failure will not leave
	these fields undefined.

	* kaffe/kaffevm/readClass.c: check return values of
	startFields()/startMethods()

	* kaffe/kaffevm/[intrp/jit/jit3]/machine.h: Add
	get_static_field_info_noerror() define.

	* test/regression/LostTrampolineFrame.java: Test for x86 lost
	trampoline frame bug.

	* test/regression/NoClassDefTest.java: Tests for NoClassDefFoundErrors
	in combination with ClassLoaders.

	* test/regression/Makefile.[am|in]: Add LostTrampolineFrame.java and
	NoClassDefTest.java tests.

Thu Aug 15 11:53:08 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/kaffe/lang/SystemClassLoader.java:
	(findResources) remove eventual leading slash before using
	resource name.
	Reported by Helmer Kraemer <hkraemer@freenet.de>

Thu Aug 15 11:37:50 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/java/io/RandomAccessFile.java:
	(skipBytes) don't skip further than current end of file. Fixes a
	bug exposed by mauve test suite.

Thu Aug 15 10:11:54 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/kjc.jar: updated to kjc-2.1B.
	* WHATSNEW: added compiler update newsbit.
	* test/regression/InnerTest.java: added anonymous inner classes to
	expected output.

Sun Aug 11 17:13:00 CEST 2002 Mathieu Dube <mdube@8d.com>

	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c
	added waitForTimeout with select instead of macros for
	jthreadedTimedRead and jthreadedAccept 


Sun Aug 11 17:10:15 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.h:
	(jthread_relaxstack) implemented new function, fixing compilation
	errors.
	
Wed Aug  7 13:09:27 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in:
	added java/net/SocketPermission.java.
	* libraries/javalib/java/net/SocketPermission.java: new file.
	* libraries/javalib/java/security/CodeSource.java: implemented.

Wed Aug  7 11:14:33 CEST 2002 Dalibor Topic <robilad@yahoo.com>
	Merged in fixes for code-analyse.[ch] fron JanosVM 0.6.0

	2001-10-23 Tuesday 12:23  Timothy S Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/code-analyse.c: make sure there is code associated
	with the method

	2000-08-30 Wednesday 16:12  Timothy S Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/code-analyse.h: added postOutOfMemory if a frame
	couldn't be allocated

Tue Aug  6 19:07:15 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	Merged in fixes for StackOverflowError from JanosVM 0.6.0
	
	2002-02-20 Wednesday 15:05  Timothy S Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/: baseClasses.c, baseClasses.h: added
	StackOverflowError

	2002-02-20 Wednesday 15:09  Timothy S Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/soft.c: allocate stack over flow error rather than
	using the cached one, it doesn't work if the thread overflows in a
	remote team, setting the backtrace will trigger the write barrier.
	
	2002-02-20 Wednesday 15:11  Timothy S Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/systems/unix-jthreads/: jthread.c, jthread.h:
	termination tweaks, added jthread_relaxstack function so we can
	allocate a StackOverflowError without problems, and fixed up the
	threaded version of sendto

Tue Aug  6 12:28:34 CEST 2002 Dalibor Topic <robilad@yahoo.com>
	* libraries/clib/native/ClassLoader.c:
	(java_lang_ClassLoader_findLoadedClass0) removed.
	* libraries/javalib/java/lang/ClassLoader.java:
	(findLoadedClass) replace use of native function by Map.get().
	(findLoadedClass0) remove prototype for native function.
	
	* libraries/javalib/java/security/SecureClassLoader.java:
	(parent) removed unused field.
	(SecureClassLoader) just call super(parent), as ClassLoader must
	perform the same permission checks. 
	(defineClass) create new ProtectionDomain if CodeSource is not
	null, as the API spec says.
	
	* libraries/javalib/Klasses.jar.bootstrap: regenerated.

Thu Aug  1 00:12:41 CEST 2002 Robert N. Gonzalez <Robert.N.Gonzalez@williams.edu>

	* kaffe/kaffevm/classMethod.h:
	some of the macros defined in classMethod.h depend on macros
	defined in access.h, which is not included in classMethod.h.  thus
	if you try to use the macros in some file that includes
	classMethod.h you get compiletime errors, which is sortof
	annoying.
	
	so #include "access.h" in classMethod.h to fix this.

Mon Jul 29 18:32:48 CEST 2002 RyosIII Suzuki <ryos@sinby.com>

	* kaffe/kaffevm/kaffe.def: fixed compilation problems when kaffe
	was configured with --with-engine=intrp and with
	CREATE_NULLPOINTER_CHECKS explicitly defined in md.h.
	
	
Mon Jul 29 18:27:32 CEST 2002 Robert N. Gonzalez <Robert.N.Gonzalez@williams.edu>

	* kaffe/kaffevm/bytecode.h, kaffe/kaffevm/code-analyse.c:
	Removed dead code.

Mon Jul 29 15:03:28 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/clib/native/ClassLoader.c:
	(java_lang_ClassLoader_findLoadedClass0) use -1 as length
	parameter for utf8ConstNew. Fixes problem with ArrayForName
	regression test.

	Reported by  Pat Tullmann <pat@tullmann.org>
	* libraries/clib/native/SystemClassLoader.c:
	(kaffe_lang_SystemClassLoader_findClass0) added more checks for
	failed memory allocation.
	* libraries/javalib/kaffe/lang/SystemClassLoader.java:
	(componentType) Added more comments. Throw ClassNotFoundException
	if component type is not a private type or is not enclosed by 'L'
	and ';'.

Wed Jul 24 21:58:48 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Klasses.jar.bootstrap:
	Added java/lang/Class$CallStack.class and
	java/lang/VerifyError.class.	
	* libraries/javalib/bootstrap.classlist:
	same.

Wed Jul 24 02:06:01 CEST 2002 Dalibor Topic <robilad@yahoo.com>

	* libraries/clib/native/Class.c:
	(java_lang_Class_forName) deleted. Implemented in Java.
	* libraries/clib/native/ClassLoader.c:
	(java_lang_ClassLoader_resolveClass0) process files to
	CSTATE_COMPLETE.
	* libraries/clib/native/SystemClassLoader.c:
	(kaffe_lang_SystemClassLoader_findClass0) Added code to load
	arrays. Merged code to handle NoClassDefFoundErrors with such code
	from java_lang_Class_forName.
	* libraries/javalib/java/lang/Class.java:
	(forName) rewritten in Java.
	(CallStack) new inner class for call stack inspection.
	* libraries/javalib/java/lang/Runtime.java:
	(loadLibrary) use CallStack.getCallersClassLoader().
	(load) same.
	* libraries/javalib/java/lang/System.java:
	(load) use CallStack.getCallersClassLoader().
	(loadLibrary) same.
	* libraries/javalib/kaffe/lang/SystemClassLoader.java:
	(componentType) new private method to get the name of the
	innermost component type of an array.
	(findClass) Moved some error checks from java_lang_Class_forName
	here.
	* libraries/javalib/Klasses.jar.bootstrap:
	rebuilt.

Fri Jul 19 19:14:07 PDT 2002  Jim Pick  <jim@kaffe.org>

	* Rebuilding the classes takes forever on my 16MB
	NetBSD box (it hits swap pretty hard).  So I limited
	the max heap size when using kjc to 32MB, and cranked
	up the verbosity.

	* libraries/javalib/rebuildLib.in: Tweaked memory
	settings for kjc and increased verbosity.

